CREATE DATABASE  IF NOT EXISTS `rmf` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `rmf`;
-- MySQL dump 10.13  Distrib 5.6.17, for Win64 (x86_64)
--
-- Host: localhost    Database: rmf
-- ------------------------------------------------------
-- Server version	5.6.21-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `control_enh`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `control_enh` (
  `control_id` varchar(6) NOT NULL,
  `enh_id` varchar(4) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `desc` text,
  `guidance` text,
  PRIMARY KEY (`control_id`,`enh_id`),
  KEY `rmf_control_enh_enh_id_idx` (`enh_id`),
  CONSTRAINT `rmf_control_enh_control_id` FOREIGN KEY (`control_id`) REFERENCES `controls` (`control_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
);
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `control_enh`
--

REPLACE INTO `control_enh` (`control_id`, `enh_id`, `name`, `desc`, `guidance`) VALUES ('AC-11','1','Pattern-hiding Displays','The information system conceals, via the session lock, information previously visible on the display with a publicly viewable image.','Publicly viewable images can include static or dynamic images, for example, patterns used with screen savers, photographic images, solid colors, clock, battery life indicator, or a blank screen, with the additional caveat that none of the images convey sensitive information.'),('AC-12','1','User-initiated Logouts / Message Displays','The information system:\nAC-12 (1)(a)\nProvides a logout capability for user-initiated communications sessions whenever authentication is used to gain access to [Assignment: organization-defined information resources]; and\nAC-12 (1)(b)\nDisplays an explicit logout message to users indicating the reliable termination of authenticated communications sessions.','Information resources to which users gain access via authentication include, for example, local workstations, databases, and password-protected websites/web-based services. Logout messages for web page access, for example, can be displayed after authenticated sessions have been terminated. However, for some types of interactive sessions including, for example, file transfer protocol (FTP) sessions, information systems typically send logout messages as final messages prior to terminating sessions.'),('AC-14','1','Necessary Uses','[Withdrawn: Incorporated into AC-14].',''),('AC-16','1','Dynamic Attribute Association','The information system dynamically associates security attributes with [Assignment: organization-defined subjects and objects] in accordance with [Assignment: organization-defined security policies] as information is created and combined.','Dynamic association of security attributes is appropriate whenever the security characteristics of information changes over time. Security attributes may change, for example, due to information aggregation issues (i.e., the security characteristics of individual information elements are different from the combined elements), changes in individual access authorizations (i.e., privileges), and changes in the security category of information.'),('AC-16','10','Attribute Configuration By Authorized Individuals','The information system provides authorized individuals the capability to define or change the type and value of security attributes available for association with subjects and objects.','The content or assigned values of security attributes can directly affect the ability of individuals to access organizational information. Therefore, it is important for information systems to be able to limit the ability to create or modify security attributes to authorized individuals only.'),('AC-16','2','Attribute Value Changes By Authorized Individuals','The information system provides authorized individuals (or processes acting on behalf of individuals) the capability to define or change the value of associated security attributes.','The content or assigned values of security attributes can directly affect the ability of individuals to access organizational information. Therefore, it is important for information systems to be able to limit the ability to create or modify security attributes to authorized individuals.'),('AC-16','3','Maintenance Of Attribute Associations By Information System','The information system maintains the association and integrity of [Assignment: organization-defined security attributes] to [Assignment: organization-defined subjects and objects].','Maintaining the association and integrity of security attributes to subjects and objects with sufficient assurance helps to ensure that the attribute associations can be used as the basis of automated policy actions. Automated policy actions include, for example, access control decisions or information flow control decisions.'),('AC-16','4','Association Of Attributes By Authorized Individuals','The information system supports the association of [Assignment: organization-defined security attributes] with [Assignment: organization-defined subjects and objects] by authorized individuals (or processes acting on behalf of individuals).','The support provided by information systems can vary to include: (i) prompting users to select specific security attributes to be associated with specific information objects; (ii) employing automated mechanisms for categorizing information with appropriate attributes based on defined policies; or (iii) ensuring that the combination of selected security attributes selected is valid. Organizations consider the creation, deletion, or modification of security attributes when defining auditable events.'),('AC-16','5','Attribute Displays For Output Devices','The information system displays security attributes in human-readable form on each object that the system transmits to output devices to identify [Assignment: organization-identified special dissemination, handling, or distribution instructions] using [Assignment: organization-identified human-readable, standard naming conventions].','Information system outputs include, for example, pages, screens, or equivalent. Information system output devices include, for example, printers and video displays on computer workstations, notebook computers, and personal digital assistants.'),('AC-16','6','Maintenance Of Attribute Association By Organization','The organization allows personnel to associate, and maintain the association of [Assignment: organization-defined security attributes] with [Assignment: organization-defined subjects and objects] in accordance with [Assignment: organization-defined security policies].','This control enhancement requires individual users (as opposed to the information system) to maintain associations of security attributes with subjects and objects.'),('AC-16','7','Consistent Attribute Interpretation','The organization provides a consistent interpretation of security attributes transmitted between distributed information system components.','In order to enforce security policies across multiple components in distributed information systems (e.g., distributed database management systems, cloud-based systems, and service-oriented architectures), organizations provide a consistent interpretation of security attributes that are used in access enforcement and flow enforcement decisions. Organizations establish agreements and processes to ensure that all distributed information system components implement security attributes with consistent interpretations in automated access/flow enforcement actions.'),('AC-16','8','Association Techniques / Technologies','The information system implements [Assignment: organization-defined techniques or technologies] with [Assignment: organization-defined level of assurance] in associating security attributes to information.','The association (i.e., binding) of security attributes to information within information systems is of significant importance with regard to conducting automated access enforcement and flow enforcement actions. The association of such security attributes can be accomplished with technologies/techniques providing different levels of assurance. For example, information systems can cryptographically bind security attributes to information using digital signatures with the supporting cryptographic keys protected by hardware devices (sometimes known as hardware roots of trust).'),('AC-16','9','Attribute Reassignment','The organization ensures that security attributes associated with information are reassigned only via re-grading mechanisms validated using [Assignment: organization-defined techniques or procedures].','Validated re-grading mechanisms are employed by organizations to provide the requisite levels of assurance for security attribute reassignment activities. The validation is facilitated by ensuring that re-grading mechanisms are single purpose and of limited function. Since security attribute reassignments can affect security policy enforcement actions (e.g., access/flow enforcement decisions), using trustworthy re-grading mechanisms is necessary to ensure that such mechanisms perform in a consistent/correct mode of operation.'),('AC-17','1','Automated Monitoring / Control','The information system monitors and controls remote access methods.','Automated monitoring and control of remote access sessions allows organizations to detect cyber attacks and also ensure ongoing compliance with remote access policies by auditing connection activities of remote users on a variety of information system components (e.g., servers, workstations, notebook computers, smart phones, and tablets).'),('AC-17','2','Protection Of Confidentiality / Integrity Using Encryption','The information system implements cryptographic mechanisms to protect the confidentiality and integrity of remote access sessions.','The encryption strength of mechanism is selected based on the security categorization of the information.'),('AC-17','3','Managed Access Control Points','The information system routes all remote accesses through [Assignment: organization-defined number] managed network access control points.','Limiting the number of access control points for remote accesses reduces the attack surface for organizations. Organizations consider the Trusted Internet Connections (TIC) initiative requirements for external network connections.'),('AC-17','4','Privileged Commands / Access','The organization:\nAC-17 (4)(a)\nAuthorizes the execution of privileged commands and access to security-relevant information via remote access only for [Assignment: organization-defined needs]; and\nAC-17 (4)(b)\nDocuments the rationale for such access in the security plan for the information system.',''),('AC-17','5','Monitoring For Unauthorized Connections','[Withdrawn: Incorporated into SI-4].',''),('AC-17','6','Protection Of Information','The organization ensures that users protect information about remote access mechanisms from unauthorized use and disclosure.',''),('AC-17','7','Additional Protection For Security Function Access','[Withdrawn: Incorporated into AC-3 (10)].',''),('AC-17','8','Disable Nonsecure Network Protocols','[Withdrawn: Incorporated into CM-7].',''),('AC-17','9','Disconnect / Disable Access','The organization provides the capability to expeditiously disconnect or disable remote access to the information system within [Assignment: organization-defined time period].','This control enhancement requires organizations to have the capability to rapidly disconnect current users remotely accessing the information system and/or disable further remote access. The speed of disconnect or disablement varies based on the criticality of missions/business functions and the need to eliminate immediate or future remote access to organizational information systems.'),('AC-18','1','Authentication And Encryption','The information system protects wireless access to the system using authentication of [Selection (one or more): users; devices] and encryption.',''),('AC-18','2','Monitoring Unauthorized Connections','[Withdrawn: Incorporated into SI-4].',''),('AC-18','3','Disable Wireless Networking','The organization disables, when not intended for use, wireless networking capabilities internally embedded within information system components prior to issuance and deployment.',''),('AC-18','4','Restrict Configurations By Users','The organization identifies and explicitly authorizes users allowed to independently configure wireless networking capabilities.','Organizational authorizations to allow selected users to configure wireless networking capability are enforced in part, by the access enforcement mechanisms employed within organizational information systems.'),('AC-18','5','Antennas / Transmission Power Levels','The organization selects radio antennas and calibrates transmission power levels to reduce the probability that usable signals can be received outside of organization-controlled boundaries.','Actions that may be taken by organizations to limit unauthorized use of wireless communications outside of organization-controlled boundaries include, for example: (i) reducing the power of wireless transmissions so that the transmissions are less likely to emit a signal that can be used by adversaries outside of the physical perimeters of organizations; (ii) employing measures such as TEMPEST to control wireless emanations; and (iii) using directional/beam forming antennas that reduce the likelihood that unintended receivers will be able to intercept signals. Prior to taking such actions, organizations can conduct periodic wireless surveys to understand the radio frequency profile of organizational information systems as well as other systems that may be operating in the area.'),('AC-19','1','Use Of  Writable / Portable Storage Devices','[Withdrawn: Incorporated into MP-7].',''),('AC-19','2','Use Of Personally Owned Portable Storage Devices','[Withdrawn: Incorporated into MP-7].',''),('AC-19','3','Use Of Portable Storage Devices With No Identifiable Owner','[Withdrawn: Incorporated into MP-7].',''),('AC-19','4','Restrictions For Classified Information','The organization:\nAC-19 (4)(a)\nProhibits the use of unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information unless specifically permitted by the authorizing official; and\nAC-19 (4)(b)\nEnforces the following restrictions on individuals permitted by the authorizing official to use unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information:\nAC-19 (4)(c)\nRestricts the connection of classified mobile devices to classified information systems in accordance with [Assignment: organization-defined security policies].',''),('AC-19','5','Full Device / Container-based  Encryption','The organization employs [Selection: full-device encryption; container encryption] to protect the confidentiality and integrity of information on [Assignment: organization-defined mobile devices].','Container-based encryption provides a more fine-grained approach to the encryption of data/information on mobile devices, including for example, encrypting selected data structures such as files, records, or fields.'),('AC-2','1','Automated System Account Management','The organization employs automated mechanisms to support the management of information system accounts.','The use of automated mechanisms can include, for example: using email or text messaging to automatically notify account managers when users are terminated or transferred; using the information system to monitor account usage; and using telephonic notification to report atypical system account usage.'),('AC-2','10','Shared / Group Account Credential Termination','The information system terminates shared/group account credentials when members leave the group.',''),('AC-2','11','Usage Conditions','The information system enforces [Assignment: organization-defined circumstances and/or usage conditions] for [Assignment: organization-defined information system accounts].','Organizations can describe the specific conditions or circumstances under which information system accounts can be used, for example, by restricting usage to certain days of the week, time of day, or specific durations of time.'),('AC-2','12','Account Monitoring / Atypical Usage','The organization:\nAC-2 (12)(a)\nMonitors information system accounts for [Assignment: organization-defined atypical use]; and\nAC-2 (12)(b)\nReports atypical usage of information system accounts to [Assignment: organization-defined personnel or roles].','Atypical usage includes, for example, accessing information systems at certain times of the day and from locations that are not consistent with the normal usage patterns of individuals working in organizations.'),('AC-2','13','Disable Accounts For High-risk Individuals','The organization disables accounts of users posing a significant risk within [Assignment: organization-defined time period] of discovery of the risk.','Users posing a significant risk to organizations include individuals for whom reliable evidence or intelligence indicates either the intention to use authorized access to information systems to cause harm or through whom adversaries will cause harm. Harm includes potential adverse impacts to organizational operations and assets, individuals, other organizations, or the Nation. Close coordination between authorizing officials, information system administrators, and human resource managers is essential in order for timely execution of this control enhancement.'),('AC-2','2','Removal Of Temporary / Emergency Accounts','The information system automatically [Selection: removes; disables] temporary and emergency accounts after [Assignment: organization-defined time period for each type of account].','This control enhancement requires the removal of both temporary and emergency accounts automatically after a predefined period of time has elapsed, rather than at the convenience of the systems administrator.'),('AC-2','3','Disable Inactive Accounts','The information system automatically disables inactive accounts after [Assignment: organization-defined time period].',''),('AC-2','4','Automated Audit Actions','The information system automatically audits account creation, modification, enabling, disabling, and removal actions, and notifies [Assignment: organization-defined personnel or roles].',''),('AC-2','5','Inactivity Logout','The organization requires that users log out when [Assignment: organization-defined time-period of expected inactivity or description of when to log out].',''),('AC-2','6','Dynamic Privilege Management','The information system implements the following dynamic privilege management capabilities: [Assignment: organization-defined list of dynamic privilege management capabilities].','c user profiles. This type of privilege management includes, for example, automatic adjustments of privileges if users are operating out of their normal work times, or if information systems are under duress or in emergency maintenance situations. This control enhancement also includes the ancillary effects of privilege changes, for example, the potential changes to encryption keys used for communications. Dynamic privilege management can support requirements for information system resiliency.'),('AC-2','7','Role-based Schemes','The organization:\nAC-2 (7)(a)\nEstablishes and administers privileged user accounts in accordance with a role-based access scheme that organizes allowed information system access and privileges into roles;\nAC-2 (7)(b)\nMonitors privileged role assignments; and\nAC-2 (7)(c)\nTakes [Assignment: organization-defined actions] when privileged role assignments are no longer appropriate.','Privileged roles are organization-defined roles assigned to individuals that allow those individuals to perform certain security-relevant functions that ordinary users are not authorized to perform. These privileged roles include, for example, key management, account management, network and system administration, database administration, and web administration.'),('AC-2','8','Dynamic Account Creation','The information system creates [Assignment: organization-defined information system accounts] dynamically.','Dynamic approaches for creating information system accounts (e.g., as implemented within service-oriented architectures) rely on establishing accounts (identities) at run time for entities that were previously unknown. Organizations plan for dynamic creation of information system accounts by establishing trust relationships and mechanisms with the appropriate authorities to validate related authorizations and privileges.'),('AC-2','9','Restrictions On Use Of Shared Groups / Accounts','The organization only permits the use of shared/group accounts that meet [Assignment: organization-defined conditions for establishing shared/group accounts].',''),('AC-20','1','Limits On Authorized Use','The organization permits authorized individuals to use an external information system to access the information system or to process, store, or transmit organization-controlled information only when the organization:\nAC-20 (1)(a)\nVerifies the implementation of required security controls on the external system as specified in the organization\nï¿½s information security policy and security plan; or\nAC-20 (1)(b)\nRetains approved information system connection or processing agreements with the organizational entity hosting the external information system.','This control enhancement recognizes that there are circumstances where individuals using external information systems (e.g., contractors, coalition partners) need to access organizational information systems. In those situations, organizations need confidence that the external information systems contain the necessary security safeguards (i.e., security controls), so as not to compromise, damage, or otherwise harm organizational information systems. Verification that the required security controls have been implemented can be achieved, for example, by third-party, independent assessments, attestations, or other means, depending on the confidence level required by organizations.'),('AC-20','2','Portable Storage Devices','The organization [Selection: restricts; prohibits] the use of organization-controlled portable storage devices by authorized individuals on external information systems.','Limits on the use of organization-controlled portable storage devices in external information systems include, for example, complete prohibition of the use of such devices or restrictions on how the devices may be used and under what conditions the devices may be used.'),('AC-20','3','Non-organizationally Owned Systems / Components / Devices','The organization [Selection: restricts; prohibits] the use of non-organizationally owned information systems, system components, or devices to process, store, or transmit organizational information.','Non-organizationally owned devices include devices owned by other organizations (e.g., federal/state agencies, contractors) and personally owned devices. There are risks to using non-organizationally owned devices. In some cases, the risk is sufficiently high as to prohibit such use. In other cases, it may be such that the use of non-organizationally owned devices is allowed but restricted in some way. Restrictions include, for example: (i) requiring the implementation of organization-approved security controls prior to authorizing such connections; (ii) limiting access to certain types of information, services, or applications; (iii) using virtualization techniques to limit processing and storage activities to servers or other system components provisioned by the organization; and (iv) agreeing to terms and conditions for usage. For personally owned devices, organizations consult with the Office of the General Counsel regarding legal issues associated with using such devices in operational environments, including, for example, requirements for conducting forensic analyses during investigations after an incident.'),('AC-20','4','Network Accessible Storage Devices','The organization prohibits the use of [Assignment: organization-defined network accessible storage devices] in external information systems.','Network accessible storage devices in external information systems include, for example, online storage devices in public, hybrid, or community cloud-based systems.'),('AC-21','1','Automated Decision Support','The information system enforces information-sharing decisions by authorized users based on access authorizations of sharing partners and access restrictions on information to be shared.',''),('AC-21','2','Information Search And Retrieval','The information system implements information search and retrieval services that enforce [Assignment: organization-defined information sharing restrictions].',''),('AC-24','1','Transmit Access Authorization Information','The information system transmits [Assignment: organization-defined access authorization information] using [Assignment: organization-defined security safeguards] to [Assignment: organization-defined information systems] that enforce access control decisions.','In distributed information systems, authorization processes and access control decisions may occur in separate parts of the systems. In such instances, authorization information is transmitted securely so timely access control decisions can be enforced at the appropriate locations. To support the access control decisions, it may be necessary to transmit as part of the access authorization information, supporting security attributes. This is due to the fact that in distributed information systems, there are various access control decisions that need to be made and different entities (e.g., services) make these decisions in a serial fashion, each requiring some security attributes to make the decisions. Protecting access authorization information (i.e., access control decisions) ensures that such information cannot be altered, spoofed, or otherwise compromised during transmission.'),('AC-24','2','No User Or Process Identity','The information system enforces access control decisions based on [Assignment: organization-defined security attributes] that do not include the identity of the user or process acting on behalf of the user.','In certain situations, it is important that access control decisions can be made without information regarding the identity of the users issuing the requests. These are generally instances where preserving individual privacy is of paramount importance. In other situations, user identification information is simply not needed for access control decisions and, especially in the case of distributed information systems, transmitting such information with the needed degree of assurance may be very expensive or difficult to accomplish.'),('AC-3','1','Restricted Access To Privileged Functions','[Withdrawn: Incorporated into AC-6].',''),('AC-3','10','Audited Override Of Access Control Mechanisms','The organization employs an audited override of automated access control mechanisms under [Assignment: organization-defined conditions].',''),('AC-3','2','Dual Authorization','The information system enforces dual authorization for [Assignment: organization-defined privileged commands and/or other organization-defined actions].','Dual authorization mechanisms require the approval of two authorized individuals in order to execute. Organizations do not require dual authorization mechanisms when immediate responses are necessary to ensure public and environmental safety. Dual authorization may also be known as two-person control.'),('AC-3','3','Mandatory Access Control','The information system enforces [Assignment: organization-defined mandatory access control policies] over all subjects and objects where the policy specifies that:\nAC-3 (3)(a)\nThe policy is uniformly enforced across all subjects and objects within the boundary of the information system;\nAC-3 (3)(b)\nA subject that has been granted access to information is constrained from doing any of the following;\nAC-3 (3)(c)\n[Assignment: Organized-defined subjects] may explicitly be granted [Assignment: organization-defined privileges (i.e., they are trusted subjects)] such that they are not limited by some or all of the above constraints.','Mandatory access control as defined in this control enhancement is synonymous with nondiscretionary access control, and is not constrained only to certain historical uses (e.g., implementations using the Bell-LaPadula Model). The above class of mandatory access control policies constrains what actions subjects can take with information obtained from data objects for which they have already been granted access, thus preventing the subjects from passing the information to unauthorized subjects and objects. This class of mandatory access control policies also constrains what actions subjects can take with respect to the propagation of access control privileges; that is, a subject with a privilege cannot pass that privilege to other subjects. The policy is uniformly enforced over all subjects and objects to which the information system has control. Otherwise, the access control policy can be circumvented. This enforcement typically is provided via an implementation that meets the reference monitor concept (see AC-25). The policy is bounded by the information system boundary (i.e., once the information is passed outside of the control of the system, additional means may be required to ensure that the constraints on the information remain in effect). The trusted subjects described above are granted privileges consistent with the concept of least privilege (see AC-6). Trusted subjects are only given the minimum privileges relative to the above policy necessary for satisfying organizational mission/business needs. The control is most applicable when there is some policy mandate (e.g., law, Executive Order, directive, or regulation) that establishes a policy regarding access to sensitive/classified information and some users of the information system are not authorized access to all sensitive/classified information resident in the information system. This control can operate in conjunction with AC-3 (4). A subject that is constrained in its operation by policies governed by this control is still able to operate under the less rigorous constraints of AC-3 (4), but policies governed by this control take precedence over the less rigorous constraints of AC-3 (4). For example, while a mandatory access control policy imposes a constraint preventing a subject from passing information to another subject operating at a different sensitivity label, AC-3 (4) permits the subject to pass the information to any subject with the same sensitivity label as the subject.'),('AC-3','4','Discretionary Access Control','The information system enforces [Assignment: organization-defined discretionary access control policies] over defined subjects and objects where the policy specifies that a subject that has been granted access to information can do one or more of the following:\nAC-3 (4)(a)\nPass the  information to any other subjects or objects;\nAC-3 (4)(b)\nGrant its privileges to other subjects;\nAC-3 (4)(c)\nChange security attributes on subjects, objects, the information system, or the information system\nï¿½s components;\nAC-3 (4)(d)\nChoose the security attributes to be associated with newly created or revised objects; or\nAC-3 (4)(e)\nChange the rules governing access control.','When discretionary access control policies are implemented, subjects are not constrained with regard to what actions they can take with information for which they have already been granted access. Thus, subjects that have been granted access to information are not prevented from passing (i.e., the subjects have the discretion to pass) the information to other subjects or objects. This control enhancement can operate in conjunction with AC-3 (3). A subject that is constrained in its operation by policies governed by AC-3 (3) is still able to operate under the less rigorous constraints of this control enhancement. Thus, while AC-3 (3) imposes constraints preventing a subject from passing information to another subject operating at a different sensitivity level, AC-3 (4) permits the subject to pass the information to any subject at the same sensitivity level. The policy is bounded by the information system boundary. Once the information is passed outside of the control of the information system, additional means may be required to ensure that the constraints remain in effect. While the older, more traditional definitions of discretionary access control require identity-based access control, that limitation is not required for this use of discretionary access control.'),('AC-3','5','Security-relevant Information','The information system prevents access to [Assignment: organization-defined security-relevant information] except during secure, non-operable system states.','ude the times in which information systems are not performing mission/business-related processing (e.g., the system is off-line for maintenance, troubleshooting, boot-up, shut down).'),('AC-3','6','Protection Of User And System Information','[Withdrawn: Incorporated into MP-4 and SC-28].',''),('AC-3','7','Role-based Access Control','The information system enforces a role-based access control policy over defined subjects and objects and controls access based upon [Assignment: organization-defined roles and users authorized to assume such roles].','Role-based access control (RBAC) is an access control policy that restricts information system access to authorized users. Organizations can create specific roles based on job functions and the authorizations (i.e., privileges) to perform needed operations on organizational information systems associated with the organization-defined roles. When users are assigned to the organizational roles, they inherit the authorizations or privileges defined for those roles. RBAC simplifies privilege administration for organizations because privileges are not assigned directly to every user (which can be a significant number of individuals for mid- to large-size organizations) but are instead acquired through role assignments. RBAC can be implemented either as a mandatory or discretionary form of access control. For organizations implementing RBAC with mandatory access controls, the requirements in AC-3 (3) define the scope of the subjects and objects covered by the policy.'),('AC-3','8','Revocation Of Access Authorizations','The information system enforces the revocation of access authorizations resulting from changes to the security attributes of subjects and objects based on [Assignment: organization-defined rules governing the timing of revocations of access authorizations].','Revocation of access rules may differ based on the types of access revoked. For example, if a subject (i.e., user or process) is removed from a group, access may not be revoked until the next time the object (e.g., file) is opened or until the next time the subject attempts a new access to the object. Revocation based on changes to security labels may take effect immediately. Organizations can provide alternative approaches on how to make revocations immediate if information systems cannot provide such capability and immediate revocation is necessary.'),('AC-3','9','Controlled Release','The information system does not release information outside of the established system boundary unless:\nAC-3 (9)(a)\nThe receiving [Assignment: organization-defined information system or system component] provides [Assignment: organization-defined security safeguards]; and\nAC-3 (9)(b)\n[Assignment: organization-defined security safeguards] are used to validate the appropriateness of the information designated for release.','Information systems can only protect organizational information within the confines of established system boundaries. Additional security safeguards may be needed to ensure that such information is adequately protected once it is passed beyond the established information system boundaries. Examples of information leaving the system boundary include transmitting information to an external information system or printing the information on one of its printers. In cases where the information system is unable to make a determination of the adequacy of the protections provided by entities outside its boundary, as a mitigating control, organizations determine procedurally whether the external information systems are providing adequate security. The means used to determine the adequacy of the security provided by external information systems include, for example, conducting inspections or periodic testing, establishing agreements between the organization and its counterpart organizations, or some other process. The means used by external entities to protect the information received need not be the same as those used by the organization, but the means employed are sufficient to provide consistent adjudication of the security policy to protect the information. This control enhancement requires information systems to employ technical or procedural means to validate the information prior to releasing it to external systems. For example, if the information system passes information to another system controlled by another organization, technical means are employed to validate that the security attributes associated with the exported information are appropriate for the receiving system. Alternatively, if the information system passes information to a printer in organization-controlled space, procedural means can be employed to ensure that only appropriately authorized individuals gain access to the printer. This control enhancement is most applicable when there is some policy mandate (e.g., law, Executive Order, directive, or regulation) that establishes policy regarding access to the information, and that policy applies beyond the realm of a particular information system or organization.'),('AC-4','1','Object Security Attributes','The information system uses [Assignment: organization-defined security attributes] associated with [Assignment: organization-defined information, source, and destination objects] to enforce [Assignment: organization-defined information flow control policies] as a basis for flow control decisions.','Information flow enforcement mechanisms compare security attributes associated with information (data content and data structure) and source/destination objects, and respond appropriately (e.g., block, quarantine, alert administrator) when the mechanisms encounter information flows not explicitly allowed by information flow policies. For example, an information object labeled Secret would be allowed to flow to a destination object labeled Secret, but an information object labeled Top Secret would not be allowed to flow to a destination object labeled Secret. Security attributes can also include, for example, source and destination addresses employed in traffic filter firewalls. Flow enforcement using explicit security attributes can be used, for example, to control the release of certain types of information.'),('AC-4','10','Enable / Disable Security Policy Filters','The information system provides the capability for privileged administrators to enable/disable [Assignment: organization-defined security policy filters] under the following conditions: [Assignment: organization-defined conditions].','For example, as allowed by the information system authorization, administrators can enable security policy filters to accommodate approved data types.'),('AC-4','11','Configuration Of Security Policy Filters','The information system provides the capability for privileged administrators to configure [Assignment: organization-defined security policy filters] to support different security policies.','ï¿½dirty wordsï¿½ that security policy mechanisms check in accordance with the definitions provided by organizations.'),('AC-4','12','Data Type Identifiers','The information system, when transferring information between different security domains, uses [Assignment: organization-defined data type identifiers] to validate data essential for information flow decisions.','Data type identifiers include, for example, filenames, file types, file signatures/tokens, and multiple internal file signatures/tokens. Information systems may allow transfer of data only if compliant with data type format specifications.'),('AC-4','13','Decomposition Into Policy-relevant Subcomponents','The information system, when transferring information between different security domains, decomposes information into [Assignment: organization-defined policy-relevant subcomponents] for submission to policy enforcement mechanisms.','Policy enforcement mechanisms apply filtering, inspection, and/or sanitization rules to the policy-relevant subcomponents of information to facilitate flow enforcement prior to transferring such information to different security domains. Parsing transfer files facilitates policy decisions on source, destination, certificates, classification, attachments, and other security-related component differentiators.'),('AC-4','14','Security Policy Filter Constraints','The information system, when transferring information between different security domains, implements [Assignment: organization-defined security policy filters] requiring fully enumerated formats that restrict data structure and content.','Data structure and content restrictions reduce the range of potential malicious and/or unsanctioned content in cross-domain transactions. Security policy filters that restrict data structures include, for example, restricting file sizes and field lengths. Data content policy filters include, for example: (i) encoding formats for character sets (e.g., Universal Character Set Transformation Formats, American Standard Code for Information Interchange); (ii) restricting character data fields to only contain alpha-numeric characters; (iii) prohibiting special characters; and (iv) validating schema structures.'),('AC-4','15','Detection Of Unsanctioned Information','The information system, when transferring information between different security domains, examines the information for the presence of [Assignment: organized-defined unsanctioned information] and prohibits the transfer of such information in accordance with the [Assignment: organization-defined security policy].','Detection of unsanctioned information includes, for example, checking all information to be transferred for malicious code and dirty words.'),('AC-4','16','Information Transfers On Interconnected Systems','[Withdrawn: Incorporated into AC-4].',''),('AC-4','17','Domain Authentication','The information system uniquely identifies and authenticates source and destination points by [Selection (one or more): organization, system, application, individual] for information transfer.','Attribution is a critical component of a security concept of operations. The ability to identify source and destination points for information flowing in information systems, allows the forensic reconstruction of events when required, and encourages policy compliance by attributing policy violations to specific organizations/individuals. Successful domain authentication requires that information system labels distinguish among systems, organizations, and individuals involved in preparing, sending, receiving, or disseminating information.'),('AC-4','18','Security Attribute Binding','The information system binds security attributes to information using [Assignment: organization-defined binding techniques] to facilitate information flow policy enforcement.','Binding techniques implemented by information systems affect the strength of security attribute binding to information. Binding strength and the assurance associated with binding techniques play an important part in the trust organizations have in the information flow enforcement process. The binding techniques affect the number and degree of additional reviews required by organizations.'),('AC-4','19','Validation Of Metadata','The information system, when transferring information between different security domains, applies the same security policy filtering to metadata as it applies to data payloads.','This control enhancement requires the validation of metadata and the data to which the metadata applies. Some organizations distinguish between metadata and data payloads (i.e., only the data to which the metadata is bound). Other organizations do not make such distinctions, considering metadata and the data to which the metadata applies as part of the payload. All information (including metadata and the data to which the metadata applies) is subject to filtering and inspection.'),('AC-4','2','Processing Domains','The information system uses protected processing domains to enforce [Assignment: organization-defined information flow control policies] as a basis for flow control decisions.','Within information systems, protected processing domains are processing spaces that have controlled interactions with other processing spaces, thus enabling control of information flows between these spaces and to/from data/information objects. A protected processing domain can be provided, for example, by implementing domain and type enforcement. In domain and type enforcement, information system processes are assigned to domains; information is identified by types; and information flows are controlled based on allowed information accesses (determined by domain and type), allowed signaling among domains, and allowed process transitions to other domains.'),('AC-4','20','Approved Solutions','The organization employs [Assignment: organization-defined solutions in approved configurations] to control the flow of [Assignment: organization-defined information] across security domains.','Organizations define approved solutions and configurations in cross-domain policies and guidance in accordance with the types of information flows across classification boundaries. The Unified Cross Domain Management Office (UCDMO) provides a baseline listing of approved cross-domain solutions.'),('AC-4','21','Physical / Logical Separation Of Information Flows','The information system separates information flows logically or physically using [Assignment: organization-defined mechanisms and/or techniques] to accomplish [Assignment: organization-defined required separations by types of information].','Enforcing the separation of information flows by type can enhance protection by ensuring that information is not commingled while in transit and by enabling flow control by transmission paths perhaps not otherwise achievable. Types of separable information include, for example, inbound and outbound communications traffic, service requests and responses, and information of differing security categories.'),('AC-4','22','Access Only','The information system provides access from a single device to computing platforms, applications, or data residing on multiple different security domains, while preventing any information flow between the different security domains.','The information system, for example, provides a desktop for users to access each connected security domain without providing any mechanisms to allow transfer of information between the different security domains.'),('AC-4','3','Dynamic Information Flow Control','The information system enforces dynamic information flow control based on [Assignment: organization-defined policies].','Organizational policies regarding dynamic information flow control include, for example, allowing or disallowing information flows based on changing conditions or mission/operational considerations. Changing conditions include, for example, changes in organizational risk tolerance due to changes in the immediacy of mission/business needs, changes in the threat environment, and detection of potentially harmful or adverse events.'),('AC-4','4','Content Check Encrypted Information','The information system prevents encrypted information from bypassing content-checking mechanisms by [Selection (one or more): decrypting the information; blocking the flow of the encrypted information; terminating communications sessions attempting to pass encrypted information; [Assignment: organization-defined procedure or method]].',''),('AC-4','5','Embedded Data Types','The information system enforces [Assignment: organization-defined limitations] on embedding data types within other data types.','Embedding data types within other data types may result in reduced flow control effectiveness. Data type embedding includes, for example, inserting executable files as objects within word processing files, inserting references or descriptive information into a media file, and compressed or archived data types that may include multiple embedded data types. Limitations on data type embedding consider the levels of embedding and prohibit levels of data type embedding that are beyond the capability of the inspection tools.'),('AC-4','6','Metadata','The information system enforces information flow control based on [Assignment: organization-defined metadata].','Metadata is information used to describe the characteristics of data. Metadata can include structural metadata describing data structures (e.g., data format, syntax, and semantics) or descriptive metadata describing data contents (e.g., age, location, telephone number). Enforcing allowed information flows based on metadata enables simpler and more effective flow control. Organizations consider the trustworthiness of metadata with regard to data accuracy (i.e., knowledge that the metadata values are correct with respect to the data), data integrity (i.e., protecting against unauthorized changes to metadata tags), and the binding of metadata to the data payload (i.e., ensuring sufficiently strong binding techniques with appropriate levels of assurance).'),('AC-4','7','One-way Flow Mechanisms','The information system enforces [Assignment: organization-defined one-way flows] using hardware mechanisms.',''),('AC-4','8','Security Policy Filters','The information system enforces information flow control using [Assignment: organization-defined security policy filters] as a basis for flow control decisions for [Assignment: organization-defined information flows].','emails). Organizations can implement more than one security policy filter to meet information flow control objectives (e.g., employing clean word lists in conjunction with dirty word lists may help to reduce false positives).'),('AC-4','9','Human Reviews','The information system enforces the use of human reviews for [Assignment: organization-defined information flows] under the following conditions: [Assignment: organization-defined conditions].','Organizations define security policy filters for all situations where automated flow control decisions are possible. When a fully automated flow control decision is not possible, then a human review may be employed in lieu of, or as a complement to, automated security policy filtering. Human reviews may also be employed as deemed necessary by organizations.'),('AC-6','1','Authorize Access To Security Functions','The organization explicitly authorizes access to [Assignment: organization-defined security functions (deployed in hardware, software, and firmware) and security-relevant information].','Security functions include, for example, establishing system accounts, configuring access authorizations (i.e., permissions, privileges), setting events to be audited, and setting intrusion detection parameters. Security-relevant information includes, for example, filtering rules for routers/firewalls, cryptographic key management information, configuration parameters for security services, and access control lists. Explicitly authorized personnel include, for example, security administrators, system and network administrators, system security officers, system maintenance personnel, system programmers, and other privileged users.'),('AC-6','10','Prohibit Non-privileged Users From Executing Privileged Functions','The information system prevents non-privileged users from executing privileged functions to include disabling, circumventing, or altering implemented security safeguards/countermeasures.','Privileged functions include, for example, establishing information system accounts, performing system integrity checks, or administering cryptographic key management activities. Non-privileged users are individuals that do not possess appropriate authorizations. Circumventing intrusion detection and prevention mechanisms or malicious code protection mechanisms are examples of privileged functions that require protection from non-privileged users.'),('AC-6','2','Non-privileged Access For Nonsecurity Functions','The organization requires that users of information system accounts, or roles, with access to [Assignment: organization-defined security functions or security-relevant information], use non-privileged accounts or roles, when accessing nonsecurity functions.','This control enhancement limits exposure when operating from within privileged accounts or roles. The inclusion of roles addresses situations where organizations implement access control policies such as role-based access control and where a change of role provides the same degree of assurance in the change of access authorizations for both the user and all processes acting on behalf of the user as would be provided by a change between a privileged and non-privileged account.'),('AC-6','3','Network Access To Privileged Commands','The organization authorizes network access to [Assignment: organization-defined privileged commands] only for [Assignment: organization-defined compelling operational needs] and documents the rationale for such access in the security plan for the information system.','Network access is any access across a network connection in lieu of local access (i.e., user being physically present at the device).'),('AC-6','4','Separate Processing Domains','The information system provides separate processing domains to enable finer-grained allocation of user privileges.','Providing separate processing domains for finer-grained allocation of user privileges includes, for example: (i) using virtualization techniques to allow additional privileges within a virtual machine while restricting privileges to other virtual machines or to the underlying actual machine; (ii) employing hardware and/or software domain separation mechanisms; and (iii) implementing separate physical domains.'),('AC-6','5','Privileged Accounts','The organization restricts privileged accounts on the information system to [Assignment: organization-defined personnel or roles].','Privileged accounts, including super user accounts, are typically described as system administrator for various types of commercial off-the-shelf operating systems. Restricting privileged accounts to specific personnel or roles prevents day-to-day users from having access to privileged information/functions. Organizations may differentiate in the application of this control enhancement between allowed privileges for local accounts and for domain accounts provided organizations retain the ability to control information system configurations for key security parameters and as otherwise necessary to sufficiently mitigate risk.'),('AC-6','6','Privileged Access By Non-organizational Users','The organization prohibits privileged access to the information system by non-organizational users.',''),('AC-6','7','Review Of User Privileges','The organization:\nAC-6 (7)(a)\nReviews [Assignment: organization-defined frequency] the privileges assigned to [Assignment: organization-defined roles or classes of users] to validate the need for such privileges; and\nAC-6 (7)(b)\nReassigns or removes privileges, if necessary, to correctly reflect organizational mission/business needs.','The need for certain assigned user privileges may change over time reflecting changes in organizational missions/business function, environments of operation, technologies, or threat. Periodic review of assigned user privileges is necessary to determine if the rationale for assigning such privileges remains valid. If the need cannot be revalidated, organizations take appropriate corrective actions.'),('AC-6','8','Privilege Levels For Code Execution','The information system prevents [Assignment: organization-defined software] from executing at higher privilege levels than users executing the software.','In certain situations, software applications/programs need to execute with elevated privileges to perform required functions. However, if the privileges required for execution are at a higher level than the privileges assigned to organizational users invoking such applications/programs, those users are indirectly provided with greater privileges than assigned by organizations.'),('AC-6','9','Auditing Use Of Privileged Functions','The information system audits the execution of privileged functions.','Misuse of privileged functions, either intentionally or unintentionally by authorized users, or by unauthorized external entities that have compromised information system accounts, is a serious and ongoing concern and can have significant adverse impacts on organizations. Auditing the use of privileged functions is one way to detect such misuse, and in doing so, help mitigate the risk from insider threats and the advanced persistent threat (APT).'),('AC-7','1','Automatic Account Lock','[Withdrawn: Incorporated into AC-7].',''),('AC-7','2','Purge / Wipe Mobile Device','The information system purges/wipes information from [Assignment: organization-defined mobile devices] based on [Assignment: organization-defined purging/wiping requirements/techniques] after [Assignment: organization-defined number] consecutive, unsuccessful device logon attempts.','This control enhancement applies only to mobile devices for which a logon occurs (e.g., personal digital assistants, smart phones, tablets). The logon is to the mobile device, not to any one account on the device. Therefore, successful logons to any accounts on mobile devices reset the unsuccessful logon count to zero. Organizations define information to be purged/wiped carefully in order to avoid over purging/wiping which may result in devices becoming unusable. Purging/wiping may be unnecessary if the information on the device is protected with sufficiently strong encryption mechanisms.'),('AC-9','1','Unsuccessful Logons','The information system notifies the user, upon successful logon/access, of the number of unsuccessful logon/access attempts since the last successful logon/access.',''),('AC-9','2','Successful / Unsuccessful Logons','The information system notifies the user of the number of [Selection: successful logons/accesses; unsuccessful logon/access attempts; both] during [Assignment: organization-defined time period].',''),('AC-9','3','Notification Of Account Changes','ï¿½s account] during [Assignment: organization-defined time period].',''),('AC-9','4','Additional Logon Information','The information system notifies the user, upon successful logon (access), of the following additional information: [Assignment: organization-defined information to be included in addition to the date and time of the last logon (access)].','This control enhancement permits organizations to specify additional information to be provided to users upon logon including, for example, the location of last logon. User location is defined as that information which can be determined by information systems, for example, IP addresses from which network logons occurred, device identifiers, or notifications of local logons.'),('AT-2','1','Practical Exercises','The organization includes practical exercises in security awareness training that simulate actual cyber attacks.','Practical exercises may include, for example, no-notice social engineering attempts to collect information, gain unauthorized access, or simulate the adverse impact of opening malicious email attachments or invoking, via spear phishing attacks, malicious web links.'),('AT-2','2','Insider Threat','The organization includes security awareness training on recognizing and reporting potential indicators of insider threat.','Potential indicators and possible precursors of insider threat can include behaviors such as inordinate, long-term job dissatisfaction, attempts to gain access to information not required for job performance, unexplained access to financial resources, bullying or sexual harassment of fellow employees, workplace violence, and other serious violations of organizational policies, procedures, directives, rules, or practices. Security awareness training includes how to communicate employee and management concerns regarding potential indicators of insider threat through appropriate organizational channels in accordance with established organizational policies and procedures.'),('AT-3','1','Environmental Controls','The organization provides [Assignment: organization-defined personnel or roles] with initial and [Assignment: organization-defined frequency] training in the employment and operation of environmental controls.','Environmental controls include, for example, fire suppression and detection devices/systems, sprinkler systems, handheld fire extinguishers, fixed fire hoses, smoke detectors, temperature/humidity, HVAC, and power within the facility. Organizations identify personnel with specific roles and responsibilities associated with environmental controls requiring specialized training.'),('AT-3','2','Physical Security Controls','The organization provides [Assignment: organization-defined personnel or roles] with initial and [Assignment: organization-defined frequency] training in the employment and operation of physical security controls.','Physical security controls include, for example, physical access control devices, physical intrusion alarms, monitoring/surveillance equipment, and security guards (deployment and operating procedures). Organizations identify personnel with specific roles and responsibilities associated with physical security controls requiring specialized training.'),('AT-3','3','Practical Exercises','The organization includes practical exercises in security training that reinforce training objectives.','Practical exercises may include, for example, security training for software developers that includes simulated cyber attacks exploiting common software vulnerabilities (e.g., buffer overflows), or spear/whale phishing attacks targeted at senior leaders/executives. These types of practical exercises help developers better understand the effects of such vulnerabilities and appreciate the need for security coding standards and processes.'),('AT-3','4','Suspicious Communications And Anomalous System Behavior','The organization provides training to its personnel on [Assignment: organization-defined indicators of malicious code] to recognize suspicious communications and anomalous behavior in organizational information systems.','A well-trained workforce provides another organizational safeguard that can be employed as part of a defense-in-depth strategy to protect organizations against malicious code coming in to organizations via email or the web applications. Personnel are trained to look for indications of potentially suspicious email (e.g., receiving an unexpected email, receiving an email containing strange or poor grammar, or receiving an email from an unfamiliar sender but who appears to be from a known sponsor or contractor). Personnel are also trained on how to respond to such suspicious email or web communications (e.g., not opening attachments, not clicking on embedded web links, and checking the source of email addresses). For this process to work effectively, all organizational personnel are trained and made aware of what constitutes suspicious communications. Training personnel on how to recognize anomalous behaviors in organizational information systems can potentially provide early warning for the presence of malicious code. Recognition of such anomalous behavior by organizational personnel can supplement automated malicious code detection and protection tools and systems employed by organizations.'),('AU-10','1','Association Of Identities','The information system:\nAU-10 (1)(a)\nBinds the identity of the information producer with the information to [Assignment: organization-defined strength of binding]; and\nAU-10 (1)(b)\nProvides the means for authorized individuals to determine the identity of the producer of the information.','This control enhancement supports audit requirements that provide organizational personnel with the means to identify who produced specific information in the event of an information transfer. Organizations determine and approve the strength of the binding between the information producer and the information based on the security category of the information and relevant risk factors.'),('AU-10','2','Validate Binding Of Information Producer Identity','The information system:\nAU-10 (2)(a)\nValidates the binding of the information producer identity to the information at [Assignment: organization-defined frequency]; and\nAU-10 (2)(b)\nPerforms [Assignment: organization-defined actions] in the event of a validation error.','This control enhancement prevents the modification of information between production and review. The validation of bindings can be achieved, for example, by the use of cryptographic checksums. Organizations determine if validations are in response to user requests or generated automatically.'),('AU-10','3','Chain Of Custody','The information system maintains reviewer/releaser identity and credentials within the established chain of custody for all information reviewed or released.','Chain of custody is a process that tracks the movement of evidence through its collection, safeguarding, and analysis life cycle by documenting each person who handled the evidence, the date and time it was collected or transferred, and the purpose for the transfer. If the reviewer is a human or if the review function is automated but separate from the release/transfer function, the information system associates the identity of the reviewer of the information to be released with the information and the information label. In the case of human reviews, this control enhancement provides organizational officials the means to identify who reviewed and released the information. In the case of automated reviews, this control enhancement ensures that only approved review functions are employed.'),('AU-10','4','Validate Binding Of Information Reviewer Identity','The information system:\nAU-10 (4)(a)\nValidates the binding of the information reviewer identity to the information at the transfer or release points prior to release/transfer between [Assignment: organization-defined security domains]; and\nAU-10 (4)(b)\nPerforms [Assignment: organization-defined actions] in the event of a validation error.','This control enhancement prevents the modification of information between review and transfer/release. The validation of bindings can be achieved, for example, by the use of cryptographic checksums. Organizations determine validations are in response to user requests or generated automatically.'),('AU-10','5','Digital Signatures','[Withdrawn: Incorporated into SI-7].',''),('AU-11','1','Long-term Retrieval Capability','The organization employs [Assignment: organization-defined measures] to ensure that long-term audit records generated by the information system can be retrieved.','Measures employed by organizations to help facilitate the retrieval of audit records include, for example, converting records to newer formats, retaining equipment capable of reading the records, and retaining necessary documentation to help organizational personnel understand how to interpret the records.'),('AU-12','1','System-wide / Time-correlated Audit Trail','The information system compiles audit records from [Assignment: organization-defined information system components] into a system-wide (logical or physical) audit trail that is time-correlated to within [Assignment: organization-defined level of tolerance for relationship between time stamps of individual records in the audit trail].','Audit trails are time-correlated if the time stamps in the individual audit records can be reliably related to the time stamps in other audit records to achieve a time ordering of the records within organizational tolerances.'),('AU-12','2','Standardized Formats','The information system produces a system-wide (logical or physical) audit trail composed of audit records in a standardized format.','Audit information that is normalized to common standards promotes interoperability and exchange of such information between dissimilar devices and information systems. This facilitates production of event information that can be more readily analyzed and correlated. Standard formats for audit records include, for example, system log records and audit records compliant with Common Event Expressions (CEE). If logging mechanisms within information systems do not conform to standardized formats, systems may convert individual audit records into standardized formats when compiling system-wide audit trails.'),('AU-12','3','Changes By Authorized Individuals','The information system provides the capability for [Assignment: organization-defined individuals or roles] to change the auditing to be performed on [Assignment: organization-defined information system components] based on [Assignment: organization-defined selectable event criteria] within [Assignment: organization-defined time thresholds].','This control enhancement enables organizations to extend or limit auditing as necessary to meet organizational requirements. Auditing that is limited to conserve information system resources may be extended to address certain threat situations. In addition, auditing may be limited to a specific set of events to facilitate audit reduction, analysis, and reporting. Organizations can establish time thresholds in which audit actions are changed, for example, near real-time, within minutes, or within hours.'),('AU-13','1','Use Of Automated Tools','The organization employs automated mechanisms to determine if organizational information has been disclosed in an unauthorized manner.','Automated mechanisms can include, for example, automated scripts to monitor new posts on selected websites, and commercial services providing notifications and alerts to organizations.'),('AU-13','2','Review Of Monitored Sites','The organization reviews the open source information sites being monitored [Assignment: organization-defined frequency].',''),('AU-14','1','System Start-up','The information system initiates session audits at system start-up.',''),('AU-14','2','Capture/record And Log Content','The information system provides the capability for authorized users to capture/record and log content related to a user session.',''),('AU-14','3','Remote Viewing / Listening','The information system provides the capability for authorized users to remotely view/hear all content related to an established user session in real time.',''),('AU-16','1','Identity Preservation','The organization requires that the identity of individuals be preserved in cross-organizational audit trails.','This control enhancement applies when there is a need to be able to trace actions that are performed across organizational boundaries to a specific individual.'),('AU-16','2','Sharing Of Audit Information','The organization provides cross-organizational audit information to [Assignment: organization-defined organizations] based on [Assignment: organization-defined cross-organizational sharing agreements].','Because of the distributed nature of the audit information, cross-organization sharing of audit information may be essential for effective analysis of the auditing being performed. For example, the audit records of one organization may not provide sufficient information to determine the appropriate or inappropriate use of organizational information resources by individuals in other organizations. In some instances, only the home organizations of individuals have the appropriate knowledge to make such determinations, thus requiring the sharing of audit information among organizations.'),('AU-2','1','Compilation Of Audit Records From Multiple Sources','[Withdrawn: Incorporated into AU-12].',''),('AU-2','2','Selection Of Audit Events By Component','[Withdrawn: Incorporated into AU-12].',''),('AU-2','3','Reviews And Updates','The organization reviews and updates the audited events [Assignment: organization-defined frequency].','Over time, the events that organizations believe should be audited may change. Reviewing and updating the set of audited events periodically is necessary to ensure that the current set is still necessary and sufficient.'),('AU-2','4','Privileged Functions','[Withdrawn: Incorporated into AC-6 (9)].',''),('AU-3','1','Additional Audit Information','The information system generates audit records containing the following additional information: [Assignment: organization-defined additional, more detailed information].','Detailed information that organizations may consider in audit records includes, for example, full text recording of privileged commands or the individual identities of group account users. Organizations consider limiting the additional audit information to only that information explicitly needed for specific audit requirements. This facilitates the use of audit trails and audit logs by not including information that could potentially be misleading or could make it more difficult to locate information of interest.'),('AU-3','2','Centralized Management Of Planned Audit Record Content','The information system provides centralized management and configuration of the content to be captured in audit records generated by [Assignment: organization-defined information system components].','This control enhancement requires that the content to be captured in audit records be configured from a central location (necessitating automation). Organizations coordinate the selection of required audit content to support the centralized management and configuration capability provided by the information system.'),('AU-4','1','Transfer To Alternate Storage','The information system off-loads audit records [Assignment: organization-defined frequency] onto a different system or media than the system being audited.','Off-loading is a process designed to preserve the confidentiality and integrity of audit records by moving the records from the primary information system to a secondary or alternate system. It is a common process in information systems with limited audit storage capacity; the audit storage is used only in a transitory fashion until the system can communicate with the secondary or alternate system designated for storing the audit records, at which point the information is transferred.'),('AU-5','1','Audit Storage Capacity','The information system provides a warning to [Assignment: organization-defined personnel, roles, and/or locations] within [Assignment: organization-defined time period] when allocated audit record storage volume reaches [Assignment: organization-defined percentage] of repository maximum audit record storage capacity.','Organizations may have multiple audit data storage repositories distributed across multiple information system components, with each repository having different storage volume capacities.'),('AU-5','2','Real-time Alerts','The information system provides an alert in [Assignment: organization-defined real-time period] to [Assignment: organization-defined personnel, roles, and/or locations] when the following audit failure events occur: [Assignment: organization-defined audit failure events requiring real-time alerts].','Alerts provide organizations with urgent messages. Real-time alerts provide these messages at information technology speed (i.e., the time from event detection to alert occurs in seconds or less).'),('AU-5','3','Configurable Traffic Volume Thresholds','The information system enforces configurable network communications traffic volume thresholds reflecting limits on auditing capacity and [Selection: rejects; delays] network traffic above those thresholds.','Organizations have the capability to reject or delay the processing of network communications traffic if auditing such traffic is determined to exceed the storage capacity of the information system audit function. The rejection or delay response is triggered by the established organizational traffic volume thresholds which can be adjusted based on changes to audit storage capacity.'),('AU-5','4','Shutdown On Failure','The information system invokes a [Selection: full system shutdown; partial system shutdown; degraded operational mode with limited mission/business functionality available] in the event of [Assignment: organization-defined audit failures], unless an alternate audit capability exists.','Organizations determine the types of audit failures that can trigger automatic information system shutdowns or degraded operations. Because of the importance of ensuring mission/business continuity, organizations may determine that the nature of the audit failure is not so severe that it warrants a complete shutdown of the information system supporting the core organizational missions/business operations. In those instances, partial information system shutdowns or operating in a degraded mode with reduced capability may be viable alternatives.'),('AU-6','1','Process Integration','The organization employs automated mechanisms to integrate audit review, analysis, and reporting processes to support organizational processes for investigation and response to suspicious activities.','Organizational processes benefiting from integrated audit review, analysis, and reporting include, for example, incident response, continuous monitoring, contingency planning, and Inspector General audits.'),('AU-6','10','Audit Level Adjustment','The organization adjusts the level of audit review, analysis, and reporting within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information.','The frequency, scope, and/or depth of the audit review, analysis, and reporting may be adjusted to meet organizational needs based on new information received.'),('AU-6','2','Automated Security Alerts','[Withdrawn: Incorporated into SI-4].',''),('AU-6','3','Correlate Audit Repositories','The organization analyzes and correlates audit records across different repositories to gain organization-wide situational awareness.','Organization-wide situational awareness includes awareness across all three tiers of risk management (i.e., organizational, mission/business process, and information system) and supports cross-organization awareness.'),('AU-6','4','Central Review And Analysis','The information system provides the capability to centrally review and analyze audit records from multiple components within the system.','Automated mechanisms for centralized reviews and analyses include, for example, Security Information Management products.'),('AU-6','5','Integration / Scanning And Monitoring Capabilities','The organization integrates analysis of audit records with analysis of [Selection (one or more): vulnerability scanning information; performance data; information system monitoring information; [Assignment: organization-defined data/information collected from other sources]] to further enhance the ability to identify inappropriate or unusual activity.','This control enhancement does not require vulnerability scanning, the generation of performance data, or information system monitoring. Rather, the enhancement requires that the analysis of information being otherwise produced in these areas is integrated with the analysis of audit information. Security Event and Information Management System tools can facilitate audit record aggregation/consolidation from multiple information system components as well as audit record correlation and analysis. The use of standardized audit record analysis scripts developed by organizations (with localized script adjustments, as necessary) provides more cost-effective approaches for analyzing audit record information collected. The correlation of audit record information with vulnerability scanning information is important in determining the veracity of vulnerability scans and correlating attack detection events with scanning results. Correlation with performance data can help uncover denial of service attacks or cyber attacks resulting in unauthorized use of resources. Correlation with system monitoring information can assist in uncovering attacks and in better relating audit information to operational situations.'),('AU-6','6','Correlation With Physical Monitoring','The organization correlates information from audit records with information obtained from monitoring physical access to further enhance the ability to identify suspicious, inappropriate, unusual, or malevolent activity.','ï¿½s identity for logical access to certain information systems with the additional physical security information that the individual was actually present at the facility when the logical access occurred, may prove to be useful in investigations.'),('AU-6','7','Permitted Actions','The organization specifies the permitted actions for each [Selection (one or more): information system process; role; user] associated with the review, analysis, and reporting of audit information.','Organizations specify permitted actions for information system processes, roles, and/or users associated with the review, analysis, and reporting of audit records through account management techniques. Specifying permitted actions on audit information is a way to enforce the principle of least privilege. Permitted actions are enforced by the information system and include, for example, read, write, execute, append, and delete.'),('AU-6','8','Full Text Analysis Of Privileged Commands','The organization performs a full text analysis of audited privileged commands in a physically distinct component or subsystem of the information system, or other information system that is dedicated to that analysis.','This control enhancement requires a distinct environment for the dedicated analysis of audit information related to privileged users without compromising such information on the information system where the users have elevated privileges including the capability to execute privileged commands. Full text analysis refers to analysis that considers the full text of privileged commands (i.e., commands and all parameters) as opposed to analysis that considers only the name of the command. Full text analysis includes, for example, the use of pattern matching and heuristics.'),('AU-6','9','Correlation With Information From Nontechnical Sources','The organization correlates information from nontechnical sources with audit information to enhance organization-wide situational awareness.','Nontechnical sources include, for example, human resources records documenting organizational policy violations (e.g., sexual harassment incidents, improper use of organizational information assets). Such information can lead organizations to a more directed analytical effort to detect potential malicious insider activity. Due to the sensitive nature of the information available from nontechnical sources, organizations limit access to such information to minimize the potential for the inadvertent release of privacy-related information to individuals that do not have a need to know. Thus, correlation of information from nontechnical sources with audit information generally occurs only when individuals are suspected of being involved in a security incident. Organizations obtain legal advice prior to initiating such actions.'),('AU-7','1','Automatic Processing','The information system provides the capability to process audit records for events of interest based on [Assignment: organization-defined audit fields within audit records].','Events of interest can be identified by the content of specific audit record fields including, for example, identities of individuals, event types, event locations, event times, event dates, system resources involved, IP addresses involved, or information objects accessed. Organizations may define audit event criteria to any degree of granularity required, for example, locations selectable by general networking location (e.g., by network or subnetwork) or selectable by specific information system component.'),('AU-7','2','Automatic Sort And Search','The information system provides the capability to sort and search audit records for events of interest based on the content of [Assignment: organization-defined audit fields within audit records].','Sorting and searching of audit records may be based upon the contents of audit record fields, for example: (i) date/time of events; (ii) user identifiers; (iii) Internet Protocol (IP) addresses involved in the event; (iv) type of event; or (v) event success/failure.'),('AU-8','1','Synchronization With Authoritative Time Source','The information system:\nAU-8 (1)(a)\nCompares the internal information system clocks [Assignment: organization-defined frequency] with [Assignment: organization-defined authoritative time source]; and\nAU-8 (1)(b)\nSynchronizes the internal system clocks to the authoritative time source when the time difference is greater than [Assignment: organization-defined time period].','This control enhancement provides uniformity of time stamps for information systems with multiple system clocks and systems connected over a network.'),('AU-8','2','Secondary Authoritative Time Source','The information system identifies a secondary authoritative time source that is located in a different geographic region than the primary authoritative time source.',''),('AU-9','1','Hardware Write-once Media','The information system writes audit trails to hardware-enforced, write-once media.','This control enhancement applies to the initial generation of audit trails (i.e., the collection of audit records that represents the audit information to be used for detection, analysis, and reporting purposes) and to the backup of those audit trails. The enhancement does not apply to the initial generation of audit records prior to being written to an audit trail. Write-once, read-many (WORM) media includes, for example, Compact Disk-Recordable (CD-R) and Digital Video Disk-Recordable (DVD-R). In contrast, the use of switchable write-protection media such as on tape cartridges or Universal Serial Bus (USB) drives results in write-protected, but not write-once, media.'),('AU-9','2','Audit Backup On Separate Physical Systems / Components','The information system backs up audit records [Assignment: organization-defined frequency] onto a physically different system or system component than the system or component being audited.','This control enhancement helps to ensure that a compromise of the information system being audited does not also result in a compromise of the audit records.'),('AU-9','3','Cryptographic Protection','The information system implements cryptographic mechanisms to protect the integrity of audit information and audit tools.','Cryptographic mechanisms used for protecting the integrity of audit information include, for example, signed hash functions using asymmetric cryptography enabling distribution of the public key to verify the hash information while maintaining the confidentiality of the secret key used to generate the hash.'),('AU-9','4','Access By Subset Of Privileged Users','The organization authorizes access to management of audit functionality to only [Assignment: organization-defined subset of privileged users].','Individuals with privileged access to an information system and who are also the subject of an audit by that system, may affect the reliability of audit information by inhibiting audit activities or modifying audit records. This control enhancement requires that privileged access be further defined between audit-related privileges and other privileges, thus limiting the users with audit-related privileges.'),('AU-9','5','Dual Authorization','The organization enforces dual authorization for [Selection (one or more): movement; deletion] of [Assignment: organization-defined audit information].','Organizations may choose different selection options for different types of audit information. Dual authorization mechanisms require the approval of two authorized individuals in order to execute. Dual authorization may also be known as two-person control.'),('AU-9','6','Read Only Access','The organization authorizes read-only access to audit information to [Assignment: organization-defined subset of privileged users].','Restricting privileged user authorizations to read-only helps to limit the potential damage to organizations that could be initiated by such users (e.g., deleting audit records to cover up malicious activity).'),('CA-2','1','Independent Assessors','The organization employs assessors or assessment teams with [Assignment: organization-defined level of independence] to conduct security control assessments.','fficient independence, for example, when information system owners are not directly involved in contracting processes or cannot unduly influence the impartiality of assessors conducting assessments. In special situations, for example, when organizations that own the information systems are small or organizational structures require that assessments are conducted by individuals that are in the developmental, operational, or management chain of system owners, independence in assessment processes can be achieved by ensuring that assessment results are carefully reviewed and analyzed by independent teams of experts to validate the completeness, accuracy, integrity, and reliability of the results. Organizations recognize that assessments performed for purposes other than direct support to authorization decisions are, when performed by assessors with sufficient independence, more likely to be useable for such decisions, thereby reducing the need to repeat assessments.'),('CA-2','2','Specialized Assessments','The organization includes as part of security control assessments, [Assignment: organization-defined frequency], [Selection: announced; unannounced], [Selection (one or more): in-depth monitoring; vulnerability scanning; malicious user testing; insider threat assessment; performance/load testing; [Assignment: organization-defined other forms of security assessment]].','Organizations can employ information system monitoring, insider threat assessments, malicious user testing, and other forms of testing (e.g., verification and validation) to improve readiness by exercising organizational capabilities and indicating current performance levels as a means of focusing actions to improve security. Organizations conduct assessment activities in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, and standards. Authorizing officials approve the assessment methods in coordination with the organizational risk executive function. Organizations can incorporate vulnerabilities uncovered during assessments into vulnerability remediation processes.'),('CA-2','3','External Organizations','The organization accepts the results of an assessment of [Assignment: organization-defined information system] performed by [Assignment: organization-defined external organization] when the assessment meets [Assignment: organization-defined requirements].','nizations by federal legislation, policies, or directives.'),('CA-3','1','Unclassified National Security System Connections','The organization prohibits the direct connection of an [Assignment: organization-defined unclassified, national security system] to an external network without the use of [Assignment: organization-defined boundary protection device].','Organizations typically do not have control over external networks (e.g., the Internet). Approved boundary protection devices (e.g., routers, firewalls) mediate communications (i.e., information flows) between unclassified national security systems and external networks. This control enhancement is required for organizations processing, storing, or transmitting Controlled Unclassified Information (CUI).'),('CA-3','2','Classified National Security System Connections','The organization prohibits the direct connection of a classified, national security system to an external network without the use of [Assignment: organization-defined boundary protection device].','Organizations typically do not have control over external networks (e.g., the Internet). Approved boundary protection devices (e.g., routers, firewalls) mediate communications (i.e., information flows) between classified national security systems and external networks. In addition, approved boundary protection devices (typically managed interface/cross-domain systems) provide information flow enforcement from information systems to external networks.'),('CA-3','3','Unclassified Non-national Security System Connections','The organization prohibits the direct connection of an [Assignment: organization-defined unclassified, non-national security system] to an external network without the use of [Assignment; organization-defined boundary protection device].','CUI).'),('CA-3','4','Connections To Public Networks','The organization prohibits the direct connection of an [Assignment: organization-defined information system] to a public network.','A public network is any network accessible to the general public including, for example, the Internet and organizational extranets with public access.'),('CA-3','5','Restrictions On External System Connections','The organization employs [Selection: allow-all, deny-by-exception; deny-all, permit-by-exception] policy for allowing [Assignment: organization-defined information systems] to connect to external information systems.','Organizations can constrain information system connectivity to external domains (e.g., websites) by employing one of two policies with regard to such connectivity: (i) allow-all, deny by exception, also known as blacklisting (the weaker of the two policies); or (ii) deny-all, allow by exception, also known as whitelisting (the stronger of the two policies). For either policy, organizations determine what exceptions, if any, are acceptable.'),('CA-5','1','Automation Support For Accuracy / Currency','The organization employs automated mechanisms to help ensure that the plan of action and milestones for the information system is accurate, up to date, and readily available.',''),('CA-7','1','Independent Assessment','The organization employs assessors or assessment teams with [Assignment: organization-defined level of independence] to monitor the security controls in the information system on an ongoing basis.','Organizations can maximize the value of assessments of security controls during the continuous monitoring process by requiring that such assessments be conducted by assessors or assessment teams with appropriate levels of independence based on continuous monitoring strategies. Assessor independence provides a degree of impartiality to the monitoring process. To achieve such impartiality, assessors should not: (i) create a mutual or conflicting interest with the organizations where the assessments are being conducted; (ii) assess their own work; (iii) act as management or employees of the organizations they are serving; or (iv) place themselves in advocacy positions for the organizations acquiring their services.'),('CA-7','2','Types Of Assessments','[Withdrawn: Incorporated into CA-2].',''),('CA-7','3','Trend Analyses','The organization employs trend analyses to determine if security control implementations, the frequency of continuous monitoring activities, and/or the types of activities used in the continuous monitoring process need to be modified based on empirical data.','Trend analyses can include, for example, examining recent threat information regarding the types of threat events that have occurred within the organization or across the federal government, success rates of certain types of cyber attacks, emerging vulnerabilities in information technologies, evolving social engineering techniques, results from multiple security control assessments, the effectiveness of configuration settings, and findings from Inspectors General or auditors.'),('CA-8','1','Independent Penetration Agent Or Team','The organization employs an independent penetration agent or penetration team to perform penetration testing on the information system or system components.','Independent penetration agents or teams are individuals or groups who conduct impartial penetration testing of organizational information systems. Impartiality implies that penetration agents or teams are free from any perceived or actual conflicts of interest with regard to the development, operation, or management of the information systems that are the targets of the penetration testing. Supplemental guidance for CA-2 (1) provides additional information regarding independent assessments that can be applied to penetration testing.'),('CA-8','2','Red Team Exercises','The organization employs [Assignment: organization-defined red team exercises] to simulate attempts by adversaries to compromise organizational information systems in accordance with [Assignment: organization-defined rules of engagement].','Red team exercises extend the objectives of penetration testing by examining the security posture of organizations and their ability to implement effective cyber defenses. As such, red team exercises reflect simulated adversarial attempts to compromise organizational mission/business functions and provide a comprehensive assessment of the security state of information systems and organizations. Simulated adversarial attempts to compromise organizational missions/business functions and the information systems that support those missions/functions may include technology-focused attacks (e.g., interactions with hardware, software, or firmware components and/or mission/business processes) and social engineering-based attacks (e.g., interactions via email, telephone, shoulder surfing, or personal conversations). While penetration testing may be largely laboratory-based testing, organizations use red team exercises to provide more comprehensive assessments that reflect real-world conditions. Red team exercises can be used to improve security awareness and training and to assess levels of security control effectiveness.'),('CA-9','1','Security Compliance Checks','The information system performs security compliance checks on constituent system components prior to the establishment of the internal connection.','Security compliance checks may include, for example, verification of the relevant baseline configuration.'),('CM-10','1','Open Source Software','The organization establishes the following restrictions on the use of open source software: [Assignment: organization-defined restrictions].','Open source software refers to software that is available in source code form. Certain software rights normally reserved for copyright holders are routinely provided under software license agreements that permit individuals to study, change, and improve the software. From a security perspective, the major advantage of open source software is that it provides organizations with the ability to examine the source code. However, there are also various licensing issues associated with open source software including, for example, the constraints on derivative use of such software.'),('CM-11','1','Alerts For Unauthorized Installations','The information system alerts [Assignment: organization-defined personnel or roles] when the unauthorized installation of software is detected.',''),('CM-11','2','Prohibit Installation Without Privileged Status','The information system prohibits user installation of software without explicit privileged status.','Privileged status can be obtained, for example, by serving in the role of system administrator.'),('CM-2','1','Reviews And Updates','The organization reviews and updates the baseline configuration of the information system:\nCM-2 (1)(a)\n[Assignment: organization-defined frequency];\nCM-2 (1)(b)\nWhen required due to [Assignment organization-defined circumstances]; and\nCM-2 (1)(c)\nAs an integral part of information system component installations and upgrades.',''),('CM-2','2','Automation Support For Accuracy / Currency','The organization employs automated mechanisms to maintain an up-to-date, complete, accurate, and readily available baseline configuration of the information system.','Automated mechanisms that help organizations maintain consistent baseline configurations for information systems include, for example, hardware and software inventory tools, configuration management tools, and network management tools. Such tools can be deployed and/or allocated as common controls, at the information system level, or at the operating system or component level (e.g., on workstations, servers, notebook computers, network components, or mobile devices). Tools can be used, for example, to track version numbers on operating system applications, types of software installed, and current patch levels. This control enhancement can be satisfied by the implementation of CM-8 (2) for organizations that choose to combine information system component inventory and baseline configuration activities.'),('CM-2','3','Retention Of Previous Configurations','The organization retains [Assignment: organization-defined previous versions of baseline configurations of the information system] to support rollback.','Retaining previous versions of baseline configurations to support rollback may include, for example, hardware, software, firmware, configuration files, and configuration records.'),('CM-2','4','Unauthorized Software','[Withdrawn: Incorporated into CM-7].',''),('CM-2','5','Authorized Software','[Withdrawn: Incorporated into CM-7].',''),('CM-2','6','Development And Test Environments','The organization maintains a baseline configuration for information system development and test environments that is managed separately from the operational baseline configuration.','Establishing separate baseline configurations for development, testing, and operational environments helps protect information systems from unplanned/unexpected events related to development and testing activities. Separate baseline configurations allow organizations to apply the configuration management that is most appropriate for each type of configuration. For example, management of operational configurations typically emphasizes the need for stability, while management of development/test configurations requires greater flexibility. Configurations in the test environment mirror the configurations in the operational environment to the extent practicable so that the results of the testing are representative of the proposed changes to the operational systems. This control enhancement requires separate configurations but not necessarily separate physical environments.'),('CM-2','7','Configure Systems, Components, Or Devices For High-risk Areas','The organization:\nCM-2 (7)(a)\nIssues [Assignment: organization-defined information systems, system components, or devices] with [Assignment: organization-defined configurations] to individuals traveling to locations that the organization deems to be of significant risk; and\nCM-2 (7)(b)\nApplies [Assignment: organization-defined security safeguards] to the devices when the individuals return.','When it is known that information systems, system components, or devices (e.g., notebook computers, mobile devices) will be located in high-risk areas, additional security controls may be implemented to counter the greater threat in such areas coupled with the lack of physical security relative to organizational-controlled areas. For example, organizational policies and procedures for notebook computers used by individuals departing on and returning from travel include, for example, determining which locations are of concern, defining required configurations for the devices, ensuring that the devices are configured as intended before travel is initiated, and applying specific safeguards to the device after travel is completed. Specially configured notebook computers include, for example, computers with sanitized hard drives, limited applications, and additional hardening (e.g., more stringent configuration settings). Specified safeguards applied to mobile devices upon return from travel include, for example, examining the device for signs of physical tampering and purging/reimaging the hard disk drive. Protecting information residing on mobile devices is covered in the media protection family.'),('CM-3','1','Automated Document / Notification / Prohibition Of Changes','The organization employs automated mechanisms to:\nCM-3 (1)(a)\nDocument proposed changes to the information system;\nCM-3 (1)(b)\nNotify [Assignment: organized-defined approval authorities] of proposed changes to the information system and request change approval;\nCM-3 (1)(c)\nHighlight proposed changes to the information system that have not been approved or disapproved by [Assignment: organization-defined time period];\nCM-3 (1)(d)\nProhibit changes to the information system until designated approvals are received;\nCM-3 (1)(e)\nDocument all changes to the information system; and\nCM-3 (1)(f)\nNotify [Assignment: organization-defined personnel] when approved changes to the information system are completed.',''),('CM-3','2','Test / Validate / Document Changes','The organization tests, validates, and documents changes to the information system before implementing the changes on the operational system.','Changes to information systems include modifications to hardware, software, or firmware components and configuration settings defined in CM-6. Organizations ensure that testing does not interfere with information system operations. Individuals/groups conducting tests understand organizational security policies and procedures, information system security policies and procedures, and the specific health, safety, and environmental risks associated with particular facilities/processes. Operational systems may need to be taken off-line, or replicated to the extent feasible, before testing can be conducted. If information systems must be taken off-line for testing, the tests are scheduled to occur during planned system outages whenever possible. If testing cannot be conducted on operational systems, organizations employ compensating controls (e.g., testing on replicated systems).'),('CM-3','3','Automated Change Implementation','The organization employs automated mechanisms to implement changes to the current information system baseline and deploys the updated baseline across the installed base.',''),('CM-3','4','Security Representative','The organization requires an information security representative to be a member of the [Assignment: organization-defined configuration change control element].','Information security representatives can include, for example, senior agency information security officers, information system security officers, or information system security managers. Representation by personnel with information security expertise is important because changes to information system configurations can have unintended side effects, some of which may be security-relevant. Detecting such changes early in the process can help avoid unintended, negative consequences that could ultimately affect the security state of organizational information systems. The configuration change control element in this control enhancement reflects the change control elements defined by organizations in CM-3.'),('CM-3','5','Automated Security Response','The information system implements [Assignment: organization-defined security responses] automatically if baseline configurations are changed in an unauthorized manner.','Security responses include, for example, halting information system processing, halting selected system functions, or issuing alerts/notifications to organizational personnel when there is an unauthorized modification of a configuration item.'),('CM-3','6','Cryptography Management','The organization ensures that cryptographic mechanisms used to provide [Assignment: organization-defined security safeguards] are under configuration management.','Regardless of the cryptographic means employed (e.g., public key, private key, shared secrets), organizations ensure that there are processes and procedures in place to effectively manage those means. For example, if devices use certificates as a basis for identification and authentication, there needs to be a process in place to address the expiration of those certificates.'),('CM-4','1','Separate Test Environments','The organization analyzes changes to the information system in a separate test environment before implementation in an operational environment, looking for security impacts due to flaws, weaknesses, incompatibility, or intentional malice.','Separate test environment in this context means an environment that is physically or logically isolated and distinct from the operational environment. The separation is sufficient to ensure that activities in the test environment do not impact activities in the operational environment, and information in the operational environment is not inadvertently transmitted to the test environment. Separate environments can be achieved by physical or logical means. If physically separate test environments are not used, organizations determine the strength of mechanism required when implementing logical separation (e.g., separation achieved through virtual machines).'),('CM-4','2','Verification Of Security Functions','The organization, after the information system is changed, checks the security functions to verify that the functions are implemented correctly, operating as intended, and producing the desired outcome with regard to meeting the security requirements for the system.','Implementation is this context refers to installing changed code in the operational information system.'),('CM-5','1','Automated Access Enforcement / Auditing','The information system enforces access restrictions and supports auditing of the enforcement actions.',''),('CM-5','2','Review System Changes','The organization reviews information system changes [Assignment: organization-defined frequency] and [Assignment: organization-defined circumstances] to determine whether unauthorized changes have occurred.','Indications that warrant review of information system changes and the specific circumstances justifying such reviews may be obtained from activities carried out by organizations during the configuration change process.'),('CM-5','3','Signed Components','The information system prevents the installation of [Assignment: organization-defined software and firmware components] without verification that the component has been digitally signed using a certificate that is recognized and approved by the organization.','Software and firmware components prevented from installation unless signed with recognized and approved certificates include, for example, software and firmware version updates, patches, service packs, device drivers, and basic input output system (BIOS) updates. Organizations can identify applicable software and firmware components by type, by specific items, or a combination of both. Digital signatures and organizational verification of such signatures, is a method of code authentication.'),('CM-5','4','Dual Authorization','The organization enforces dual authorization for implementing changes to [Assignment: organization-defined information system components and system-level information].','Organizations employ dual authorization to ensure that any changes to selected information system components and information cannot occur unless two qualified individuals implement such changes. The two individuals possess sufficient skills/expertise to determine if the proposed changes are correct implementations of approved changes. Dual authorization may also be known as two-person control.'),('CM-5','5','Limit Production / Operational Privileges','The organization:\nCM-5 (5)(a)\nLimits privileges to change information system components and system-related information within a production or operational environment; and\nCM-5 (5)(b)\nReviews and reevaluates privileges [Assignment: organization-defined frequency].','In many organizations, information systems support multiple core missions/business functions. Limiting privileges to change information system components with respect to operational systems is necessary because changes to a particular information system component may have far-reaching effects on mission/business processes supported by the system where the component resides. The complex, many-to-many relationships between systems and mission/business processes are in some cases, unknown to developers.'),('CM-5','6','Limit Library Privileges','The organization limits privileges to change software resident within software libraries.','Software libraries include privileged programs.'),('CM-5','7','Automatic Implementation Of Security Safeguards','[Withdrawn: Incorporated into SI-7].',''),('CM-6','1','Automated Central Management / Application / Verification','The organization employs automated mechanisms to centrally manage, apply, and verify configuration settings for [Assignment: organization-defined information system components].',''),('CM-6','2','Respond To Unauthorized Changes','The organization employs [Assignment: organization-defined security safeguards] to respond to unauthorized changes to [Assignment: organization-defined configuration settings].','Responses to unauthorized changes to configuration settings can include, for example, alerting designated organizational personnel, restoring established configuration settings, or in extreme cases, halting affected information system processing.'),('CM-6','3','Unauthorized Change Detection','[Withdrawn: Incorporated into SI-7].',''),('CM-6','4','Conformance Demonstration','[Withdrawn: Incorporated into CM-4].',''),('CM-7','1','Periodic Review','The organization:\nCM-7 (1)(a)\nReviews the information system [Assignment: organization-defined frequency] to identify unnecessary and/or nonsecure functions, ports, protocols, and services; and\nCM-7 (1)(b)\nDisables [Assignment: organization-defined functions, ports, protocols, and services within the information system deemed to be unnecessary and/or nonsecure].','The organization can either make a determination of the relative security of the function, port, protocol, and/or service or base the security decision on the assessment of other entities. Bluetooth, FTP, and peer-to-peer networking are examples of less than secure protocols.'),('CM-7','2','Prevent Program Execution','The information system prevents program execution in accordance with [Selection (one or more): [Assignment: organization-defined policies regarding software program usage and restrictions]; rules authorizing the terms and conditions of software program usage].',''),('CM-7','3','Registration Compliance','The organization ensures compliance with [Assignment: organization-defined registration requirements for functions, ports, protocols, and services].','Organizations use the registration process to manage, track, and provide oversight for information systems and implemented functions, ports, protocols, and services.'),('CM-7','4','Unauthorized Software / Blacklisting','The organization:\nCM-7 (4)(a)\nIdentifies [Assignment: organization-defined software programs not authorized to execute on the information system];\nCM-7 (4)(b)\nEmploys an allow-all, deny-by-exception policy to prohibit the execution of unauthorized software programs on the information system; and\nCM-7 (4)(c)\nReviews and updates the list of unauthorized software programs [Assignment: organization-defined frequency].','The process used to identify software programs that are not authorized to execute on organizational information systems is commonly referred to as blacklisting. Organizations can implement CM-7 (5) instead of this control enhancement if whitelisting (the stronger of the two policies) is the preferred approach for restricting software program execution.'),('CM-7','5','Authorized Software / Whitelisting','The organization:\nCM-7 (5)(a)\nIdentifies [Assignment: organization-defined software programs authorized to execute on the information system];\nCM-7 (5)(b)\nEmploys a deny-all, permit-by-exception policy to allow the execution of authorized software programs on the information system; and\nCM-7 (5)(c)\nReviews and updates the list of authorized software programs [Assignment: organization-defined frequency].','The process used to identify software programs that are authorized to execute on organizational information systems is commonly referred to as whitelisting. In addition to whitelisting, organizations consider verifying the integrity of white-listed software programs using, for example, cryptographic checksums, digital signatures, or hash functions. Verification of white-listed software can occur either prior to execution or at system startup.'),('CM-8','1','Updates During Installations / Removals','The organization updates the inventory of information system components as an integral part of component installations, removals, and information system updates.',''),('CM-8','2','Automated Maintenance','The organization employs automated mechanisms to help maintain an up-to-date, complete, accurate, and readily available inventory of information system components.','Organizations maintain information system inventories to the extent feasible. Virtual machines, for example, can be difficult to monitor because such machines are not visible to the network when not in use. In such cases, organizations maintain as up-to-date, complete, and accurate an inventory as is deemed reasonable. This control enhancement can be satisfied by the implementation of CM-2 (2) for organizations that choose to combine information system component inventory and baseline configuration activities.'),('CM-8','3','Automated Unauthorized Component Detection','The organization:\nCM-8 (3)(a)\nEmploys automated mechanisms [Assignment: organization-defined frequency] to detect the presence of unauthorized hardware, software, and firmware components within the information system; and\nCM-8 (3)(b)\nTakes the following actions when unauthorized components are detected: [Selection (one or more): disables network access by such components; isolates the components; notifies [Assignment: organization-defined personnel or roles]].','This control enhancement is applied in addition to the monitoring for unauthorized remote connections and mobile devices. Monitoring for unauthorized system components may be accomplished on an ongoing basis or by the periodic scanning of systems for that purpose. Automated mechanisms can be implemented within information systems or in other separate devices. Isolation can be achieved, for example, by placing unauthorized information system components in separate domains or subnets or otherwise quarantining such components. This type of component isolation is commonly referred to as sandboxing.'),('CM-8','4','Accountability Information','The organization includes in the information system component inventory information, a means for identifying by [Selection (one or more): name; position; role], individuals responsible/accountable for administering those components.','Identifying individuals who are both responsible and accountable for administering information system components helps to ensure that the assigned components are properly administered and organizations can contact those individuals if some action is required (e.g., component is determined to be the source of a breach/compromise, component needs to be recalled/replaced, or component needs to be relocated).'),('CM-8','5','No Duplicate Accounting Of Components','The organization verifies that all components within the authorization boundary of the information system are not duplicated in other information system component inventories.','This control enhancement addresses the potential problem of duplicate accounting of information system components in large or complex interconnected systems.'),('CM-8','6','Assessed Configurations / Approved Deviations','The organization includes assessed component configurations and any approved deviations to current deployed configurations in the information system component inventory.','This control enhancement focuses on configuration settings established by organizations for information system components, the specific components that have been assessed to determine compliance with the required configuration settings, and any approved deviations from established configuration settings.'),('CM-8','7','Centralized Repository','The organization provides a centralized repository for the inventory of information system components.','Organizations may choose to implement centralized information system component inventories that include components from all organizational information systems. Centralized repositories of information system component inventories provide opportunities for efficiencies in accounting for organizational hardware, software, and firmware assets. Such repositories may also help organizations rapidly identify the location and responsible individuals of system components that have been compromised, breached, or are otherwise in need of mitigation actions. Organizations ensure that the resulting centralized inventories include system-specific information required for proper component accountability (e.g., information system association, information system owner).'),('CM-8','8','Automated Location Tracking','The organization employs automated mechanisms to support tracking of information system components by geographic location.','The use of automated mechanisms to track the location of information system components can increase the accuracy of component inventories. Such capability may also help organizations rapidly identify the location and responsible individuals of system components that have been compromised, breached, or are otherwise in need of mitigation actions.'),('CM-8','9','Assignment Of Components To Systems','The organization:\nCM-8 (9)(a)\nAssigns [Assignment: organization-defined acquired information system components] to an information system; and\nCM-8 (9)(b)\nReceives an acknowledgement from the information system owner of this assignment.','Organizations determine the criteria for or types of information system components (e.g., microprocessors, motherboards, software, programmable logic controllers, and network devices) that are subject to this control enhancement.'),('CM-9','1','Assignment Of Responsibility','The organization assigns responsibility for developing the configuration management process to organizational personnel that are not directly involved in information system development.','In the absence of dedicated configuration management teams assigned within organizations, system developers may be tasked to develop configuration management processes using personnel who are not directly involved in system development or integration. This separation of duties ensures that organizations establish and maintain a sufficient degree of independence between the information system development and integration processes and configuration management processes to facilitate quality control and more effective oversight.'),('CP-10','1','Contingency Plan Testing','[Withdrawn: Incorporated into CP-4].',''),('CP-10','2','Transaction Recovery','The information system implements transaction recovery for systems that are transaction-based.','Transaction-based information systems include, for example, database management systems and transaction processing systems. Mechanisms supporting transaction recovery include, for example, transaction rollback and transaction journaling.'),('CP-10','3','Compensating Security Controls','[Withdrawn: Addressed through tailoring procedures].',''),('CP-10','4','Restore Within Time Period','The organization provides the capability to restore information system components within [Assignment: organization-defined restoration time-periods] from configuration-controlled and integrity-protected information representing a known, operational state for the components.','Restoration of information system components includes, for example, reimaging which restores components to known, operational states.'),('CP-10','5','Failover Capability','[Withdrawn: Incorporated into SI-13].',''),('CP-10','6','Component Protection','The organization protects backup and restoration hardware, firmware, and software.','Protection of backup and restoration hardware, firmware, and software components includes both physical and technical safeguards. Backup and restoration software includes, for example, router tables, compilers, and other security-relevant system software.'),('CP-2','1','Coordinate With Related Plans','The organization coordinates contingency plan development with organizational elements responsible for related plans.','Plans related to contingency plans for organizational information systems include, for example, Business Continuity Plans, Disaster Recovery Plans, Continuity of Operations Plans, Crisis Communications Plans, Critical Infrastructure Plans, Cyber Incident Response Plans, Insider Threat Implementation Plan, and Occupant Emergency Plans.'),('CP-2','2','Capacity Planning','The organization conducts capacity planning so that necessary capacity for information processing, telecommunications, and environmental support exists during contingency operations.','Capacity planning is needed because different types of threats (e.g., natural disasters, targeted cyber attacks) can result in a reduction of the available processing, telecommunications, and support services originally intended to support the organizational missions/business functions. Organizations may need to anticipate degraded operations during contingency operations and factor such degradation into capacity planning.'),('CP-2','3','Resume Essential Missions / Business Functions','The organization plans for the resumption of essential missions and business functions within [Assignment: organization-defined time period] of contingency plan activation.','Organizations may choose to carry out the contingency planning activities in this control enhancement as part of organizational business continuity planning including, for example, as part of business impact analyses. The time period for resumption of essential missions/business functions may be dependent on the severity/extent of disruptions to the information system and its supporting infrastructure.'),('CP-2','4','Resume All Missions / Business Functions','The organization plans for the resumption of all missions and business functions within [Assignment: organization-defined time period] of contingency plan activation.','Organizations may choose to carry out the contingency planning activities in this control enhancement as part of organizational business continuity planning including, for example, as part of business impact analyses. The time period for resumption of all missions/business functions may be dependent on the severity/extent of disruptions to the information system and its supporting infrastructure.'),('CP-2','5','Continue  Essential Missions / Business Functions','The organization plans for the continuance of essential missions and business functions with little or no loss of operational continuity and sustains that continuity until full information system restoration at primary processing and/or storage sites.','Organizations may choose to carry out the contingency planning activities in this control enhancement as part of organizational business continuity planning including, for example, as part of business impact analyses. Primary processing and/or storage sites defined by organizations as part of contingency planning may change depending on the circumstances associated with the contingency (e.g., backup sites may become primary sites).'),('CP-2','6','Alternate Processing / Storage Site','The organization plans for the transfer of essential missions and business functions to alternate processing and/or storage sites with little or no loss of operational continuity and sustains that continuity through information system restoration to primary processing and/or storage sites.','Organizations may choose to carry out the contingency planning activities in this control enhancement as part of organizational business continuity planning including, for example, as part of business impact analyses. Primary processing and/or storage sites defined by organizations as part of contingency planning may change depending on the circumstances associated with the contingency (e.g., backup sites may become primary sites).'),('CP-2','7','Coordinate  With External Service Providers','The organization coordinates its contingency plan with the contingency plans of external service providers to ensure that contingency requirements can be satisfied.','When the capability of an organization to successfully carry out its core missions/business functions is dependent on external service providers, developing a timely and comprehensive contingency plan may become more challenging. In this situation, organizations coordinate contingency planning activities with the external entities to ensure that the individual plans reflect the overall contingency needs of the organization.'),('CP-2','8','Identify Critical Assets','The organization identifies critical information system assets supporting essential missions and business functions.','Organizations may choose to carry out the contingency planning activities in this control enhancement as part of organizational business continuity planning including, for example, as part of business impact analyses. Organizations identify critical information system assets so that additional safeguards and countermeasures can be employed (above and beyond those safeguards and countermeasures routinely implemented) to help ensure that organizational missions/business functions can continue to be conducted during contingency operations. In addition, the identification of critical information assets facilitates the prioritization of organizational resources. Critical information system assets include technical and operational aspects. Technical aspects include, for example, information technology services, information system components, information technology products, and mechanisms. Operational aspects include, for example, procedures (manually executed operations) and personnel (individuals operating technical safeguards and/or executing manual procedures). Organizational program protection plans can provide assistance in identifying critical assets.'),('CP-3','1','Simulated Events','The organization incorporates simulated events into contingency training to facilitate effective response by personnel in crisis situations.',''),('CP-3','2','Automated Training Environments','The organization employs automated mechanisms to provide a more thorough and realistic contingency training environment.',''),('CP-4','1','Coordinate With Related Plans','The organization coordinates contingency plan testing with organizational elements responsible for related plans.','Plans related to contingency plans for organizational information systems include, for example, Business Continuity Plans, Disaster Recovery Plans, Continuity of Operations Plans, Crisis Communications Plans, Critical Infrastructure Plans, Cyber Incident Response Plans, and Occupant Emergency Plans. This control enhancement does not require organizations to create organizational elements to handle related plans or to align such elements with specific plans. It does require, however, that if such organizational elements are responsible for related plans, organizations should coordinate with those elements.'),('CP-4','2','Alternate Processing Site','The organization tests the contingency plan at the alternate processing site:\nCP-4 (2)(a)\nTo familiarize contingency personnel with the facility and available resources; and\nCP-4 (2)(b)\nTo evaluate the capabilities of the alternate processing site to support contingency operations.',''),('CP-4','3','Automated Testing','The organization employs automated mechanisms to more thoroughly and effectively test the contingency plan.','Automated mechanisms provide more thorough and effective testing of contingency plans, for example: (i) by providing more complete coverage of contingency issues; (ii) by selecting more realistic test scenarios and environments; and (iii) by effectively stressing the information system and supported missions.'),('CP-4','4','Full Recovery / Reconstitution','The organization includes a full recovery and reconstitution of the information system to a known state as part of contingency plan testing.',''),('CP-6','1','Separation From Primary Site','The organization identifies an alternate storage site that is separated from the primary storage site to reduce susceptibility to the same threats.','Threats that affect alternate storage sites are typically defined in organizational assessments of risk and include, for example, natural disasters, structural failures, hostile cyber attacks, and errors of omission/commission. Organizations determine what is considered a sufficient degree of separation between primary and alternate storage sites based on the types of threats that are of concern. For one particular type of threat (i.e., hostile cyber attack), the degree of separation between sites is less relevant.'),('CP-6','2','Recovery Time / Point Objectives','The organization configures the alternate storage site to facilitate recovery operations in accordance with recovery time and recovery point objectives.',''),('CP-6','3','Accessibility','The organization identifies potential accessibility problems to the alternate storage site in the event of an area-wide disruption or disaster and outlines explicit mitigation actions.','Area-wide disruptions refer to those types of disruptions that are broad in geographic scope (e.g., hurricane, regional power outage) with such determinations made by organizations based on organizational assessments of risk. Explicit mitigation actions include, for example: (i) duplicating backup information at other alternate storage sites if access problems occur at originally designated alternate sites; or (ii) planning for physical access to retrieve backup information if electronic accessibility to the alternate site is disrupted.'),('CP-7','1','Separation From Primary Site','The organization identifies an alternate processing site that is separated from the primary processing site to reduce susceptibility to the same threats.','Threats that affect alternate processing sites are typically defined in organizational assessments of risk and include, for example, natural disasters, structural failures, hostile cyber attacks, and errors of omission/commission. Organizations determine what is considered a sufficient degree of separation between primary and alternate processing sites based on the types of threats that are of concern. For one particular type of threat (i.e., hostile cyber attack), the degree of separation between sites is less relevant.'),('CP-7','2','Accessibility','The organization identifies potential accessibility problems to the alternate processing site in the event of an area-wide disruption or disaster and outlines explicit mitigation actions.','Area-wide disruptions refer to those types of disruptions that are broad in geographic scope (e.g., hurricane, regional power outage) with such determinations made by organizations based on organizational assessments of risk.'),('CP-7','3','Priority Of Service','The organization develops alternate processing site agreements that contain priority-of-service provisions in accordance with organizational availability requirements (including recovery time objectives).','Priority-of-service agreements refer to negotiated agreements with service providers that ensure that organizations receive priority treatment consistent with their availability requirements and the availability of information resources at the alternate processing site.'),('CP-7','4','Preparation For Use','The organization prepares the alternate processing site so that the site is ready to be used as the operational site supporting essential missions and business functions.','Site preparation includes, for example, establishing configuration settings for information system components at the alternate processing site consistent with the requirements for such settings at the primary site and ensuring that essential supplies and other logistical considerations are in place.'),('CP-7','5','Equivalent Information Security Safeguards','[Withdrawn: Incorporated into CP-7].',''),('CP-7','6','Inability To Return To Primary Site','The organization plans and prepares for circumstances that preclude returning to the primary processing site.',''),('CP-8','1','Priority Of Service Provisions','The organization:\nCP-8 (1)(a)\nDevelops primary and alternate telecommunications service agreements that contain priority-of-service provisions in accordance with organizational availability requirements (including recovery time objectives); and\nCP-8 (1)(b)\nRequests Telecommunications Service Priority for all telecommunications services used for national security emergency preparedness in the event that the primary and/or alternate telecommunications services are provided by a common carrier.','Organizations consider the potential mission/business impact in situations where telecommunications service providers are servicing other organizations with similar priority-of-service provisions.'),('CP-8','2','Single Points Of Failure','The organization obtains alternate telecommunications services to reduce the likelihood of sharing a single point of failure with primary telecommunications services.',''),('CP-8','3','Separation Of Primary / Alternate Providers','The organization obtains alternate telecommunications services from providers that are separated from primary service providers to reduce susceptibility to the same threats.','Threats that affect telecommunications services are typically defined in organizational assessments of risk and include, for example, natural disasters, structural failures, hostile cyber/physical attacks, and errors of omission/commission. Organizations seek to reduce common susceptibilities by, for example, minimizing shared infrastructure among telecommunications service providers and achieving sufficient geographic separation between services. Organizations may consider using a single service provider in situations where the service provider can provide alternate telecommunications services meeting the separation needs addressed in the risk assessment.'),('CP-8','4','Provider Contingency Plan','The organization:\nCP-8 (4)(a)\nRequires primary and alternate telecommunications service providers to have contingency plans;\nCP-8 (4)(b)\nReviews provider contingency plans to ensure that the plans meet organizational contingency requirements; and\nCP-8 (4)(c)\nObtains evidence of contingency testing/training by providers [Assignment: organization-defined frequency].','Reviews of provider contingency plans consider the proprietary nature of such plans. In some situations, a summary of provider contingency plans may be sufficient evidence for organizations to satisfy the review requirement. Telecommunications service providers may also participate in ongoing disaster recovery exercises in coordination with the Department of Homeland Security, state, and local governments. Organizations may use these types of activities to satisfy evidentiary requirements related to service provider contingency plan reviews, testing, and training.'),('CP-8','5','Alternate Telecommunication Service Testing','The organization tests alternate telecommunication services [Assignment: organization-defined frequency].',''),('CP-9','1','Testing For Reliability / Integrity','The organization tests backup information [Assignment: organization-defined frequency] to verify media reliability and information integrity.',''),('CP-9','2','Test Restoration Using Sampling','The organization uses a sample of backup information in the restoration of selected information system functions as part of contingency plan testing.',''),('CP-9','3','Separate Storage For Critical Information','The organization stores backup copies of [Assignment: organization-defined critical information system software and other security-related information] in a separate facility or in a fire-rated container that is not collocated with the operational system.','Critical information system software includes, for example, operating systems, cryptographic key management systems, and intrusion detection/prevention systems. Security-related information includes, for example, organizational inventories of hardware, software, and firmware components. Alternate storage sites typically serve as separate storage facilities for organizations.'),('CP-9','4','Protection From Unauthorized Modification','[Withdrawn: Incorporated into CP-9].',''),('CP-9','5','Transfer To Alternate Storage Site','The organization transfers information system backup information to the alternate storage site [Assignment: organization-defined time period and transfer rate consistent with the recovery time and recovery point objectives].','Information system backup information can be transferred to alternate storage sites either electronically or by physical shipment of storage media.'),('CP-9','6','Redundant Secondary System','The organization accomplishes information system backup by maintaining a redundant secondary system that is not collocated with the primary system and that can be activated without loss of information or disruption to operations.',''),('CP-9','7','Dual Authorization','The organization enforces dual authorization for the deletion or destruction of [Assignment: organization-defined backup information].','Dual authorization ensures that the deletion or destruction of backup information cannot occur unless two qualified individuals carry out the task. Individuals deleting/destroying backup information possess sufficient skills/expertise to determine if the proposed deletion/destruction of backup information reflects organizational policies and procedures. Dual authorization may also be known as two-person control.'),('IA-2','1','Network Access To Privileged Accounts','The information system implements multifactor authentication for network access to privileged accounts.',''),('IA-2','10','Single Sign-on','The information system provides a single sign-on capability for [Assignment: organization-defined list of information system accounts and services].','Single sign-on enables users to log in once and gain access to multiple information system resources. Organizations consider the operational efficiencies provided by single sign-on capabilities with the increased risk from disclosures of single authenticators providing access to multiple system resources.'),('IA-2','11','Remote Access  - Separate Device','The information system implements multifactor authentication for remote access to privileged and non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access and the device meets [Assignment: organization-defined strength of mechanism requirements].','For remote access to privileged/non-privileged accounts, the purpose of requiring a device that is separate from the information system gaining access for one of the factors during multifactor authentication is to reduce the likelihood of compromising authentication credentials stored on the system. For example, adversaries deploying malicious code on organizational information systems can potentially compromise such credentials resident on the system and subsequently impersonate authorized users.'),('IA-2','12','Acceptance Of Piv Credentials','The information system accepts and electronically verifies Personal Identity Verification (PIV) credentials.','This control enhancement applies to organizations implementing logical access control systems (LACS) and physical access control systems (PACS). Personal Identity Verification (PIV) credentials are those credentials issued by federal agencies that conform to FIPS Publication 201 and supporting guidance documents. OMB Memorandum 11-11 requires federal agencies to continue implementing the requirements specified in HSPD-12 to enable agency-wide use of PIV credentials.'),('IA-2','13','Out-of-band Authentication','The information system implements [Assignment: organization-defined out-of-band authentication] under [Assignment: organization-defined conditions].','ected man-in the-middle attacks. The conditions for activation can include, for example, suspicious activities, new threat indicators or elevated threat levels, or the impact level or classification level of information in requested transactions.'),('IA-2','2','Network Access To Non-privileged Accounts','The information system implements multifactor authentication for network access to non-privileged accounts.',''),('IA-2','3','Local Access To Privileged Accounts','The information system implements multifactor authentication for local access to privileged accounts.',''),('IA-2','4','Local Access To Non-privileged Accounts','The information system implements multifactor authentication for local access to non-privileged accounts.',''),('IA-2','5','Group Authentication','The organization requires individuals to be authenticated with an individual authenticator when a group authenticator is employed.','Requiring individuals to use individual authenticators as a second level of authentication helps organizations to mitigate the risk of using group authenticators.'),('IA-2','6','Network Access To Privileged Accounts - Separate Device','The information system implements multifactor authentication for network access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access and the device meets [Assignment: organization-defined strength of mechanism requirements].',''),('IA-2','7','Network Access To Non-privileged Accounts - Separate Device','The information system implements multifactor authentication for network access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access and the device meets [Assignment: organization-defined strength of mechanism requirements].',''),('IA-2','8','Network Access To Privileged Accounts - Replay Resistant','The information system implements replay-resistant authentication mechanisms for network access to privileged accounts.','Authentication processes resist replay attacks if it is impractical to achieve successful authentications by replaying previous authentication messages. Replay-resistant techniques include, for example, protocols that use nonces or challenges such as Transport Layer Security (TLS) and time synchronous or challenge-response one-time authenticators.'),('IA-2','9','Network Access To Non-privileged Accounts - Replay Resistant','The information system implements replay-resistant authentication mechanisms for network access to non-privileged accounts.','Authentication processes resist replay attacks if it is impractical to achieve successful authentications by recording/replaying previous authentication messages. Replay-resistant techniques include, for example, protocols that use nonces or challenges such as Transport Layer Security (TLS) and time synchronous or challenge-response one-time authenticators.'),('IA-3','1','Cryptographic Bidirectional Authentication','The information system authenticates [Assignment: organization-defined specific devices and/or types of devices] before establishing [Selection (one or more): local; remote; network] connection using bidirectional authentication that is cryptographically based.','A local connection is any connection with a device communicating without the use of a network. A network connection is any connection with a device that communicates through a network (e.g., local area or wide area network, Internet). A remote connection is any connection with a device communicating through an external network (e.g., the Internet). Bidirectional authentication provides stronger safeguards to validate the identity of other devices for connections that are of greater risk (e.g., remote connections).'),('IA-3','2','Cryptographic Bidirectional Network Authentication','[Withdrawn: Incorporated into IA-3 (1)].',''),('IA-3','3','Dynamic Address Allocation','The organization:\nIA-3 (3)(a)\nStandardizes dynamic address allocation lease information and the lease duration assigned to devices in accordance with [Assignment: organization-defined lease information and lease duration]; and\nIA-3 (3)(b)\nAudits lease information when assigned to a device.','DHCP-enabled clients obtaining leases for IP addresses from DHCP servers, is a typical example of dynamic address allocation for devices.'),('IA-3','4','Device Attestation','The organization ensures that device identification and authentication based on attestation is handled by [Assignment: organization-defined configuration management process].','Device attestation refers to the identification and authentication of a device based on its configuration and known operating state. This might be determined via some cryptographic hash of the device. If device attestation is the means of identification and authentication, then it is important that patches and updates to the device are handled via a configuration management process such that the those patches/updates are done securely and at the same time do not disrupt the identification and authentication to other devices.'),('IA-4','1','Prohibit Account Identifiers As Public Identifiers','The organization prohibits the use of information system account identifiers that are the same as public identifiers for individual electronic mail accounts.','Prohibiting the use of information systems account identifiers that are the same as some public identifier such as the individual identifier section of an electronic mail address, makes it more difficult for adversaries to guess user identifiers on organizational information systems.'),('IA-4','2','Supervisor Authorization','The organization requires that the registration process to receive an individual identifier includes supervisor authorization.',''),('IA-4','3','Multiple Forms Of Certification','The organization requires multiple forms of certification of individual identification such as documentary evidence or a combination of documents and biometrics be presented to the registration authority.','Requiring multiple forms of identification reduces the likelihood of individuals using fraudulent identification to establish an identity, or at least increases the work factor of potential adversaries.'),('IA-4','4','Identify User Status','The organization manages individual identifiers by uniquely identifying each individual as [Assignment: organization-defined characteristic identifying individual status].','Characteristics identifying the status of individuals include, for example, contractors and foreign nationals. Identifying the status of individuals by specific characteristics provides additional information about the people with whom organizational personnel are communicating. For example, it might be useful for a government employee to know that one of the individuals on an email message is a contractor.'),('IA-4','5','Dynamic Management','The information system dynamically manages identifiers.','In contrast to conventional approaches to identification which presume static accounts for preregistered users, many distributed information systems including, for example, service-oriented architectures, rely on establishing identifiers at run time for entities that were previously unknown. In these situations, organizations anticipate and provision for the dynamic establishment of identifiers. Preestablished trust relationships and mechanisms with appropriate authorities to validate identities and related credentials are essential.'),('IA-4','6','Cross-organization Management','The organization coordinates with [Assignment: organization-defined external organizations] for cross-organization management of identifiers.','Cross-organization identifier management provides the capability for organizations to appropriately identify individuals, groups, roles, or devices when conducting cross-organization activities involving the processing, storage, or transmission of information.'),('IA-4','7','In-person Registration','The organization requires that the registration process to receive an individual identifier be conducted in person before a designated registration authority.','In-person registration reduces the likelihood of fraudulent identifiers being issued because it requires the physical presence of individuals and actual face-to-face interactions with designated registration authorities.'),('IA-5','1','Password-based Authentication','The information system, for password-based authentication:\nIA-5 (1)(a)\nEnforces minimum password complexity of [Assignment: organization-defined requirements for case sensitivity, number of characters, mix of upper-case letters, lower-case letters, numbers, and special characters, including minimum requirements for each type];\nIA-5 (1)(b)\nEnforces at least the following number of changed characters when new passwords are created: [Assignment: organization-defined number];\nIA-5 (1)(c)\nStores and transmits only cryptographically-protected passwords;\nIA-5 (1)(d)\nEnforces password minimum and maximum lifetime restrictions of [Assignment: organization-defined numbers for lifetime minimum, lifetime maximum];\nIA-5 (1)(e)\nProhibits password reuse for [Assignment: organization-defined number] generations; and\nIA-5 (1)(f)\nAllows the use of a temporary password for system logons with an immediate change to a permanent password.','This control enhancement applies to single-factor authentication of individuals using passwords as individual or group authenticators, and in a similar manner, when passwords are part of multifactor authenticators. This control enhancement does not apply when passwords are used to unlock hardware authenticators (e.g., Personal Identity Verification cards). The implementation of such password mechanisms may not meet all of the requirements in the enhancement. Cryptographically-protected passwords include, for example, encrypted versions of passwords and one-way cryptographic hashes of passwords. The number of changed characters refers to the number of changes required with respect to the total number of positions in the current password. Password lifetime restrictions do not apply to temporary passwords. To mitigate certain brute force attacks against passwords, organizations may also consider salting passwords.'),('IA-5','10','Dynamic Credential Association','The information system dynamically provisions identities.','Authentication requires some form of binding between an identity and the authenticator used to confirm the identity. In conventional approaches, this binding is established by pre-provisioning both the identity and the authenticator to the information system. For example, the binding between a username (i.e., identity) and a password (i.e., authenticator) is accomplished by provisioning the identity and authenticator as a pair in the information system. New authentication techniques allow the binding between the identity and the authenticator to be implemented outside an information system. For example, with smartcard credentials, the identity and the authenticator are bound together on the card. Using these credentials, information systems can authenticate identities that have not been pre-provisioned, dynamically provisioning the identity after authentication. In these situations, organizations can anticipate the dynamic provisioning of identities. Preestablished trust relationships and mechanisms with appropriate authorities to validate identities and related credentials are essential.'),('IA-5','11','Hardware Token-based Authentication','The information system, for hardware token-based authentication, employs mechanisms that satisfy [Assignment: organization-defined token quality requirements].','Hardware token-based authentication typically refers to the use of PKI-based tokens, such as the U.S. Government Personal Identity Verification (PIV) card. Organizations define specific requirements for tokens, such as working with a particular PKI.'),('IA-5','12','Biometric Authentication','The information system, for biometric-based authentication, employs mechanisms that satisfy [Assignment: organization-defined biometric quality requirements].','Unlike password-based authentication which provides exact matches of user-input passwords to stored passwords, biometric authentication does not provide such exact matches. Depending upon the type of biometric and the type of collection mechanism, there is likely to be some divergence from the presented biometric and stored biometric which serves as the basis of comparison. There will likely be both false positives and false negatives when making such comparisons. The rate at which the false accept and false reject rates are equal is known as the crossover rate. Biometric quality requirements include, for example, acceptable crossover rates, as that essentially reflects the accuracy of the biometric.'),('IA-5','13','Expiration Of Cached Authenticators','The information system prohibits the use of cached authenticators after [Assignment: organization-defined time period].',''),('IA-5','14','Managing Content Of Pki Trust Stores','The organization, for PKI-based authentication, employs a deliberate organization-wide methodology for managing the content of PKI trust stores installed across all platforms including networks, operating systems, browsers, and applications.',''),('IA-5','15','Ficam-approved Products And Services','The organization uses only FICAM-approved path discovery and validation products and services.','Federal Identity, Credential, and Access Management (FICAM)-approved path discovery and validation products and services are those products and services that have been approved through the FICAM conformance program, where applicable.'),('IA-5','2','Pki-based Authentication','The information system, for PKI-based authentication:\nIA-5 (2)(a)\nValidates certifications by constructing and verifying a certification path to an accepted trust anchor including checking certificate status information;\nIA-5 (2)(b)\nEnforces authorized access to the corresponding private key;\nIA-5 (2)(c)\nMaps the authenticated identity to the account of the individual or group; and\nIA-5 (2)(d)\nImplements a local cache of revocation data to support path discovery and validation in case of inability to access revocation information via the network.','Status information for certification paths includes, for example, certificate revocation lists or certificate status protocol responses. For PIV cards, validation of certifications involves the construction and verification of a certification path to the Common Policy Root trust anchor including certificate policy processing.'),('IA-5','3','In-person Or Trusted Third-party Registration','The organization requires that the registration process to receive [Assignment: organization-defined types of and/or specific authenticators] be conducted [Selection: in person; by a trusted third party] before [Assignment: organization-defined registration authority] with authorization by [Assignment: organization-defined personnel or roles].',''),('IA-5','4','Automated Support  For Password Strength Determination','The organization employs automated tools to determine if password authenticators are sufficiently strong to satisfy [Assignment: organization-defined requirements].','This control enhancement focuses on the creation of strong passwords and the characteristics of such passwords (e.g., complexity) prior to use, the enforcement of which is carried out by organizational information systems in IA-5 (1).'),('IA-5','5','Change Authenticators Prior To Delivery','The organization requires developers/installers of information system components to provide unique authenticators or change default authenticators prior to delivery/installation.','This control enhancement extends the requirement for organizations to change default authenticators upon information system installation, by requiring developers and/or installers to provide unique authenticators or change default authenticators for system components prior to delivery and/or installation. However, it typically does not apply to the developers of commercial off-the-shelve information technology products. Requirements for unique authenticators can be included in acquisition documents prepared by organizations when procuring information systems or system components.'),('IA-5','6','Protection Of Authenticators','The organization protects authenticators commensurate with the security category of the information to which use of the authenticator permits access.','For information systems containing multiple security categories of information without reliable physical or logical separation between categories, authenticators used to grant access to the systems are protected commensurate with the highest security category of information on the systems.'),('IA-5','7','No Embedded Unencrypted Static Authenticators','The organization ensures that unencrypted static authenticators are not embedded in applications or access scripts or stored on function keys.','Organizations exercise caution in determining whether embedded or stored authenticators are in encrypted or unencrypted form. If authenticators are used in the manner stored, then those representations are considered unencrypted authenticators. This is irrespective of whether that representation is perhaps an encrypted version of something else (e.g., a password).'),('IA-5','8','Multiple Information System Accounts','The organization implements [Assignment: organization-defined security safeguards] to manage the risk of compromise due to individuals having accounts on multiple information systems.','When individuals have accounts on multiple information systems, there is the risk that the compromise of one account may lead to the compromise of other accounts if individuals use the same authenticators. Possible alternatives include, for example: (i) having different authenticators on all systems; (ii) employing some form of single sign-on mechanism; or (iii) including some form of one-time passwords on all systems.'),('IA-5','9','Cross-organization Credential Management','The organization coordinates with [Assignment: organization-defined external organizations] for cross-organization management of credentials.','Cross-organization management of credentials provides the capability for organizations to appropriately authenticate individuals, groups, roles, or devices when conducting cross-organization activities involving the processing, storage, or transmission of information.'),('IA-8','1','Acceptance Of Piv Credentials From Other Agencies','The information system accepts and electronically verifies Personal Identity Verification (PIV) credentials from other federal agencies.','This control enhancement applies to logical access control systems (LACS) and physical access control systems (PACS). Personal Identity Verification (PIV) credentials are those credentials issued by federal agencies that conform to FIPS Publication 201 and supporting guidance documents. OMB Memorandum 11-11 requires federal agencies to continue implementing the requirements specified in HSPD-12 to enable agency-wide use of PIV credentials.'),('IA-8','2','Acceptance Of Third-party Credentials','The information system accepts only FICAM-approved third-party credentials.','This control enhancement typically applies to organizational information systems that are accessible to the general public, for example, public-facing websites. Third-party credentials are those credentials issued by nonfederal government entities approved by the Federal Identity, Credential, and Access Management (FICAM) Trust Framework Solutions initiative. Approved third-party credentials meet or exceed the set of minimum federal government-wide technical, security, privacy, and organizational maturity requirements. This allows federal government relying parties to trust such credentials at their approved assurance levels.'),('IA-8','3','Use Of Ficam-approved Products','The organization employs only FICAM-approved information system components in [Assignment: organization-defined information systems] to accept third-party credentials.','This control enhancement typically applies to information systems that are accessible to the general public, for example, public-facing websites. FICAM-approved information system components include, for example, information technology products and software libraries that have been approved by the Federal Identity, Credential, and Access Management conformance program.'),('IA-8','4','Use Of Ficam-issued Profiles','The information system conforms to FICAM-issued profiles.','This control enhancement addresses open identity management standards. To ensure that these standards are viable, robust, reliable, sustainable (e.g., available in commercial information technology products), and interoperable as documented, the United States Government assesses and scopes identity management standards and technology implementations against applicable federal legislation, directives, policies, and requirements.  The result is FICAM-issued implementation profiles of approved protocols (e.g., FICAM authentication protocols such as SAML 2.0 and OpenID 2.0, as well as other protocols such as the FICAM Backend Attribute Exchange).'),('IA-8','5','Acceptance Of Piv-i Credentials','The information system accepts and electronically verifies Personal Identity Verification-I (PIV-I) credentials.','This control enhancement: (i) applies to logical and physical access control systems; and (ii) addresses Non-Federal Issuers (NFIs) of identity cards that desire to interoperate with United States Government Personal Identity Verification (PIV) information systems and that can be trusted by federal government-relying parties. The X.509 certificate policy for the Federal Bridge Certification Authority (FBCA) addresses PIV-I requirements. The PIV-I card is suitable for Assurance Level 4 as defined in OMB Memorandum 04-04 and NIST Special Publication 800-63, and multifactor authentication as defined in NIST Special Publication 800-116. PIV-I credentials are those credentials issued by a PIV-I provider whose PIV-I certificate policy maps to the Federal Bridge PIV-I Certificate Policy. A PIV-I provider is cross-certified (directly or through another PKI bridge) with the FBCA with policies that have been mapped and approved as meeting the requirements of the PIV-I policies defined in the FBCA certificate policy.'),('IA-9','1','Information Exchange','The organization ensures that service providers receive, validate, and transmit identification and authentication information.',''),('IA-9','2','Transmission Of Decisions','The organization ensures that identification and authentication decisions are transmitted between [Assignment: organization-defined services] consistent with organizational policies.','For distributed architectures (e.g., service-oriented architectures), the decisions regarding the validation of identification and authentication claims may be made by services separate from the services acting on those decisions. In such situations, it is necessary to provide the identification and authentication decisions (as opposed to the actual identifiers and authenticators) to the services that need to act on those decisions.'),('IR-2','1','Simulated Events','The organization incorporates simulated events into incident response training to facilitate effective response by personnel in crisis situations.',''),('IR-2','2','Automated Training Environments','The organization employs automated mechanisms to provide a more thorough and realistic incident response training environment.',''),('IR-3','1','Automated Testing','The organization employs automated mechanisms to more thoroughly and effectively test the incident response capability.','Organizations use automated mechanisms to more thoroughly and effectively test incident response capabilities, for example: (i) by providing more complete coverage of incident response issues; (ii) by selecting more realistic test scenarios and test environments; and (iii) by stressing the response capability.'),('IR-3','2','Coordination With Related Plans','The organization coordinates incident response testing with organizational elements responsible for related plans.','Organizational plans related to incident response testing include, for example, Business Continuity Plans, Contingency Plans, Disaster Recovery Plans, Continuity of Operations Plans, Crisis Communications Plans, Critical Infrastructure Plans, and Occupant Emergency Plans.'),('IR-4','1','Automated Incident Handling Processes','The organization employs automated mechanisms to support the incident handling process.','Automated mechanisms supporting incident handling processes include, for example, online incident management systems.'),('IR-4','10','Supply Chain Coordination','The organization coordinates incident handling activities involving supply chain events with other organizations involved in the supply chain.','Organizations involved in supply chain activities include, for example, system/product developers, integrators, manufacturers, packagers, assemblers, distributors, vendors, and resellers. Supply chain incidents include, for example, compromises/breaches involving information system components, information technology products, development processes or personnel, and distribution processes or warehousing facilities.'),('IR-4','2','Dynamic Reconfiguration','The organization includes dynamic reconfiguration of [Assignment: organization-defined information system components] as part of the incident response capability.','Dynamic reconfiguration includes, for example, changes to router rules, access control lists, intrusion detection/prevention system parameters, and filter rules for firewalls and gateways. Organizations perform dynamic reconfiguration of information systems, for example, to stop attacks, to misdirect attackers, and to isolate components of systems, thus limiting the extent of the damage from breaches or compromises. Organizations include time frames for achieving the reconfiguration of information systems in the definition of the reconfiguration capability, considering the potential need for rapid response in order to effectively address sophisticated cyber threats.'),('IR-4','3','Continuity Of Operations','The organization identifies [Assignment: organization-defined classes of incidents] and [Assignment: organization-defined actions to take in response to classes of incidents] to ensure continuation of organizational missions and business functions.','Classes of incidents include, for example, malfunctions due to design/implementation errors and omissions, targeted malicious attacks, and untargeted malicious attacks. Appropriate incident response actions include, for example, graceful degradation, information system shutdown, fall back to manual mode/alternative technology whereby the system operates differently, employing deceptive measures, alternate information flows, or operating in a mode that is reserved solely for when systems are under attack.'),('IR-4','4','Information Correlation','The organization correlates incident information and individual incident responses to achieve an organization-wide perspective on incident awareness and response.','Sometimes the nature of a threat event, for example, a hostile cyber attack, is such that it can only be observed by bringing together information from different sources including various reports and reporting procedures established by organizations.'),('IR-4','5','Automatic Disabling Of Information System','The organization implements a configurable capability to automatically disable the information system if [Assignment: organization-defined security violations] are detected.',''),('IR-4','6','Insider Threats - Specific Capabilities','The organization implements incident handling capability for insider threats.','While many organizations address insider threat incidents as an inherent part of their organizational incident response capability, this control enhancement provides additional emphasis on this type of threat and the need for specific incident handling capabilities (as defined within organizations) to provide appropriate and timely responses.'),('IR-4','7','Insider Threats - Intra-organization Coordination','The organization coordinates incident handling capability for insider threats across [Assignment: organization-defined components or elements of the organization].','Incident handling for insider threat incidents (including preparation, detection and analysis, containment, eradication, and recovery) requires close coordination among a variety of organizational components or elements to be effective. These components or elements include, for example, mission/business owners, information system owners, human resources offices, procurement offices, personnel/physical security offices, operations personnel, and risk executive (function). In addition, organizations may require external support from federal, state, and local law enforcement agencies.'),('IR-4','8','Correlation With External Organizations','The organization coordinates with [Assignment: organization-defined external organizations] to correlate and share [Assignment: organization-defined incident information] to achieve a cross-organization perspective on incident awareness and more effective incident responses.','ï¿½s operations, assets, and individuals.'),('IR-4','9','Dynamic Response Capability','The organization employs [Assignment: organization-defined dynamic response capabilities] to effectively respond to security incidents.','This control enhancement addresses the deployment of replacement or new capabilities in a timely manner in response to security incidents (e.g., adversary actions during hostile cyber attacks). This includes capabilities implemented at the mission/business process level (e.g., activating alternative mission/business processes) and at the information system level.'),('IR-5','1','Automated Tracking / Data Collection / Analysis','The organization employs automated mechanisms to assist in the tracking of security incidents and in the collection and analysis of incident information.','Automated mechanisms for tracking security incidents and collecting/analyzing incident information include, for example, the Einstein network monitoring device and monitoring online Computer Incident Response Centers (CIRCs) or other electronic databases of incidents.'),('IR-6','1','Automated Reporting','The organization employs automated mechanisms to assist in the reporting of security incidents.',''),('IR-6','2','Vulnerabilities Related To Incidents','The organization reports information system vulnerabilities associated with reported security incidents to [Assignment: organization-defined personnel or roles].',''),('IR-6','3','Coordination With Supply Chain','The organization provides security incident information to other organizations involved in the supply chain for information systems or information system components related to the incident.','Organizations involved in supply chain activities include, for example, system/product developers, integrators, manufacturers, packagers, assemblers, distributors, vendors, and resellers. Supply chain incidents include, for example, compromises/breaches involving information system components, information technology products, development processes or personnel, and distribution processes or warehousing facilities. Organizations determine the appropriate information to share considering the value gained from support by external organizations with the potential for harm due to sensitive information being released to outside organizations of perhaps questionable trustworthiness.'),('IR-7','1','Automation Support For Availability Of Information / Support','The organization employs automated mechanisms to increase the availability of incident response-related information and support.','Automated mechanisms can provide a push and/or pull capability for users to obtain incident response assistance. For example, individuals might have access to a website to query the assistance capability, or conversely, the assistance capability may have the ability to proactively send information to users (general distribution or targeted) as part of increasing understanding of current response capabilities and support.'),('IR-7','2','Coordination With External Providers','The organization:\nIR-7 (2)(a)\nEstablishes a direct, cooperative relationship between its incident response capability and external providers of information system protection capability; and\nIR-7 (2)(b)\nIdentifies organizational incident response team members to the external providers.','External providers of information system protection capability include, for example, the Computer Network Defense program within the U.S. Department of Defense. External providers help to protect, monitor, analyze, detect, and respond to unauthorized activity within organizational information systems and networks.'),('IR-9','1','Responsible Personnel','The organization assigns [Assignment: organization-defined personnel or roles] with responsibility for responding to information spills.',''),('IR-9','2','Training','The organization provides information spillage response training [Assignment: organization-defined frequency].',''),('IR-9','3','Post-spill Operations','The organization implements [Assignment: organization-defined procedures] to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.','Correction actions for information systems contaminated due to information spillages may be very time-consuming. During those periods, personnel may not have access to the contaminated systems, which may potentially affect their ability to conduct organizational business.'),('IR-9','4','Exposure To Unauthorized Personnel','The organization employs [Assignment: organization-defined security safeguards] for personnel exposed to information not within assigned access authorizations.','Security safeguards include, for example, making personnel exposed to spilled information aware of the federal laws, directives, policies, and/or regulations regarding the information and the restrictions imposed based on exposure to such information.'),('MA-2','1','Record Content','[Withdrawn: Incorporated into MA-2].',''),('MA-2','2','Automated Maintenance Activities','The organization:\nMA-2 (2)(a)\nEmploys automated mechanisms to schedule, conduct, and document maintenance and repairs; and\nMA-2 (2)(b)\nProduces up-to date, accurate, and complete records of all maintenance and repair actions requested, scheduled, in process, and completed.',''),('MA-3','1','Inspect Tools','The organization inspects the maintenance tools carried into a facility by maintenance personnel for improper or unauthorized modifications.','If, upon inspection of maintenance tools, organizations determine that the tools have been modified in an improper/unauthorized manner or contain malicious code, the incident is handled consistent with organizational policies and procedures for incident handling.'),('MA-3','2','Inspect Media','The organization checks media containing diagnostic and test programs for malicious code before the media are used in the information system.','If, upon inspection of media containing maintenance diagnostic and test programs, organizations determine that the media contain malicious code, the incident is handled consistent with organizational incident handling policies and procedures.'),('MA-3','3','Prevent Unauthorized Removal','The organization prevents the unauthorized removal of maintenance equipment containing organizational information by:\nMA-3 (3)(a)\nVerifying that there is no organizational information contained on the equipment;\nMA-3 (3)(b)\nSanitizing or destroying the equipment;\nMA-3 (3)(c)\nRetaining the equipment within the facility; or\nMA-3 (3)(d)\nObtaining an exemption from [Assignment: organization-defined personnel or roles] explicitly authorizing removal of the equipment from the facility.','Organizational information includes all information specifically owned by organizations and information provided to organizations in which organizations serve as information stewards.'),('MA-3','4','Restricted Tool Use','The information system restricts the use of maintenance tools to authorized personnel only.','This control enhancement applies to information systems that are used to carry out maintenance functions.'),('MA-4','1','Auditing And Review','The organization:\nMA-4 (1)(a)\nAudits nonlocal maintenance and diagnostic sessions [Assignment: organization-defined audit events]; and\nMA-4 (1)(b)\nReviews the records of the maintenance and diagnostic sessions.',''),('MA-4','2','Document Nonlocal Maintenance','The organization documents in the security plan for the information system, the policies and procedures for the establishment and use of nonlocal maintenance and diagnostic connections.',''),('MA-4','3','Comparable Security / Sanitization','The organization:\nMA-4 (3)(a)\nRequires that nonlocal maintenance and diagnostic services be performed from an information system that implements a security capability comparable to the capability implemented on the system being serviced; or\nMA-4 (3)(b)\nRemoves the component to be serviced from the information system and prior to nonlocal maintenance or diagnostic services, sanitizes the component (with regard to organizational information) before removal from organizational facilities, and after the service is performed, inspects and sanitizes the component (with regard to potentially malicious software) before reconnecting the component to the information system.','Comparable security capability on information systems, diagnostic tools, and equipment providing maintenance services implies that the implemented security controls on those systems, tools, and equipment are at least as comprehensive as the controls on the information system being serviced.'),('MA-4','4','Authentication / Separation Of Maintenance Sessions','The organization protects nonlocal maintenance sessions by:\nMA-4 (4)(a)\nEmploying [Assignment: organization-defined authenticators that are replay resistant]; and\nMA-4 (4)(b)\nSeparating the maintenance sessions from other network sessions with the information system by either:',''),('MA-4','5','Approvals And Notifications','The organization:\nMA-4 (5)(a)\nRequires the approval of each nonlocal maintenance session by [Assignment: organization-defined personnel or roles]; and\nMA-4 (5)(b)\nNotifies [Assignment: organization-defined personnel or roles] of the date and time of planned nonlocal maintenance.','Notification may be performed by maintenance personnel. Approval of nonlocal maintenance sessions is accomplished by organizational personnel with sufficient information security and information system knowledge to determine the appropriateness of the proposed maintenance.'),('MA-4','6','Cryptographic Protection','The information system implements cryptographic mechanisms to protect the integrity and confidentiality of nonlocal maintenance and diagnostic communications.',''),('MA-4','7','Remote Disconnect Verification','The information system implements remote disconnect verification at the termination of nonlocal maintenance and diagnostic sessions.','Remote disconnect verification ensures that remote connections from nonlocal maintenance sessions have been terminated and are no longer available for use.'),('MA-5','1','Individuals Without Appropriate Access','The organization:\nMA-5 (1)(a)\nImplements procedures for the use of maintenance personnel that lack appropriate security clearances or are not U.S. citizens, that include the following requirements:\nMA-5 (1)(b)\nDevelops and implements alternate security safeguards in the event an information system component cannot be sanitized, removed, or disconnected from the system.','This control enhancement denies individuals who lack appropriate security clearances (i.e., individuals who do not possess security clearances or possess security clearances at a lower level than required) or who are not U.S. citizens, visual and electronic access to any classified information, Controlled Unclassified Information (CUI), or any other sensitive information contained on organizational information systems. Procedures for the use of maintenance personnel can be documented in security plans for the information systems.'),('MA-5','2','Security Clearances For Classified Systems','The organization ensures that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information possess security clearances and formal access approvals for at least the highest classification level and for all compartments of information on the system.',''),('MA-5','3','Citizenship Requirements For Classified Systems','The organization ensures that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information are U.S. citizens.',''),('MA-5','4','Foreign Nationals','The organization ensures that:\nMA-5 (4)(a)\nCleared foreign nationals (i.e., foreign nationals with appropriate security clearances), are used to conduct maintenance and diagnostic activities on classified information systems only when the systems are jointly owned and operated by the United States and foreign allied governments, or owned and operated solely by foreign allied governments; and\nMA-5 (4)(b)\nApprovals, consents, and detailed operational conditions regarding the use of foreign nationals to conduct maintenance and diagnostic activities on classified information systems are fully documented within Memoranda of Agreements.',''),('MA-5','5','Nonsystem-related Maintenance','The organization ensures that non-escorted personnel performing maintenance activities not directly associated with the information system but in the physical proximity of the system, have required access authorizations.','Personnel performing maintenance activities in other capacities not directly related to the information system include, for example, physical plant personnel and janitorial personnel.'),('MA-6','1','Preventive Maintenance','The organization performs preventive maintenance on [Assignment: organization-defined information system components] at [Assignment: organization-defined time intervals].','Preventive maintenance includes proactive care and servicing of organizational information systems components for the purpose of maintaining equipment and facilities in satisfactory operating condition. Such maintenance provides for the systematic inspection, tests, measurements, adjustments, parts replacement, detection, and correction of incipient failures either before they occur or before they develop into major defects. The primary goal of preventive maintenance is to avoid/mitigate the consequences of equipment failures. Preventive maintenance is designed to preserve and restore equipment reliability by replacing worn components before they actually fail. Methods of determining what preventive (or other) failure management policies to apply include, for example, original equipment manufacturer (OEM) recommendations, statistical failure records, requirements of codes, legislation, or regulations within a jurisdiction, expert opinion, maintenance that has already been conducted on similar equipment, or measured values and performance indications.'),('MA-6','2','Predictive Maintenance','The organization performs predictive maintenance on [Assignment: organization-defined information system components] at [Assignment: organization-defined time intervals].','Predictive maintenance, or condition-based maintenance, attempts to evaluate the condition of equipment by performing periodic or continuous (online) equipment condition monitoring. The goal of predictive maintenance is to perform maintenance at a scheduled point in time when the maintenance activity is most cost-effective and before the equipment loses performance within a threshold. The predictive component of predictive maintenance stems from the goal of predicting the future trend of the equipment\'s condition. This approach uses principles of statistical process control to determine at what point in the future maintenance activities will be appropriate. Most predictive maintenance inspections are performed while equipment is in service, thereby minimizing disruption of normal system operations. Predictive maintenance can result in substantial cost savings and higher system reliability. Predictive maintenance tends to include measurement of the item. To evaluate equipment condition, predictive maintenance utilizes nondestructive testing technologies such as infrared, acoustic (partial discharge and airborne ultrasonic), corona detection, vibration analysis, sound level measurements, oil analysis, and other specific online tests.'),('MA-6','3','Automated Support For Predictive Maintenance','The organization employs automated mechanisms to transfer predictive maintenance data to a computerized maintenance management system.','A computerized maintenance management system maintains a computer database of information about the maintenance operations of organizations and automates processing equipment condition data in order to trigger maintenance planning, execution, and reporting.'),('MP-2','1','Automated Restricted Access','[Withdrawn: Incorporated into MP-4 (2)].',''),('MP-2','2','Cryptographic Protection','[Withdrawn: Incorporated into SC-28 (1)].',''),('MP-4','1','Cryptographic Protection','[Withdrawn: Incorporated into SC-28 (1)].',''),('MP-4','2','Automated Restricted Access','The organization employs automated mechanisms to restrict access to media storage areas and to audit access attempts and access granted.','Automated mechanisms can include, for example, keypads on the external entries to media storage areas.'),('MP-5','1','Protection Outside Of Controlled Areas','[Withdrawn: Incorporated into MP-5].',''),('MP-5','2','Documentation Of Activities','[Withdrawn: Incorporated into MP-5].',''),('MP-5','3','Custodians','The organization employs an identified custodian during transport of information system media outside of controlled areas.','Identified custodians provide organizations with specific points of contact during the media transport process and facilitate individual accountability. Custodial responsibilities can be transferred from one individual to another as long as an unambiguous custodian is identified at all times.'),('MP-5','4','Cryptographic Protection','The information system implements cryptographic mechanisms to protect the confidentiality and integrity of information stored on digital media during transport outside of controlled areas.','This control enhancement applies to both portable storage devices (e.g., USB memory sticks, compact disks, digital video disks, external/removable hard disk drives) and mobile devices with storage capability (e.g., smart phones, tablets, E-readers).'),('MP-6','1','Review / Approve / Track / Document / Verify','The organization reviews, approves, tracks, documents, and verifies media sanitization and disposal actions.','Organizations review and approve media to be sanitized to ensure compliance with records-retention policies. Tracking/documenting actions include, for example, listing personnel who reviewed and approved sanitization and disposal actions, types of media sanitized, specific files stored on the media, sanitization methods used, date and time of the sanitization actions, personnel who performed the sanitization, verification actions taken, personnel who performed the verification, and disposal action taken. Organizations verify that the sanitization of the media was effective prior to disposal.'),('MP-6','2','Equipment Testing','The organization tests sanitization equipment and procedures [Assignment: organization-defined frequency] to verify that the intended sanitization is being achieved.','Testing of sanitization equipment and procedures may be conducted by qualified and authorized external entities (e.g., other federal agencies or external service providers).'),('MP-6','3','Nondestructive Techniques','The organization applies nondestructive sanitization techniques to portable storage devices prior to connecting such devices to the information system under the following circumstances: [Assignment: organization-defined circumstances requiring sanitization of portable storage devices].','This control enhancement applies to digital media containing classified information and Controlled Unclassified Information (CUI). Portable storage devices can be the source of malicious code insertions into organizational information systems. Many of these devices are obtained from unknown and potentially untrustworthy sources and may contain malicious code that can be readily transferred to information systems through USB ports or other entry portals. While scanning such storage devices is always recommended, sanitization provides additional assurance that the devices are free of malicious code to include code capable of initiating zero-day attacks. Organizations consider nondestructive sanitization of portable storage devices when such devices are first purchased from the manufacturer or vendor prior to initial use or when organizations lose a positive chain of custody for the devices.'),('MP-6','4','Controlled Unclassified Information','[Withdrawn: Incorporated into MP-6].',''),('MP-6','5','Classified Information','[Withdrawn: Incorporated into MP-6].',''),('MP-6','6','Media Destruction','[Withdrawn: Incorporated into MP-6].',''),('MP-6','7','Dual Authorization','The organization enforces dual authorization for the sanitization of [Assignment: organization-defined information system media].','Organizations employ dual authorization to ensure that information system media sanitization cannot occur unless two technically qualified individuals conduct the task. Individuals sanitizing information system media possess sufficient skills/expertise to determine if the proposed sanitization reflects applicable federal/organizational standards, policies, and procedures. Dual authorization also helps to ensure that sanitization occurs as intended, both protecting against errors and false claims of having performed the sanitization actions. Dual authorization may also be known as two-person control.'),('MP-6','8','Remote Purging / Wiping Of Information','The organization provides the capability to purge/wipe information from [Assignment: organization-defined information systems, system components, or devices] either remotely or under the following conditions: [Assignment: organization-defined conditions].','This control enhancement protects data/information on organizational information systems, system components, or devices (e.g., mobile devices) if such systems, components, or devices are obtained by unauthorized individuals. Remote purge/wipe commands require strong authentication to mitigate the risk of unauthorized individuals purging/wiping the system/component/device. The purge/wipe function can be implemented in a variety of ways including, for example, by overwriting data/information multiple times or by destroying the key necessary to decrypt encrypted data.'),('MP-7','1','Prohibit Use Without Owner','The organization prohibits the use of portable storage devices in organizational information systems when such devices have no identifiable owner.','Requiring identifiable owners (e.g., individuals, organizations, or projects) for portable storage devices reduces the risk of using such technologies by allowing organizations to assign responsibility and accountability for addressing known vulnerabilities in the devices (e.g., malicious code insertion).'),('MP-7','2','Prohibit Use Of Sanitization-resistant Media','The organization prohibits the use of sanitization-resistant media in organizational information systems.','Sanitation-resistance applies to the capability to purge information from media. Certain types of media do not support sanitize commands, or if supported, the interfaces are not supported in a standardized way across these devices. Sanitation-resistant media include, for example, compact flash, embedded flash on boards and devices, solid state drives, and USB removable media.'),('MP-8','1','Documentation Of Process','The organization documents information system media downgrading actions.','Organizations can document the media downgrading process by providing information such as the downgrading technique employed, the identification number of the downgraded media, and the identity of the individual that authorized and/or performed the downgrading action.'),('MP-8','2','Equipment Testing','The organization employs [Assignment: organization-defined tests] of downgrading equipment and procedures to verify correct performance [Assignment: organization-defined frequency].',''),('MP-8','3','Controlled Unclassified Information','The organization downgrades information system media containing [Assignment: organization-defined Controlled Unclassified Information (CUI)] prior to public release in accordance with applicable federal and organizational standards and policies.',''),('MP-8','4','Classified Information','The organization downgrades information system media containing classified information prior to release to individuals without required access authorizations in accordance with NSA standards and policies.','Downgrading of classified information uses approved sanitization tools, techniques, and procedures to transfer information confirmed to be unclassified from classified information systems to unclassified media.'),('PE-10','1','Accidental / Unauthorized Activation','[Withdrawn: Incorporated into PE-10].',''),('PE-11','1','Long-term Alternate Power Supply - Minimal Operational Capability','The organization provides a long-term alternate power supply for the information system that is capable of maintaining minimally required operational capability in the event of an extended loss of the primary power source.','This control enhancement can be satisfied, for example, by the use of a secondary commercial power supply or other external power supply. Long-term alternate power supplies for the information system can be either manually or automatically activated.'),('PE-11','2','Long-term Alternate Power Supply - Self-contained','The organization provides a long-term alternate power supply for the information system that is:\nPE-11 (2)(a)\nSelf-contained;\nPE-11 (2)(b)\nNot reliant on external power generation; and\nPE-11 (2)(c)\nCapable of maintaining [Selection: minimally required operational capability; full operational capability] in the event of an extended loss of the primary power source.','This control enhancement can be satisfied, for example, by the use of one or more generators with sufficient capacity to meet the needs of the organization. Long-term alternate power supplies for organizational information systems are either manually or automatically activated.'),('PE-12','1','Essential Missions / Business Functions','The organization provides emergency lighting for all areas within the facility supporting essential missions and business functions.',''),('PE-13','1','Detection Devices / Systems','The organization employs fire detection devices/systems for the information system that activate automatically and notify [Assignment: organization-defined personnel or roles] and [Assignment: organization-defined emergency responders] in the event of a fire.','Organizations can identify specific personnel, roles, and emergency responders in the event that individuals on the notification list must have appropriate access authorizations and/or clearances, for example, to obtain access to facilities where classified operations are taking place or where there are information systems containing classified information.'),('PE-13','2','Suppression Devices / Systems','The organization employs fire suppression devices/systems for the information system that provide automatic notification of any activation to Assignment: organization-defined personnel or roles] and [Assignment: organization-defined emergency responders].','Organizations can identify specific personnel, roles, and emergency responders in the event that individuals on the notification list must have appropriate access authorizations and/or clearances, for example, to obtain access to facilities where classified operations are taking place or where there are information systems containing classified information.'),('PE-13','3','Automatic Fire Suppression','The organization employs an automatic fire suppression capability for the information system when the facility is not staffed on a continuous basis.',''),('PE-13','4','Inspections','The organization ensures that the facility undergoes [Assignment: organization-defined frequency] inspections by authorized and qualified inspectors and resolves identified deficiencies within [Assignment: organization-defined time period].',''),('PE-14','1','Automatic Controls','The organization employs automatic temperature and humidity controls in the facility to prevent fluctuations potentially harmful to the information system.',''),('PE-14','2','Monitoring With Alarms / Notifications','The organization employs temperature and humidity monitoring that provides an alarm or notification of changes potentially harmful to personnel or equipment.',''),('PE-15','1','Automation Support','The organization employs automated mechanisms to detect the presence of water in the vicinity of the information system and alerts [Assignment: organization-defined personnel or roles].','Automated mechanisms can include, for example, water detection sensors, alarms, and notification systems.'),('PE-18','1','Facility Site','The organization plans the location or site of the facility where the information system resides with regard to physical and environmental hazards and for existing facilities, considers the physical and environmental hazards in its risk mitigation strategy.',''),('PE-19','1','National Emissions / Tempest Policies And Procedures','The organization ensures that information system components, associated data communications, and networks are protected in accordance with national emissions and TEMPEST policies and procedures based on the security category or classification of the information.',''),('PE-2','1','Access By Position / Role','The organization authorizes physical access to the facility where the information system resides based on position or role.',''),('PE-2','2','Two Forms Of Identification','The organization requires two forms of identification from [Assignment: organization-defined list of acceptable forms of identification] for visitor access to the facility where the information system resides.','ï¿½ licenses. In the case of gaining access to facilities using automated mechanisms, organizations may use PIV cards, key cards, PINs, and biometrics.'),('PE-2','3','Restrict Unescorted Access','The organization restricts unescorted access to the facility where the information system resides to personnel with [Selection (one or more): security clearances for all information contained within the system; formal access authorizations for all information contained within the system; need for access to all information contained within the system; [Assignment: organization-defined credentials]].','Due to the highly sensitive nature of classified information stored within certain facilities, it is important that individuals lacking sufficient security clearances, access approvals, or need to know, be escorted by individuals with appropriate credentials to ensure that such information is not exposed or otherwise compromised.'),('PE-3','1','Information System Access','The organization enforces physical access authorizations to the information system in addition to the physical access controls for the facility at [Assignment: organization-defined physical spaces containing one or more components of the information system].','This control enhancement provides additional physical security for those areas within facilities where there is a concentration of information system components (e.g., server rooms, media storage areas, data and communications centers).'),('PE-3','2','Facility / Information System Boundaries','The organization performs security checks [Assignment: organization-defined frequency] at the physical boundary of the facility or information system for unauthorized exfiltration of information or removal of information system components.','Organizations determine the extent, frequency, and/or randomness of security checks to adequately mitigate risk associated with exfiltration.'),('PE-3','3','Continuous Guards / Alarms / Monitoring','The organization employs guards and/or alarms to monitor every physical access point to the facility where the information system resides 24 hours per day, 7 days per week.',''),('PE-3','4','Lockable Casings','The organization uses lockable physical casings to protect [Assignment: organization-defined information system components] from unauthorized physical access.',''),('PE-3','5','Tamper Protection','The organization employs [Assignment: organization-defined security safeguards] to [Selection (one or more): detect; prevent] physical tampering or alteration of [Assignment: organization-defined hardware components] within the information system.','ated risks.'),('PE-3','6','Facility Penetration Testing','The organization employs a penetration testing process that includes [Assignment: organization-defined frequency], unannounced attempts to bypass or circumvent security controls associated with physical access points to the facility.',''),('PE-5','1','Access To Output By Authorized Individuals','The organization:\nPE-5 (1)(a)\nControls physical access to output from [Assignment: organization-defined output devices]; and\nPE-5 (1)(b)\nEnsures that only authorized individuals receive output from the device.','Controlling physical access to selected output devices includes, for example, placing printers, copiers, and facsimile machines in controlled areas with keypad access controls or limiting access to individuals with certain types of badges.'),('PE-5','2','Access To Output By Individual Identity','The information system:\nPE-5 (2)(a)\nControls physical access to output from [Assignment: organization-defined output devices]; and\nPE-5 (2)(b)\nLinks individual identity to receipt of the output from the device.','Controlling physical access to selected output devices includes, for example, installing security functionality on printers, copiers, and facsimile machines that allows organizations to implement authentication (e.g., using a PIN or hardware token) on output devices prior to the release of output to individuals.'),('PE-5','3','Marking Output Devices','The organization marks [Assignment: organization-defined information system output devices] indicating the appropriate security marking of the information permitted to be output from the device.','Outputs devices include, for example, printers, monitors, facsimile machines, scanners, copiers, and audio devices. This control enhancement is generally applicable to information system output devices other than mobiles devices.'),('PE-6','1','Intrusion Alarms / Surveillance Equipment','The organization monitors physical intrusion alarms and surveillance equipment.',''),('PE-6','2','Automated Intrusion Recognition / Responses','The organization employs automated mechanisms to recognize [Assignment: organization-defined classes/types of intrusions] and initiate [Assignment: organization-defined response actions].',''),('PE-6','3','Video Surveillance','The organization employs video surveillance of [Assignment: organization-defined operational areas] and retains video recordings for [Assignment: organization-defined time period].','This control enhancement focuses on recording surveillance video for purposes of subsequent review, if circumstances so warrant (e.g., a break-in detected by other means). It does not require monitoring surveillance video although organizations may choose to do so. Note that there may be legal considerations when performing and retaining video surveillance, especially if such surveillance is in a public location.'),('PE-6','4','Monitoring Physical Access To Information Systems','The organization monitors physical access to the information system in addition to the physical access monitoring of the facility as [Assignment: organization-defined physical spaces containing one or more components of the information system].','This control enhancement provides additional monitoring for those areas within facilities where there is a concentration of information system components (e.g., server rooms, media storage areas, communications centers).'),('PE-8','1','Automated Records Maintenance / Review','The organization employs automated mechanisms to facilitate the maintenance and review of visitor access records.',''),('PE-8','2','Physical Access Records','[Withdrawn: Incorporated into PE-2].',''),('PE-9','1','Redundant Cabling','The organization employs redundant power cabling paths that are physically separated by [Assignment: organization-defined distance].','Physically separate, redundant power cables help to ensure that power continues to flow in the event one of the cables is cut or otherwise damaged.'),('PE-9','2','Automatic Voltage Controls','The organization employs automatic voltage controls for [Assignment: organization-defined critical information system components].',''),('PL-2','1','Concept Of Operations','[Withdrawn: Incorporated into PL-7].',''),('PL-2','2','Functional Architecture','[Withdrawn: Incorporated into PL-8].',''),('PL-2','3','Plan / Coordinate With Other Organizational Entities','The organization plans and coordinates security-related activities affecting the information system with [Assignment: organization-defined individuals or groups] before conducting such activities in order to reduce the impact on other organizational entities.','Security-related activities include, for example, security assessments, audits, hardware and software maintenance, patch management, and contingency plan testing. Advance planning and coordination includes emergency and nonemergency (i.e., planned or nonurgent unplanned) situations. The process defined by organizations to plan and coordinate security-related activities can be included in security plans for information systems or other documents, as appropriate.'),('PL-4','1','Social Media And Networking Restrictions','The organization includes in the rules of behavior, explicit restrictions on the use of social media/networking sites and posting organizational information on public websites.','ntifiable information) from social media/networking sites.'),('PL-8','1','Defense-in-depth','The organization designs its security architecture using a defense-in-depth approach that:\nPL-8 (1)(a)\nAllocates [Assignment: organization-defined security safeguards] to [Assignment: organization-defined locations and architectural layers]; and\nPL-8 (1)(b)\nEnsures that the allocated security safeguards operate in a coordinated and mutually reinforcing manner.','Organizations strategically allocate security safeguards (procedural, technical, or both) in the security architecture so that adversaries have to overcome multiple safeguards to achieve their objective. Requiring adversaries to defeat multiple mechanisms makes it more difficult to successfully attack critical information resources (i.e., increases adversary work factor) and also increases the likelihood of detection. The coordination of allocated safeguards is essential to ensure that an attack that involves one safeguard does not create adverse unintended consequences (e.g., lockout, cascading alarms) by interfering with another safeguard. Placement of security safeguards is a key activity. Greater asset criticality or information value merits additional layering. Thus, an organization may choose to place anti-virus software at organizational boundary layers, email/web servers, notebook computers, and workstations to maximize the number of related safeguards adversaries must penetrate before compromising the information and information systems.'),('PL-8','2','Supplier Diversity','The organization requires that [Assignment: organization-defined security safeguards] allocated to [Assignment: organization-defined locations and architectural layers] are obtained from different suppliers.','Different information technology products have different strengths and weaknesses. Providing a broad spectrum of products complements the individual offerings. For example, vendors offering malicious code protection typically update their products at different times, often developing solutions for known viruses, Trojans, or worms according to their priorities and development schedules. By having different products at different locations (e.g., server, boundary, desktop) there is an increased likelihood that at least one will detect the malicious code.'),('PS-3','1','Classified Information','The organization ensures that individuals accessing an information system processing, storing, or transmitting classified information are cleared and indoctrinated to the highest classification level of the information to which they have access on the system.',''),('PS-3','2','Formal Indoctrination','The organization ensures that individuals accessing an information system processing, storing, or transmitting types of classified information which require formal indoctrination, are formally indoctrinated for all of the relevant types of information to which they have access on the system.','Types of classified information requiring formal indoctrination include, for example, Special Access Program (SAP), Restricted Data (RD), and Sensitive Compartment Information (SCI).'),('PS-3','3','Information With Special Protection Measures','The organization ensures that individuals accessing an information system processing, storing, or transmitting information requiring special protection:\nPS-3 (3)(a)\nHave valid access authorizations that are demonstrated by assigned official government duties; and\nPS-3 (3)(b)\nSatisfy [Assignment: organization-defined additional personnel screening criteria].','Organizational information requiring special protection includes, for example, Controlled Unclassified Information (CUI) and Sources and Methods Information (SAMI).  Personnel security criteria include, for example, position sensitivity background screening requirements.'),('PS-4','1','Post-employment Requirements','The organization:\nPS-4 (1)(a)\nNotifies terminated individuals of applicable, legally binding post-employment requirements for the protection of organizational information; and\nPS-4 (1)(b)\nRequires terminated individuals to sign an acknowledgment of post-employment requirements as part of the organizational termination process.','Organizations consult with the Office of the General Counsel regarding matters of post-employment requirements on terminated individuals.'),('PS-4','2','Automated Notification','The organization employs automated mechanisms to notify [Assignment: organization-defined personnel or roles] upon termination of an individual.','ers, systems administrators, or information technology administrators) when individuals are terminated. Such automatic alerts or notifications can be conveyed in a variety of ways, including, for example, telephonically, via electronic mail, via text message, or via websites.'),('PS-6','1','Information Requiring Special Protection','[Withdrawn: Incorporated into PS-3].',''),('PS-6','2','Classified Information Requiring Special Protection','The organization ensures that access to classified information requiring special protection is granted only to individuals who:\nPS-6 (2)(a)\nHave a valid access authorization that is demonstrated by assigned official government duties;\nPS-6 (2)(b)\nSatisfy associated personnel security criteria; and\nPS-6 (2)(c)\nHave read, understood, and signed a nondisclosure agreement.','Classified information requiring special protection includes, for example, collateral information, Special Access Program (SAP) information, and Sensitive Compartmented Information (SCI). Personnel security criteria reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance.'),('PS-6','3','Post-employment Requirements','The organization:\nPS-6 (3)(a)\nNotifies individuals of applicable, legally binding post-employment requirements for protection of organizational information; and\nPS-6 (3)(b)\nRequires individuals to sign an acknowledgment of these requirements, if applicable, as part of granting initial access to covered information.','Organizations consult with the Office of the General Counsel regarding matters of post-employment requirements on terminated individuals.'),('RA-5','1','Update Tool Capability','The organization employs vulnerability scanning tools that include the capability to readily update the information system vulnerabilities to be scanned.','The vulnerabilities to be scanned need to be readily updated as new vulnerabilities are discovered, announced, and scanning methods developed. This updating process helps to ensure that potential vulnerabilities in the information system are identified and addressed as quickly as possible.'),('RA-5','10','Correlate Scanning Information','The organization correlates the output from vulnerability scanning tools to determine the presence of multi-vulnerability/multi-hop attack vectors.',''),('RA-5','2','Update By Frequency / Prior To New Scan / When Identified','The organization updates the information system vulnerabilities scanned [Selection (one or more): [Assignment: organization-defined frequency]; prior to a new scan; when new vulnerabilities are identified and reported].',''),('RA-5','3','Breadth / Depth Of Coverage','The organization employs vulnerability scanning procedures that can identify the breadth and depth of coverage (i.e., information system components scanned and vulnerabilities checked).',''),('RA-5','4','Discoverable Information','The organization determines what information about the information system is discoverable by adversaries and subsequently takes [Assignment: organization-defined corrective actions].','Discoverable information includes information that adversaries could obtain without directly compromising or breaching the information system, for example, by collecting information the system is exposing or by conducting extensive searches of the web. Corrective actions can include, for example, notifying appropriate organizational personnel, removing designated information, or changing the information system to make designated information less relevant or attractive to adversaries.'),('RA-5','5','Privileged Access','The information system implements privileged access authorization to [Assignment: organization-identified information system components] for selected [Assignment: organization-defined vulnerability scanning activities].','In certain situations, the nature of the vulnerability scanning may be more intrusive or the information system component that is the subject of the scanning may contain highly sensitive information. Privileged access authorization to selected system components facilitates more thorough vulnerability scanning and also protects the sensitive nature of such scanning.'),('RA-5','6','Automated Trend Analyses','The organization employs automated mechanisms to compare the results of vulnerability scans over time to determine trends in information system vulnerabilities.',''),('RA-5','7','Automated Detection And Notification Of Unauthorized Components','[Withdrawn: Incorporated into CM-8].',''),('RA-5','8','Review Historic Audit Logs','The organization reviews historic audit logs to determine if a vulnerability identified in the information system has been previously exploited.',''),('RA-5','9','Penetration Testing And Analyses','[Withdrawn: Incorporated into CA-8].',''),('SA-10','1','Software / Firmware Integrity Verification','The organization requires the developer of the information system, system component, or information system service to enable integrity verification of software and firmware components.','This control enhancement allows organizations to detect unauthorized changes to software and firmware components through the use of tools, techniques, and/or mechanisms provided by developers. Integrity checking mechanisms can also address counterfeiting of software and firmware components. Organizations verify the integrity of software and firmware components, for example, through secure one-way hashes provided by developers. Delivered software and firmware components also include any updates to such components.'),('SA-10','2','Alternative Configuration Management Processes','The organization provides an alternate configuration management process using organizational personnel in the absence of a dedicated developer configuration management team.','Alternate configuration management processes may be required, for example, when organizations use commercial off-the-shelf (COTS) information technology products. Alternate configuration management processes include organizational personnel that: (i) are responsible for reviewing/approving proposed changes to information systems, system components, and information system services; and (ii) conduct security impact analyses prior to the implementation of any changes to systems, components, or services (e.g., a configuration control board that considers security impacts of changes during development and includes representatives of both the organization and the developer, when applicable).'),('SA-10','3','Hardware Integrity Verification','The organization requires the developer of the information system, system component, or information system service to enable integrity verification of hardware components.','This control enhancement allows organizations to detect unauthorized changes to hardware components through the use of tools, techniques, and/or mechanisms provided by developers. Organizations verify the integrity of hardware components, for example, with hard-to-copy labels and verifiable serial numbers provided by developers, and by requiring the implementation of anti-tamper technologies. Delivered hardware components also include updates to such components.'),('SA-10','4','Trusted Generation','The organization requires the developer of the information system, system component, or information system service to employ tools for comparing newly generated versions of security-relevant hardware descriptions and software/firmware source and object code with previous versions.','This control enhancement addresses changes to hardware, software, and firmware components between versions during development. In contrast, SA-10 (1) and SA-10 (3) allow organizations to detect unauthorized changes to hardware, software, and firmware components through the use of tools, techniques, and/or mechanisms provided by developers.'),('SA-10','5','Mapping Integrity For Version Control','The organization requires the developer of the information system, system component, or information system service to maintain the integrity of the mapping between the  master build data (hardware drawings and software/firmware code) describing the current version of security-relevant hardware, software, and firmware and the on-site master copy of the data for the current version.','This control enhancement addresses changes to hardware, software, and firmware components during initial development and during system life cycle updates. Maintaining the integrity between the master copies of security-relevant hardware, software, and firmware (including designs and source code) and the equivalent data in master copies on-site in operational environments is essential to ensure the availability of organizational information systems supporting critical missions and/or business functions.'),('SA-10','6','Trusted Distribution','The organization requires the developer of the information system, system component, or information system service to execute procedures for ensuring that security-relevant hardware, software, and firmware updates distributed to the organization are exactly as specified by the master copies.','The trusted distribution of security-relevant hardware, software, and firmware updates helps to ensure that such updates are faithful representations of the master copies maintained by the developer and have not been tampered with during distribution.'),('SA-11','1','Static Code Analysis','The organization requires the developer of the information system, system component, or information system service to employ static code analysis tools to identify common flaws and document the results of the analysis.','remediation guidance along with defects to enable developers to fix such defects. Evidence of correct implementation of static analysis can include, for example, aggregate defect density for critical defect types, evidence that defects were inspected by developers or security professionals, and evidence that defects were fixed. An excessively high density of ignored findings (commonly referred to as ignored or false positives) indicates a potential problem with the analysis process or tool. In such cases, organizations weigh the validity of the evidence against evidence from other sources.'),('SA-11','2','Threat And Vulnerability Analyses','The organization requires the developer of the information system, system component, or information system service to perform threat and vulnerability analyses and subsequent testing/evaluation of the as-built system, component, or service.','Applications may deviate significantly from the functional and design specifications created during the requirements and design phases of the system development life cycle. Therefore, threat and vulnerability analyses of information systems, system components, and information system services prior to delivery are critical to the effective operation of those systems, components, and services. Threat and vulnerability analyses at this phase of the life cycle help to ensure that design or implementation changes have been accounted for, and that any new vulnerabilities created as a result of those changes have been reviewed and mitigated.'),('SA-11','3','Independent Verification Of Assessment Plans / Evidence','The organization:\nSA-11 (3)(a)\nRequires an independent agent satisfying [Assignment: organization-defined independence criteria] to verify the correct implementation of the developer security assessment plan and the evidence produced during security testing/evaluation; and\nSA-11 (3)(b)\nEnsures that the independent agent either is provided with sufficient information to complete the verification process or has been granted the authority to obtain such information.','Independent agents have the necessary qualifications (i.e., expertise, skills, training, and experience) to verify the correct implementation of developer security assessment plans.'),('SA-11','4','Manual Code Reviews','The organization requires the developer of the information system, system component, or information system service to perform a manual code review of [Assignment: organization-defined specific code] using [Assignment: organization-defined processes, procedures, and/or techniques].','pects of cryptographic implementations and controls.'),('SA-11','5','Penetration Testing / Analysis','The organization requires the developer of the information system, system component, or information system service to perform penetration testing at [Assignment: organization-defined breadth/depth] and with [Assignment: organization-defined constraints].','Penetration testing is an assessment methodology in which assessors, using all available information technology product and/or information system documentation (e.g., product/system design specifications, source code, and administrator/operator manuals) and working under specific constraints, attempt to circumvent implemented security features of information technology products and information systems. Penetration testing can include, for example, white, gray, or black box testing with analyses performed by skilled security professionals simulating adversary actions. The objective of penetration testing is to uncover potential vulnerabilities in information technology products and information systems resulting from implementation errors, configuration faults, or other operational deployment weaknesses or deficiencies. Penetration tests can be performed in conjunction with automated and manual code reviews to provide greater levels of analysis than would ordinarily be possible.'),('SA-11','6','Attack Surface Reviews','The organization requires the developer of the information system, system component, or information system service to perform attack surface reviews.','Attack surfaces of information systems are exposed areas that make those systems more vulnerable to cyber attacks. This includes any accessible areas where weaknesses or deficiencies in information systems (including the hardware, software, and firmware components) provide opportunities for adversaries to exploit vulnerabilities. Attack surface reviews ensure that developers: (i) analyze both design and implementation changes to information systems; and (ii) mitigate attack vectors generated as a result of the changes. Correction of identified flaws includes, for example, deprecation of unsafe functions.'),('SA-11','7','Verify Scope Of Testing / Evaluation','The organization requires the developer of the information system, system component, or information system service to verify that the scope of security testing/evaluation provides complete coverage of required security controls at [Assignment: organization-defined depth of testing/evaluation].','Verifying that security testing/evaluation provides complete coverage of required security controls can be accomplished by a variety of analytic techniques ranging from informal to formal. Each of these techniques provides an increasing level of assurance corresponding to the degree of formality of the analysis. Rigorously demonstrating security control coverage at the highest levels of assurance can be provided by the use of formal modeling and analysis techniques including correlation between control implementation and corresponding test cases.'),('SA-11','8','Dynamic Code Analysis','The organization requires the developer of the information system, system component, or information system service to employ dynamic code analysis tools to identify common flaws and document the results of the analysis.','Dynamic code analysis provides run-time verification of software programs, using tools capable of monitoring programs for memory corruption, user privilege issues, and other potential security problems. Dynamic code analysis employs run-time tools to help to ensure that security functionality performs in the manner in which it was designed. A specialized type of dynamic analysis, known as fuzz testing, induces program failures by deliberately introducing malformed or random data into software programs. Fuzz testing strategies derive from the intended use of applications and the functional and design specifications for the applications. To understand the scope of dynamic code analysis and hence the assurance provided, organizations may also consider conducting code coverage analysis (checking the degree to which the code has been tested using metrics such as percent of subroutines tested or percent of program statements called during execution of the test suite) and/or concordance analysis (checking for words that are out of place in software code such as non-English language words or derogatory terms).'),('SA-12','1','Acquisition Strategies / Tools / Methods','The organization employs [Assignment: organization-defined tailored acquisition strategies, contract tools, and procurement methods] for the purchase of the information system, system component, or information system service from suppliers.','feit components. In addition, organizations consider minimizing the time between purchase decisions and required delivery to limit opportunities for adversaries to corrupt information system components or products. Finally, organizations can use trusted/controlled distribution, delivery, and warehousing options to reduce supply chain risk (e.g., requiring tamper-evident packaging of information system components during shipping and warehousing).'),('SA-12','10','Validate As Genuine And Not Altered','The organization employs [Assignment: organization-defined security safeguards] to validate that the information system or system component received is genuine and has not been altered.','For some information system components, especially hardware, there are technical means to help determine if the components are genuine or have been altered. Security safeguards used to validate the authenticity of information systems and information system components include, for example, optical/nanotechnology tagging and side-channel analysis. For hardware, detailed bill of material information can highlight the elements with embedded logic complete with component and production location.'),('SA-12','11','Penetration Testing / Analysis Of Elements, Processes, And Actors','The organization employs [Selection (one or more): organizational analysis, independent third-party analysis, organizational penetration testing, independent third-party penetration testing] of [Assignment: organization-defined supply chain elements, processes, and actors] associated with the information system, system component, or information system service.','This control enhancement addresses analysis and/or testing of the supply chain, not just delivered items. Supply chain elements are information technology products or product components that contain programmable logic and that are critically important to information system functions. Supply chain processes include, for example: (i) hardware, software, and firmware development processes; (ii) shipping/handling procedures; (iii) personnel and physical security programs; (iv) configuration management tools/measures to maintain provenance; or (v) any other programs, processes, or procedures associated with the production/distribution of supply chain elements. Supply chain actors are individuals with specific roles and responsibilities in the supply chain. The evidence generated during analyses and testing of supply chain elements, processes, and actors is documented and used to inform organizational risk management activities and decisions.'),('SA-12','12','Inter-organizational Agreements','The organization establishes inter-organizational agreements and procedures with entities involved in the supply chain for the information system, system component, or information system service.','The establishment of inter-organizational agreements and procedures provides for notification of supply chain compromises. Early notification of supply chain compromises that can potentially adversely affect or have adversely affected organizational information systems, including critical system components, is essential for organizations to provide appropriate responses to such incidents.'),('SA-12','13','Critical Information System Components','The organization employs [Assignment: organization-defined security safeguards] to ensure an adequate supply of [Assignment: organization-defined critical information system components].','Adversaries can attempt to impede organizational operations by disrupting the supply of critical information system components or corrupting supplier operations. Safeguards to ensure adequate supplies of critical information system components include, for example: (i) the use of multiple suppliers throughout the supply chain for the identified critical components; and (ii) stockpiling of spare components to ensure operation during mission-critical times.'),('SA-12','14','Identity And Traceability','The organization establishes and retains unique identification of [Assignment: organization-defined supply chain elements, processes, and actors] for the information system, system component, or information system service.','Knowing who and what is in the supply chains of organizations is critical to gaining visibility into what is happening within such supply chains, as well as monitoring and identifying high-risk events and activities. Without reasonable visibility and traceability into supply chains (i.e., elements, processes, and actors), it is very difficult for organizations to understand and therefore manage risk, and to reduce the likelihood of adverse events. Uniquely identifying acquirer and integrator roles, organizations, personnel, mission and element processes, testing and evaluation procedures, delivery mechanisms, support mechanisms, communications/delivery paths, and disposal/final disposition activities as well as the components and tools used, establishes a foundational identity structure for assessment of supply chain activities. For example, labeling (using serial numbers) and tagging (using radio-frequency identification [RFID] tags) individual supply chain elements including software packages, modules, and hardware devices, and processes associated with those elements can be used for this purpose. Identification methods are sufficient to support the provenance in the event of a supply chain issue or adverse supply chain event.'),('SA-12','15','Processes To Address Weaknesses Or Deficiencies','The organization establishes a process to address weaknesses or deficiencies in supply chain elements identified during independent or organizational assessments of such elements.','Evidence generated during independent or organizational assessments of supply chain elements (e.g., penetration testing, audits, verification/validation activities) is documented and used in follow-on processes implemented by organizations to respond to the risks related to the identified weaknesses and deficiencies. Supply chain elements include, for example, supplier development processes and supplier distribution systems.'),('SA-12','2','Supplier Reviews','The organization conducts a supplier review prior to entering into a contractual agreement to acquire the information system, system component, or information system service.','Supplier reviews include, for example: (i) analysis of supplier processes used to design, develop, test, implement, verify, deliver, and support information systems, system components, and information system services; and (ii) assessment of supplier training and experience in developing systems, components, or services with the required security capability. These reviews provide organizations with increased levels of visibility into supplier activities during the system development life cycle to promote more effective supply chain risk management. Supplier reviews can also help to determine whether primary suppliers have security safeguards in place and a practice for vetting subordinate suppliers, for example, second- and third-tier suppliers, and any subcontractors.'),('SA-12','3','Trusted Shipping And Warehousing','[Withdrawn: Incorporated into SA-12 (1)].',''),('SA-12','4','Diversity Of Suppliers','[Withdrawn: Incorporated into SA-12 (13)].',''),('SA-12','5','Limitation Of Harm','The organization employs [Assignment: organization-defined security safeguards] to limit harm from potential adversaries identifying and targeting the organizational supply chain.','Supply chain risk is part of the advanced persistent threat (APT). Security safeguards and countermeasures to reduce the probability of adversaries successfully identifying and targeting the supply chain include, for example: (i) avoiding the purchase of custom configurations to reduce the risk of acquiring information systems, components, or products that have been corrupted via supply chain actions targeted at specific organizations; (ii) employing a diverse set of suppliers to limit the potential harm from any given supplier in the supply chain; (iii) employing approved vendor lists with standing reputations in industry, and (iv) using procurement carve outs (i.e., exclusions to commitments or obligations).'),('SA-12','6','Minimizing Procurement Time','[Withdrawn: Incorporated into SA-12 (1)].',''),('SA-12','7','Assessments Prior To Selection / Acceptance / Update','The organization conducts an assessment of the information system, system component, or information system service prior to selection, acceptance, or update.','Assessments include, for example, testing, evaluations, reviews, and analyses. Independent, third-party entities or organizational personnel conduct assessments of systems, components, products, tools, and services. Organizations conduct assessments to uncover unintentional vulnerabilities and intentional vulnerabilities including, for example, malicious code, malicious processes, defective software, and counterfeits. Assessments can include, for example, static analyses, dynamic analyses, simulations, white, gray, and black box testing, fuzz testing, penetration testing, and ensuring that components or services are genuine (e.g., using tags, cryptographic hash verifications, or digital signatures). Evidence generated during security assessments is documented for follow-on actions carried out by organizations.'),('SA-12','8','Use Of All-source Intelligence','The organization uses all-source intelligence analysis of suppliers and potential suppliers of the information system, system component, or information system service.','All-source intelligence analysis is employed by organizations to inform engineering, acquisition, and risk management decisions. All-source intelligence consists of intelligence products and/or organizations and activities that incorporate all sources of information, most frequently including human intelligence, imagery intelligence, measurement and signature intelligence, signals intelligence, and open source data in the production of finished intelligence. Where available, such information is used to analyze the risk of both intentional and unintentional vulnerabilities from development, manufacturing, and delivery processes, people, and the environment. This review is performed on suppliers at multiple tiers in the supply chain sufficient to manage risks.'),('SA-12','9','Operations Security','The organization employs [Assignment: organization-defined Operations Security (OPSEC) safeguards] in accordance with classification guides to protect supply chain-related information for the information system, system component, or information system service.','Supply chain information includes, for example: user identities; uses for information systems, information system components, and information system services; supplier identities; supplier processes; security requirements; design specifications; testing and evaluation results; and system/component configurations. This control enhancement expands the scope of OPSEC to include suppliers and potential suppliers. OPSEC is a process of identifying critical information and subsequently analyzing friendly actions attendant to operations and other activities to: (i) identify those actions that can be observed by potential adversaries; (ii) determine indicators that adversaries might obtain that could be interpreted or pieced together to derive critical information in sufficient time to cause harm to organizations; (iii) implement safeguards or countermeasures to eliminate or reduce to an acceptable level, exploitable vulnerabilities; and (iv) consider how aggregated information may compromise the confidentiality of users or uses of the supply chain. OPSEC may require organizations to withhold critical mission/business information from suppliers and may include the use of intermediaries to hide the end use, or users, of information systems, system components, or information system services.'),('SA-14','1','Critical Components With  No Viable Alternative Sourcing','[Withdrawn: Incorporated into SA-20].',''),('SA-15','1','Quality Metrics','The organization requires the developer of the information system, system component, or information system service to:\nSA-15 (1)(a)\nDefine quality metrics at the beginning of the development process; and\nSA-15 (1)(b)\nProvide evidence of meeting the quality metrics [Selection (one or more): [Assignment: organization-defined frequency]; [Assignment: organization-defined program review milestones]; upon delivery].','Organizations use quality metrics to establish minimum acceptable levels of information system quality. Metrics may include quality gates which are collections of completion criteria or sufficiency standards representing the satisfactory execution of particular phases of the system development project. A quality gate, for example, may require the elimination of all compiler warnings or an explicit determination that the warnings have no impact on the effectiveness of required security capabilities. During the execution phases of development projects, quality gates provide clear, unambiguous indications of progress. Other metrics apply to the entire development project. These metrics can include defining the severity thresholds of vulnerabilities, for example, requiring no known vulnerabilities in the delivered information system with a Common Vulnerability Scoring System (CVSS) severity of Medium or High.'),('SA-15','10','Incident Response Plan','The organization requires the developer of the information system, system component, or information system service to provide an incident response plan.','The incident response plan for developers of information systems, system components, and information system services is incorporated into organizational incident response plans to provide the type of incident response information not readily available to organizations. Such information may be extremely helpful, for example, when organizations respond to vulnerabilities in commercial off-the-shelf (COTS) information technology products.'),('SA-15','11','Archive Information System / Component','The organization requires the developer of the information system or system component to archive the system or component to be released or delivered together with the corresponding evidence supporting the final security review.','Archiving relevant documentation from the development process can provide a readily available baseline of information that can be helpful during information system/component upgrades or modifications.'),('SA-15','2','Security Tracking Tools','The organization requires the developer of the information system, system component, or information system service to select and employ a security tracking tool for use during the development process.','Information system development teams select and deploy security tracking tools, including, for example, vulnerability/work item tracking systems that facilitate assignment, sorting, filtering, and tracking of completed work items or tasks associated with system development processes.'),('SA-15','3','Criticality Analysis','The organization requires the developer of the information system, system component, or information system service to perform a criticality analysis at [Assignment: organization-defined breadth/depth] and at [Assignment: organization-defined decision points in the system development life cycle].','This control enhancement provides developer input to the criticality analysis performed by organizations in SA-14. Developer input is essential to such analysis because organizations may not have access to detailed design documentation for information system components that are developed as commercial off-the-shelf (COTS) information technology products (e.g., functional specifications, high-level designs, low-level designs, and source code/hardware schematics).'),('SA-15','4','Threat Modeling / Vulnerability Analysis','The organization requires that developers perform threat modeling and a vulnerability analysis for the information system at [Assignment: organization-defined breadth/depth] that:\nSA-15 (4)(a)\nUses [Assignment: organization-defined information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels];\nSA-15 (4)(b)\nEmploys [Assignment: organization-defined tools and methods]; and\nSA-15 (4)(c)\nProduces evidence that meets [Assignment: organization-defined acceptance criteria].',''),('SA-15','5','Attack Surface Reduction','The organization requires the developer of the information system, system component, or information system service to reduce attack surfaces to [Assignment: organization-defined thresholds].','Attack surface reduction is closely aligned with developer threat and vulnerability analyses and information system architecture and design. Attack surface reduction is a means of reducing risk to organizations by giving attackers less opportunity to exploit weaknesses or deficiencies (i.e., potential vulnerabilities) within information systems, information system components, and information system services. Attack surface reduction includes, for example, applying the principle of least privilege, employing layered defenses, applying the principle of least functionality (i.e., restricting ports, protocols, functions, and services), deprecating unsafe functions, and eliminating application programming interfaces (APIs) that are vulnerable to cyber attacks.'),('SA-15','6','Continuous Improvement','The organization requires the developer of the information system, system component, or information system service to implement an explicit process to continuously improve the development process.','Developers of information systems, information system components, and information system services consider the effectiveness/efficiency of current development processes for meeting quality objectives and addressing security capabilities in current threat environments.'),('SA-15','7','Automated Vulnerability Analysis','The organization requires the developer of the information system, system component, or information system service to:\nSA-15 (7)(a)\nPerform an automated vulnerability analysis using [Assignment: organization-defined tools];\nSA-15 (7)(b)\nDetermine the exploitation potential for discovered vulnerabilities;\nSA-15 (7)(c)\nDetermine potential risk mitigations for delivered vulnerabilities; and\nSA-15 (7)(d)\nDeliver the outputs of the tools and results of the analysis to [Assignment: organization-defined personnel or roles].',''),('SA-15','8','Reuse Of Threat / Vulnerability Information','The organization requires the developer of the information system, system component, or information system service to use threat modeling and vulnerability analyses from similar systems, components, or services to inform the current development process.','Analysis of vulnerabilities found in similar software applications can inform potential design or implementation issues for information systems under development. Similar information systems or system components may exist within developer organizations. Authoritative vulnerability information is available from a variety of public and private sector sources including, for example, the National Vulnerability Database.'),('SA-15','9','Use Of Live Data','The organization approves, documents, and controls the use of live data in development and test environments for the information system, system component, or information system service.','The use of live data in preproduction environments can result in significant risk to organizations. Organizations can minimize such risk by using test or dummy data during the development and testing of information systems, information system components, and information system services.'),('SA-17','1','Formal Policy Model','The organization requires the developer of the information system, system component, or information system service to:\nSA-17 (1)(a)\nProduce, as an integral part of the development process, a formal policy model describing the [Assignment: organization-defined elements of organizational security policy] to be enforced; and\nSA-17 (1)(b)\nProve that the formal policy model is internally consistent and sufficient to enforce the defined elements of the organizational security policy when implemented.','Formal models describe specific behaviors or security policies using formal languages, thus enabling the correctness of those behaviors/policies to be formally proven. Not all components of information systems can be modeled, and generally, formal specifications are scoped to specific behaviors or policies of interest (e.g., nondiscretionary access control policies). Organizations choose the particular formal modeling language and approach based on the nature of the behaviors/policies to be described and the available tools. Formal modeling tools include, for example, Gypsy and Zed.'),('SA-17','2','Security-relevant Components','The organization requires the developer of the information system, system component, or information system service to:\nSA-17 (2)(a)\nDefine security-relevant hardware, software, and firmware; and\nSA-17 (2)(b)\nProvide a rationale that the definition for security-relevant hardware, software, and firmware is complete.','Security-relevant hardware, software, and firmware represent the portion of the information system, component, or service that must be trusted to perform correctly in order to maintain required security properties.'),('SA-17','3','Formal Correspondence','The organization requires the developer of the information system, system component, or information system service to:\nSA-17 (3)(a)\nProduce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant hardware, software, and firmware in terms of exceptions, error messages, and effects;\nSA-17 (3)(b)\nShow via proof to the extent feasible with additional informal demonstration as necessary, that the formal top-level specification is consistent with the formal policy model;\nSA-17 (3)(c)\nShow via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant hardware, software, and firmware;\nSA-17 (3)(d)\nShow that the formal top-level specification is an accurate description of the implemented security-relevant hardware, software, and firmware; and\nSA-17 (3)(e)\nDescribe the security-relevant hardware, software, and firmware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant hardware, software, and firmware.','Correspondence is an important part of the assurance gained through modeling. It demonstrates that the implementation is an accurate transformation of the model, and that any additional code or implementation details present have no impact on the behaviors or policies being modeled. Formal methods can be used to show that the high-level security properties are satisfied by the formal information system description, and that the formal system description is correctly implemented by a description of some lower level, for example a hardware description. Consistency between the formal top-level specification and the formal policy models is generally not amenable to being fully proven. Therefore, a combination of formal/informal methods may be needed to show such consistency. Consistency between the formal top-level specification and the implementation may require the use of an informal demonstration due to limitations in the applicability of formal methods to prove that the specification accurately reflects the implementation. Hardware, software, and firmware mechanisms strictly internal to security-relevant hardware, software, and firmware include, for example, mapping registers and direct memory input/output.'),('SA-17','4','Informal Correspondence','The organization requires the developer of the information system, system component, or information system service to:\nSA-17 (4)(a)\nProduce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant hardware, software, and firmware in terms of exceptions, error messages, and effects;\nSA-17 (4)(b)\nShow via [Selection: informal demonstration, convincing argument with formal methods as feasible] that the descriptive top-level specification is consistent with the formal policy model;\nSA-17 (4)(c)\nShow via informal demonstration, that the descriptive top-level specification completely  covers the interfaces to security-relevant hardware, software, and firmware;\nSA-17 (4)(d)\nShow that the descriptive top-level specification is an accurate description of the interfaces to security-relevant hardware, software, and firmware; and\nSA-17 (4)(e)\nDescribe the security-relevant hardware, software, and firmware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant hardware, software, and firmware.','Correspondence is an important part of the assurance gained through modeling. It demonstrates that the implementation is an accurate transformation of the model, and that any additional code or implementation details present has no impact on the behaviors or policies being modeled. Consistency between the descriptive top-level specification (i.e., high-level/low-level design) and the formal policy model is generally not amenable to being fully proven. Therefore, a combination of formal/informal methods may be needed to show such consistency. Hardware, software, and firmware mechanisms strictly internal to security-relevant hardware, software, and firmware include, for example, mapping registers and direct memory input/output.'),('SA-17','5','Conceptually Simple Design','The organization requires the developer of the information system, system component, or information system service to:\nSA-17 (5)(a)\nDesign and structure the security-relevant hardware, software, and firmware to use a complete, conceptually simple protection mechanism with precisely defined semantics; and\nSA-17 (5)(b)\nInternally structure the security-relevant hardware, software, and firmware with specific regard for this mechanism.',''),('SA-17','6','Structure For Testing','The organization requires the developer of the information system, system component, or information system service to structure security-relevant hardware, software, and firmware to facilitate testing.',''),('SA-17','7','Structure For Least Privilege','The organization requires the developer of the information system, system component, or information system service to structure security-relevant hardware, software, and firmware to facilitate controlling access with least privilege.',''),('SA-18','1','Multiple Phases Of Sdlc','The organization employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including design, development, integration, operations, and maintenance.','Organizations use a combination of hardware and software techniques for tamper resistance and detection. Organizations employ obfuscation and self-checking, for example, to make reverse engineering and modifications more difficult, time-consuming, and expensive for adversaries. Customization of information systems and system components can make substitutions easier to detect and therefore limit damage.'),('SA-18','2','Inspection Of Information Systems, Components, Or Devices','The organization inspects [Assignment: organization-defined information systems, system components, or devices] [Selection (one or more): at random; at [Assignment: organization-defined frequency], upon [Assignment: organization-defined indications of need for inspection]] to detect tampering.','This control enhancement addresses both physical and logical tampering and is typically applied to mobile devices, notebook computers, or other system components taken out of organization-controlled areas. Indications of need for inspection include, for example, when individuals return from travel to high-risk locations.'),('SA-19','1','Anti-counterfeit Training','The organization trains [Assignment: organization-defined personnel or roles] to detect counterfeit information system components (including hardware, software, and firmware).',''),('SA-19','2','Configuration Control For Component Service / Repair','The organization maintains configuration control over [Assignment: organization-defined information system components] awaiting service/repair and serviced/repaired components awaiting return to service.',''),('SA-19','3','Component Disposal','The organization disposes of information system components using [Assignment: organization-defined techniques and methods].','Proper disposal of information system components helps to prevent such components from entering the gray market.'),('SA-19','4','Anti-counterfeit Scanning','The organization scans for counterfeit information system components [Assignment: organization-defined frequency].',''),('SA-21','1','Validation Of Screening','The organization requires the developer of the information system, system component, or information system service take [Assignment: organization-defined actions] to ensure that the required access authorizations and screening criteria are satisfied.','Satisfying required access authorizations and personnel screening criteria includes, for example, providing a listing of all the individuals authorized to perform development activities on the selected information system, system component, or information system service so that organizations can validate that the developer has satisfied the necessary authorization and screening requirements.'),('SA-22','1','Alternative Sources For Continued Support','The organization provides [Selection (one or more): in-house support; [Assignment: organization-defined support from external providers]] for unsupported information system components.','This control enhancement addresses the need to provide continued support for selected information system components that are no longer supported by the original developers, vendors, or manufacturers when such components remain essential to mission/business operations. Organizations can establish in-house support, for example, by developing customized patches for critical software components or secure the services of external providers who through contractual relationships, provide ongoing support for the designated unsupported components. Such contractual relationships can include, for example, Open Source Software value-added vendors.'),('SA-4','1','Functional Properties Of Security Controls','The organization requires the developer of the information system, system component, or information system service to provide a description of the functional properties of the security controls to be employed.','Functional properties of security controls describe the functionality (i.e., security capability, functions, or mechanisms) visible at the interfaces of the controls and specifically exclude functionality and data structures internal to the operation of the controls.'),('SA-4','10','Use Of Approved Piv Products','The organization employs only information technology products on the FIPS 201-approved products list for Personal Identity Verification (PIV) capability implemented within organizational information systems.',''),('SA-4','2','Design / Implementation Information For Security Controls','The organization requires the developer of the information system, system component, or information system service to provide design and implementation information for the security controls to be employed that includes: [Selection (one or more): security-relevant external system interfaces; high-level design; low-level design; source code or hardware schematics; [Assignment: organization-defined design/implementation information]] at [Assignment: organization-defined level of detail].','Organizations may require different levels of detail in design and implementation documentation for security controls employed in organizational information systems, system components, or information system services based on mission/business requirements, requirements for trustworthiness/resiliency, and requirements for analysis and testing. Information systems can be partitioned into multiple subsystems. Each subsystem within the system can contain one or more modules. The high-level design for the system is expressed in terms of multiple subsystems and the interfaces between subsystems providing security-relevant functionality. The low-level design for the system is expressed in terms of modules with particular emphasis on software and firmware (but not excluding hardware) and the interfaces between modules providing security-relevant functionality. Source code and hardware schematics are typically referred to as the implementation representation of the information system.'),('SA-4','3','Development Methods / Techniques / Practices','The organization requires the developer of the information system, system component, or information system service to demonstrate the use of a system development life cycle that includes [Assignment: organization-defined state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes].','Following a well-defined system development life cycle that includes state-of-the-practice software development methods, systems/security engineering methods, quality control processes, and testing, evaluation, and validation techniques helps to reduce the number and severity of latent errors within information systems, system components, and information system services. Reducing the number/severity of such errors reduces the number of vulnerabilities in those systems, components, and services.'),('SA-4','4','Assignment Of Components To Systems','[Withdrawn: Incorporated into CM-8 (9)].',''),('SA-4','5','System / Component / Service Configurations','The organization requires the developer of the information system, system component, or information system service to:\nSA-4 (5)(a)\nDeliver the system, component, or service with [Assignment: organization-defined security configurations] implemented; and\nSA-4 (5)(b)\nUse the configurations as the default for any subsequent system, component, or service reinstallation or upgrade.','Security configurations include, for example, the U.S. Government Configuration Baseline (USGCB) and any limitations on functions, ports, protocols, and services. Security characteristics include, for example, requiring that all default passwords have been changed.'),('SA-4','6','Use Of Information Assurance Products','The organization:\nSA-4 (6)(a)\nEmploys only government off-the-shelf (GOTS) or commercial off-the-shelf (COTS) information assurance (IA) and IA-enabled information technology products that compose an NSA-approved solution to protect classified information when the networks used to transmit the information are at a lower classification level than the information being transmitted; and\nSA-4 (6)(b)\nEnsures that these products have been evaluated and/or validated by NSA or in accordance with NSA-approved procedures.','COTS IA or IA-enabled information technology products used to protect classified information by cryptographic means may be required to use NSA-approved key management.'),('SA-4','7','Niap-approved  Protection Profiles','The organization:\nSA-4 (7)(a)\nLimits the use of commercially provided information assurance (IA) and IA-enabled information technology products to those products that have been successfully evaluated against a National Information Assurance partnership (NIAP)-approved Protection Profile for a specific technology type, if such a profile exists; and\nSA-4 (7)(b)\nRequires, if no NIAP-approved Protection Profile exists for a specific technology type but a commercially provided information technology product relies on cryptographic functionality to enforce its security policy, that the cryptographic module is FIPS-validated.',''),('SA-4','8','Continuous Monitoring Plan','The organization requires the developer of the information system, system component, or information system service to produce a plan for the continuous monitoring of security control effectiveness that contains [Assignment: organization-defined level of detail].','The objective of continuous monitoring plans is to determine if the complete set of planned, required, and deployed security controls within the information system, system component, or information system service continue to be effective over time based on the inevitable changes that occur. Developer continuous monitoring plans include a sufficient level of detail such that the information can be incorporated into the continuous monitoring strategies and programs implemented by organizations.'),('SA-4','9','Functions / Ports / Protocols / Services In Use','The organization requires the developer of the information system, system component, or information system service to identify early in the system development life cycle, the functions, ports, protocols, and services intended for organizational use.','The identification of functions, ports, protocols, and services early in the system development life cycle (e.g., during the initial requirements definition and design phases) allows organizations to influence the design of the information system, information system component, or information system service. This early involvement in the life cycle helps organizations to avoid or minimize the use of functions, ports, protocols, or services that pose unnecessarily high risks and understand the trade-offs involved in blocking specific ports, protocols, or services (or when requiring information system service providers to do so). Early identification of functions, ports, protocols, and services avoids costly retrofitting of security controls after the information system, system component, or information system service has been implemented. SA-9 describes requirements for external information system services with organizations identifying which functions, ports, protocols, and services are provided from external sources.'),('SA-5','1','Functional Properties Of Security Controls','[Withdrawn: Incorporated into SA-4 (1)].',''),('SA-5','2','Security-relevant External System Interfaces','[Withdrawn: Incorporated into SA-4 (2)].',''),('SA-5','3','High-level Design','[Withdrawn: Incorporated into SA-4 (2)].',''),('SA-5','4','Low-level Design','[Withdrawn: Incorporated into SA-4 (2)].',''),('SA-5','5','Source Code','[Withdrawn: Incorporated into SA-4 (2)].',''),('SA-9','1','Risk Assessments / Organizational Approvals','The organization:\nSA-9 (1)(a)\nConducts an organizational assessment of risk prior to the acquisition or outsourcing of dedicated information security services; and\nSA-9 (1)(b)\nEnsures that the acquisition or outsourcing of dedicated information security services is approved by [Assignment: organization-defined personnel or roles].','Dedicated information security services include, for example, incident monitoring, analysis and response, operation of information security-related devices such as firewalls, or key management services.'),('SA-9','2','Identification Of Functions / Ports / Protocols / Services','The organization requires providers of [Assignment: organization-defined external information system services] to identify the functions, ports, protocols, and other services required for the use of such services.','Information from external service providers regarding the specific functions, ports, protocols, and services used in the provision of such services can be particularly useful when the need arises to understand the trade-offs involved in restricting certain functions/services or blocking certain ports/protocols.'),('SA-9','3','Establish / Maintain Trust Relationship With Providers','The organization establishes, documents, and maintains trust relationships with external service providers based on [Assignment: organization-defined security requirements, properties, factors, or conditions defining acceptable trust relationships].','y the terms and conditions of the contracts or service-level agreements and can range from extensive control (e.g., negotiating contracts or agreements that specify security requirements for the providers) to very limited control (e.g., using contracts or service-level agreements to obtain commodity services such as commercial telecommunications services). In other cases, levels of trust are based on factors that convince organizations that required security controls have been employed and that determinations of control effectiveness exist. For example, separately authorized external information system services provided to organizations through well-established business relationships may provide degrees of trust in such services within the tolerable risk range of the organizations using the services. External service providers may also outsource selected services to other external entities, making the trust relationship more difficult and complicated to manage. Depending on the nature of the services, organizations may find it very difficult to place significant trust in external providers. This is not due to any inherent untrustworthiness on the part of providers, but to the intrinsic level of risk in the services.'),('SA-9','4','Consistent Interests Of Consumers And Providers','The organization employs [Assignment: organization-defined security safeguards] to ensure that the interests of [Assignment: organization-defined external service providers] are consistent with and reflect organizational interests.','As organizations increasingly use external service providers, the possibility exists that the interests of the service providers may diverge from organizational interests. In such situations, simply having the correct technical, procedural, or operational safeguards in place may not be sufficient if the service providers that implement and control those safeguards are not operating in a manner consistent with the interests of the consuming organizations. Possible actions that organizations might take to address such concerns include, for example, requiring background checks for selected service provider personnel, examining ownership records, employing only trustworthy service providers (i.e., providers with which organizations have had positive experiences), and conducting periodic/unscheduled visits to service provider facilities.'),('SA-9','5','Processing, Storage, And Service Location','The organization restricts the location of [Selection (one or more): information processing; information/data; information system services] to [Assignment: organization-defined locations] based on [Assignment: organization-defined requirements or conditions].','nalyses, after-the-fact investigations) in case of information security breaches/compromises. Such incident response activities may be adversely affected by the governing laws or protocols in the locations where processing and storage occur and/or the locations from which information system services emanate.'),('SC-11','1','Logical Isolation','The information system provides a trusted communications path that is logically isolated and distinguishable from other paths.',''),('SC-12','1','Availability','The organization maintains availability of information in the event of the loss of cryptographic keys by users.','Escrowing of encryption keys is a common practice for ensuring availability in the event of loss of keys (e.g., due to forgotten passphrase).'),('SC-12','2','Symmetric Keys','The organization produces, controls, and distributes symmetric cryptographic keys using [Selection: NIST FIPS-compliant; NSA-approved] key management technology and processes.',''),('SC-12','3','Asymmetric Keys','ï¿½s private key].',''),('SC-12','4','Pki Certificates','[Withdrawn: Incorporated into SC-12].',''),('SC-12','5','Pki Certificates / Hardware Tokens','[Withdrawn: Incorporated into SC-12].',''),('SC-13','1','Fips-validated Cryptography','[Withdrawn: Incorporated into SC-13].',''),('SC-13','2','Nsa-approved Cryptography','[Withdrawn: Incorporated into SC-13].',''),('SC-13','3','Individuals Without Formal Access  Approvals','[Withdrawn: Incorporated into SC-13].',''),('SC-13','4','Digital Signatures','[Withdrawn: Incorporated into SC-13].',''),('SC-15','1','Physical Disconnect','The information system provides physical disconnect of collaborative computing devices in a manner that supports ease of use.','Failing to physically disconnect from collaborative computing devices can result in subsequent compromises of organizational information. Providing easy methods to physically disconnect from such devices after a collaborative computing session helps to ensure that participants actually carry out the disconnect activity without having to go through complex and tedious procedures.'),('SC-15','2','Blocking Inbound / Outbound Communications Traffic','[Withdrawn: Incorporated into SC-7].',''),('SC-15','3','Disabling / Removal In Secure Work Areas','The organization disables or removes collaborative computing devices from [Assignment: organization-defined information systems or information system components] in [Assignment: organization-defined secure work areas].','Failing to disable or remove collaborative computing devices from information systems or information system components can result in subsequent compromises of organizational information including, for example, eavesdropping on conversations.'),('SC-15','4','Explicitly Indicate Current Participants','The information system provides an explicit indication of current participants in [Assignment: organization-defined online meetings and teleconferences].','This control enhancement helps to prevent unauthorized individuals from participating in collaborative computing sessions without the explicit knowledge of other participants.'),('SC-16','1','Integrity Validation','The information system validates the integrity of transmitted security attributes.','This control enhancement ensures that the verification of the integrity of transmitted information includes security attributes.'),('SC-18','1','Identify Unacceptable Code / Take Corrective Actions','The information system identifies [Assignment: organization-defined unacceptable mobile code] and takes [Assignment: organization-defined corrective actions].','Corrective actions when unacceptable mobile code is detected include, for example, blocking, quarantine, or alerting administrators. Blocking includes, for example, preventing transmission of word processing files with embedded macros when such macros have been defined to be unacceptable mobile code.'),('SC-18','2','Acquisition / Development / Use','The organization ensures that the acquisition, development, and use of mobile code to be deployed in the information system meets [Assignment: organization-defined mobile code requirements].',''),('SC-18','3','Prevent Downloading / Execution','The information system prevents the download and execution of [Assignment: organization-defined unacceptable mobile code].',''),('SC-18','4','Prevent Automatic Execution','The information system prevents the automatic execution of mobile code in [Assignment: organization-defined software applications] and enforces [Assignment: organization-defined actions] prior to executing the code.','Actions enforced before executing mobile code, include, for example, prompting users prior to opening electronic mail attachments. Preventing automatic execution of mobile code includes, for example, disabling auto execute features on information system components employing portable storage devices such as Compact Disks (CDs), Digital Video Disks (DVDs), and Universal Serial Bus (USB) devices.'),('SC-18','5','Allow Execution Only In Confined Environments','The organization allows execution of permitted mobile code only in confined virtual machine environments.',''),('SC-2','1','Interfaces For Non-privileged Users','The information system prevents the presentation of information system management-related functionality at an interface for non-privileged users.','This control enhancement ensures that administration options (e.g., administrator privileges) are not available to general users (including prohibiting the use of the grey-out option commonly used to eliminate accessibility to such information). Such restrictions include, for example, not presenting administration options until users establish sessions with administrator privileges.'),('SC-20','1','Child Subspaces','[Withdrawn: Incorporated into SC-20].',''),('SC-20','2','Data Origin / Integrity','The information system provides data origin and integrity protection artifacts for internal name/address resolution queries.',''),('SC-21','1','Data Origin / Integrity','[Withdrawn: Incorporated into SC-21].',''),('SC-23','1','Invalidate Session Identifiers At Logout','The information system invalidates session identifiers upon user logout or other session termination.','This control enhancement curtails the ability of adversaries from capturing and continuing to employ previously valid session IDs.'),('SC-23','2','User-initiated Logouts / Message Displays','[Withdrawn: Incorporated into AC-12 (1)].',''),('SC-23','3','Unique Session Identifiers With Randomization','The information system generates a unique session identifier for each session with [Assignment: organization-defined randomness requirements] and recognizes only session identifiers that are system-generated.','This control enhancement curtails the ability of adversaries from reusing previously valid session IDs. Employing the concept of randomness in the generation of unique session identifiers helps to protect against brute-force attacks to determine future session identifiers.'),('SC-23','4','Unique Session Identifiers With Randomization','[Withdrawn: Incorporated into SC-23 (3)].',''),('SC-23','5','Allowed Certificate Authorities','The information system only allows the use of [Assignment: organization-defined certificate authorities] for verification of the establishment of protected sessions.','Reliance on certificate authorities (CAs) for the establishment of secure sessions includes, for example, the use of Secure Socket Layer (SSL) and/or Transport Layer Security (TLS) certificates. These certificates, after verification by the respective certificate authorities, facilitate the establishment of protected sessions between web clients and web servers.'),('SC-26','1','Detection Of Malicious Code','[Withdrawn: Incorporated into SC-35].',''),('SC-28','1','Cryptographic Protection','The information system implements cryptographic mechanisms to prevent unauthorized disclosure and modification of [Assignment: organization-defined information] on [Assignment: organization-defined information system components].',' encrypt all information on storage devices (i.e., full disk encryption) or encrypt specific data structures (e.g., files, records, or fields). Organizations employing cryptographic mechanisms to protect information at rest also consider cryptographic key management solutions.'),('SC-28','2','Off-line Storage','The organization removes from online storage and stores off-line in a secure location [Assignment: organization-defined information].','Removing organizational information from online information system storage to off-line storage eliminates the possibility of individuals gaining unauthorized access to the information through a network. Therefore, organizations may choose to move information to off-line storage in lieu of protecting such information in online storage.'),('SC-29','1','Virtualization Techniques','The organization employs virtualization techniques to support the deployment of a diversity of operating systems and applications that are changed [Assignment: organization-defined frequency].','While frequent changes to operating systems and applications pose configuration management challenges, the changes can result in an increased work factor for adversaries in order to carry out successful cyber attacks. Changing virtual operating systems or applications, as opposed to changing actual operating systems/applications, provide virtual changes that impede attacker success while reducing configuration management efforts. In addition, virtualization techniques can assist organizations in isolating untrustworthy software and/or software of dubious provenance into confined execution environments.'),('SC-3','1','Hardware Separation','The information system utilizes underlying hardware separation mechanisms to implement security function isolation.','Underlying hardware separation mechanisms include, for example, hardware ring architectures, commonly implemented within microprocessors, and hardware-enforced address segmentation used to support logically distinct storage objects with separate attributes (i.e., readable, writeable).'),('SC-3','2','Access / Flow Control Functions','The information system isolates security functions enforcing access and information flow control from nonsecurity functions and from other security functions.','Security function isolation occurs as a result of implementation; the functions can still be scanned and monitored. Security functions that are potentially isolated from access and flow control enforcement functions include, for example, auditing, intrusion detection, and anti-virus functions.'),('SC-3','3','Minimize Nonsecurity Functionality','The organization minimizes the number of nonsecurity functions included within the isolation boundary containing security functions.','In those instances where it is not feasible to achieve strict isolation of nonsecurity functions from security functions, it is necessary to take actions to minimize the nonsecurity-relevant functions within the security function boundary. Nonsecurity functions contained within the isolation boundary are considered security-relevant because errors or maliciousness in such software, by virtue of being within the boundary, can impact the security functions of organizational information systems. The design objective is that the specific portions of information systems providing information security are of minimal size/complexity. Minimizing the number of nonsecurity functions in the security-relevant components of information systems allows designers and implementers to focus only on those functions which are necessary to provide the desired security capability (typically access enforcement). By minimizing nonsecurity functions within the isolation boundaries, the amount of code that must be trusted to enforce security policies is reduced, thus contributing to understandability.'),('SC-3','4','Module Coupling And Cohesiveness','The organization implements security functions as largely independent modules that maximize internal cohesiveness within modules and minimize coupling between modules.','The reduction in inter-module interactions helps to constrain security functions and to manage complexity. The concepts of coupling and cohesion are important with respect to modularity in software design. Coupling refers to the dependencies that one module has on other modules. Cohesion refers to the relationship between the different functions within a particular module. Good software engineering practices rely on modular decomposition, layering, and minimization to reduce and manage complexity, thus producing software modules that are highly cohesive and loosely coupled.'),('SC-3','5','Layered Structures','The organization implements security functions as a layered structure minimizing interactions between layers of the design and avoiding any dependence by lower layers on the functionality or correctness of higher layers.','The implementation of layered structures with minimized interactions among security functions and non-looping layers (i.e., lower-layer functions do not depend on higher-layer functions) further enables the isolation of security functions and management of complexity.'),('SC-30','1','Virtualization Techniques','[Withdrawn: Incorporated into SC-29 (1)].',''),('SC-30','2','Randomness','The organization employs [Assignment: organization-defined techniques] to introduce randomness into organizational operations and assets.','Randomness introduces increased levels of uncertainty for adversaries regarding the actions organizations take in defending against cyber attacks. Such actions may impede the ability of adversaries to correctly target information resources of organizations supporting critical missions/business functions. Uncertainty may also cause adversaries to hesitate before initiating or continuing attacks. Misdirection techniques involving randomness include, for example, performing certain routine actions at different times of day, employing different information technologies (e.g., browsers, search engines), using different suppliers, and rotating roles and responsibilities of organizational personnel.'),('SC-30','3','Change Processing / Storage Locations','The organization changes the location of [Assignment: organization-defined processing and/or storage] [Selection: [Assignment: organization-defined time frequency]; at random time intervals]].','Adversaries target critical organizational missions/business functions and the information resources supporting those missions and functions while at the same time, trying to minimize exposure of their existence and tradecraft. The static, homogeneous, and deterministic nature of organizational information systems targeted by adversaries, make such systems more susceptible to cyber attacks with less adversary cost and effort to be successful. Changing organizational processing and storage locations (sometimes referred to as moving target defense) addresses the advanced persistent threat (APT) using techniques such as virtualization, distributed processing, and replication. This enables organizations to relocate the information resources (i.e., processing and/or storage) supporting critical missions and business functions. Changing locations of processing activities and/or storage sites introduces uncertainty into the targeting activities by adversaries. This uncertainty increases the work factor of adversaries making compromises or breaches to organizational information systems much more difficult and time-consuming, and increases the chances that adversaries may inadvertently disclose aspects of tradecraft while attempting to locate critical organizational resources.'),('SC-30','4','Misleading Information','The organization employs realistic, but misleading information in [Assignment: organization-defined information system components] with regard to its security state or posture.','This control enhancement misleads potential adversaries regarding the nature and extent of security safeguards deployed by organizations. As a result, adversaries may employ incorrect (and as a result ineffective) attack techniques. One way of misleading adversaries is for organizations to place misleading information regarding the specific security controls deployed in external information systems that are known to be accessed or targeted by adversaries. Another technique is the use of deception nets (e.g., honeynets, virtualized environments) that mimic actual aspects of organizational information systems but use, for example, out-of-date software configurations.'),('SC-30','5','Concealment Of System Components','The organization employs [Assignment: organization-defined techniques] to hide or conceal [Assignment: organization-defined information system components].','By hiding, disguising, or otherwise concealing critical information system components, organizations may be able to decrease the probability that adversaries target and successfully compromise those assets. Potential means for organizations to hide and/or conceal information system components include, for example, configuration of routers or the use of honeynets or virtualization techniques.'),('SC-31','1','Test Covert Channels For Exploitability','The organization tests a subset of the identified covert channels to determine which channels are exploitable.',''),('SC-31','2','Maximum Bandwidth','The organization reduces the maximum bandwidth for identified covert [Selection (one or more); storage; timing] channels to [Assignment: organization-defined values].','Information system developers are in the best position to reduce the maximum bandwidth for identified covert storage and timing channels.'),('SC-31','3','Measure Bandwidth In Operational Environments','The organization measures the bandwidth of [Assignment: organization-defined subset of identified covert channels] in the operational environment of the information system.','This control enhancement addresses covert channel bandwidth in operational environments versus developmental environments. Measuring covert channel bandwidth in operational environments helps organizations to determine how much information can be covertly leaked before such leakage adversely affects organizational missions/business functions. Covert channel bandwidth may be significantly different when measured in those settings that are independent of the particular environments of operation (e.g., laboratories or development environments).'),('SC-34','1','No Writable Storage','The organization employs [Assignment: organization-defined information system components] with no writeable storage that is persistent across component restart or power on/off.','This control enhancement: (i) eliminates the possibility of malicious code insertion via persistent, writeable storage within the designated information system components; and (ii) applies to both fixed and removable storage, with the latter being addressed directly or as specific restrictions imposed through access controls for mobile devices.'),('SC-34','2','Integrity Protection / Read-only Media','The organization protects the integrity of information prior to storage on read-only media and controls the media after such information has been recorded onto the media.','Security safeguards prevent the substitution of media into information systems or the reprogramming of programmable read-only media prior to installation into the systems. Security safeguards include, for example, a combination of prevention, detection, and response.'),('SC-34','3','Hardware-based Protection','The organization:\nSC-34 (3)(a)\nEmploys hardware-based, write-protect for [Assignment: organization-defined information system firmware components]; and\nSC-34 (3)(b)\nImplements specific procedures for [Assignment: organization-defined authorized individuals] to manually disable hardware write-protect for firmware modifications and re-enable the write-protect prior to returning to operational mode.',''),('SC-36','1','Polling Techniques','The organization employs polling techniques to identify potential faults, errors, or compromises to [Assignment: organization-defined distributed processing and storage components].','Distributed processing and/or storage may be employed to reduce opportunities for adversaries to successfully compromise the confidentiality, integrity, or availability of information and information systems. However, distribution of processing and/or storage components does not prevent adversaries from compromising one (or more) of the distributed components. Polling compares the processing results and/or storage content from the various distributed components and subsequently voting on the outcomes. Polling identifies potential faults, errors, or compromises in distributed processing and/or storage components.'),('SC-37','1','Ensure Delivery / Transmission','The organization employs [Assignment: organization-defined security safeguards] to ensure that only [Assignment: organization-defined individuals or information systems] receive the [Assignment: organization-defined information, information system components, or devices].','Techniques and/or methods employed by organizations to ensure that only designated information systems or individuals receive particular information, system components, or devices include, for example, sending authenticators via courier service but requiring recipients to show some form of government-issued photographic identification as a condition of receipt.'),('SC-39','1','Hardware Separation','The information system implements underlying hardware separation mechanisms to facilitate process separation.','Hardware-based separation of information system processes is generally less susceptible to compromise than software-based separation, thus providing greater assurance that the separation will be enforced. Underlying hardware separation mechanisms include, for example, hardware memory management.'),('SC-39','2','Thread Isolation','The information system maintains a separate execution domain for each thread in [Assignment: organization-defined multi-threaded processing].',''),('SC-4','1','Security Levels','[Withdrawn: Incorporated into SC-4].',''),('SC-4','2','Periods Processing','The information system prevents unauthorized information transfer via shared resources in accordance with [Assignment: organization-defined procedures] when system processing explicitly switches between different information classification levels or security categories.','This control enhancement applies when there are explicit changes in information processing levels during information system operations, for example, during multilevel processing and periods processing with information at different classification levels or security categories. Organization-defined procedures may include, for example, approved sanitization processes for electronically stored information.'),('SC-40','1','Electromagnetic Interference','The information system implements cryptographic mechanisms that achieve [Assignment: organization-defined level of protection] against the effects of intentional electromagnetic interference.','This control enhancement protects against intentional jamming that might deny or impair communications by ensuring that wireless spread spectrum waveforms used to provide anti-jam protection are not predictable by unauthorized individuals. The control enhancement may also coincidentally help to mitigate the effects of unintentional jamming due to interference from legitimate transmitters sharing the same spectrum. Mission requirements, projected threats, concept of operations, and applicable legislation, directives, regulations, policies, standards, and guidelines determine levels of wireless link availability and performance/cryptography needed.'),('SC-40','2','Reduce Detection Potential','The information system implements cryptographic mechanisms to reduce the detection potential of wireless links to [Assignment: organization-defined level of reduction].','This control enhancement is needed for covert communications and protecting wireless transmitters from being geo-located by their transmissions. The control enhancement ensures that spread spectrum waveforms used to achieve low probability of detection are not predictable by unauthorized individuals. Mission requirements, projected threats, concept of operations, and applicable legislation, directives, regulations, policies, standards, and guidelines determine the levels to which wireless links should be undetectable.'),('SC-40','3','Imitative Or Manipulative Communications Deception','The information system implements cryptographic mechanisms to identify and reject wireless transmissions that are deliberate attempts to achieve imitative or manipulative communications deception based on signal parameters.','This control enhancement ensures that the signal parameters of wireless transmissions are not predictable by unauthorized individuals. Such unpredictability reduces the probability of imitative or manipulative communications deception based upon signal parameters alone.'),('SC-40','4','Signal Parameter Identification','The information system implements cryptographic mechanisms to prevent the identification of [Assignment: organization-defined wireless transmitters] by using the transmitter signal parameters.','Radio fingerprinting techniques identify the unique signal parameters of transmitters to fingerprint such transmitters for purposes of tracking and mission/user identification. This control enhancement protects against the unique identification of wireless transmitters for purposes of intelligence exploitation by ensuring that anti-fingerprinting alterations to signal parameters are not predictable by unauthorized individuals. This control enhancement helps assure mission success when anonymity is required.'),('SC-42','1','Reporting To Authorized Individuals Or Roles','The organization ensures that the information system is configured so that data or information collected by the [Assignment: organization-defined sensors] is only reported to authorized individuals or roles.','In situations where sensors are activated by authorized individuals (e.g., end users), it is still possible that the data/information collected by the sensors will be sent to unauthorized entities.'),('SC-42','2','Authorized Use','The organization employs the following measures: [Assignment: organization-defined measures], so that data or information collected by [Assignment: organization-defined sensors] is only used for authorized purposes.','Information collected by sensors for a specific authorized purpose potentially could be misused for some unauthorized purpose. For example, GPS sensors that are used to support traffic navigation could be misused to track movements of individuals.  Measures to mitigate such activities include, for example, additional training to ensure that authorized parties do not abuse their authority, or (in the case where sensor data/information is maintained by external parties) contractual restrictions on the use of the data/information.'),('SC-42','3','Prohibit Use Of Devices','The organization prohibits the use of devices possessing [Assignment: organization-defined environmental sensing capabilities] in [Assignment: organization-defined facilities, areas, or systems].','For example, organizations may prohibit individuals from bringing cell phones or digital cameras into certain facilities or specific controlled areas within facilities where classified information is stored or sensitive conversations are taking place.'),('SC-5','1','Restrict Internal Users','The information system restricts the ability of individuals to launch [Assignment: organization-defined denial of service attacks] against other information systems.','Restricting the ability of individuals to launch denial of service attacks requires that the mechanisms used for such attacks are unavailable. Individuals of concern can include, for example, hostile insiders or external adversaries that have successfully breached the information system and are using the system as a platform to launch cyber attacks on third parties. Organizations can restrict the ability of individuals to connect and transmit arbitrary information on the transport medium (i.e., network, wireless spectrum). Organizations can also limit the ability of individuals to use excessive information system resources. Protection against individuals having the ability to launch denial of service attacks may be implemented on specific information systems or on boundary devices prohibiting egress to potential target systems.'),('SC-5','2','Excess Capacity / Bandwidth / Redundancy','The information system manages excess capacity, bandwidth, or other redundancy to limit the effects of information flooding denial of service attacks.','Managing excess capacity ensures that sufficient capacity is available to counter flooding attacks. Managing excess capacity may include, for example, establishing selected usage priorities, quotas, or partitioning.'),('SC-5','3','Detection / Monitoring','The organization:\nSC-5 (3)(a)\nEmploys [Assignment: organization-defined monitoring tools] to detect indicators of denial of service attacks against the information system; and\nSC-5 (3)(b)\nMonitors [Assignment: organization-defined information system resources] to determine if sufficient resources exist to prevent effective denial of service attacks.','city thresholds are reached, using file compression technologies to maximize available storage space, and imposing separate partitions for system and user data.'),('SC-7','1','Physically Separated Subnetworks','[Withdrawn: Incorporated into SC-7].',''),('SC-7','10','Prevent Unauthorized Exfiltration','The organization prevents the unauthorized exfiltration of information across managed interfaces.','nts.'),('SC-7','11','Restrict Incoming Communications Traffic','The information system only allows incoming communications from [Assignment: organization-defined authorized sources] routed to [Assignment: organization-defined authorized destinations].','This control enhancement provides determinations that source and destination address pairs represent authorized/allowed communications. Such determinations can be based on several factors including, for example, the presence of source/destination address pairs in lists of authorized/allowed communications, the absence of address pairs in lists of unauthorized/disallowed pairs, or meeting more general rules for authorized/allowed source/destination pairs.'),('SC-7','12','Host-based Protection','The organization implements [Assignment: organization-defined host-based boundary protection mechanisms] at [Assignment: organization-defined information system components].','Host-based boundary protection mechanisms include, for example, host-based firewalls. Information system components employing host-based boundary protection mechanisms include, for example, servers, workstations, and mobile devices.'),('SC-7','13','Isolation Of Security Tools / Mechanisms / Support Components','The organization isolates [Assignment: organization-defined information security tools, mechanisms, and support components] from other internal information system components by implementing physically separate subnetworks with managed interfaces to other components of the system.','Physically separate subnetworks with managed interfaces are useful, for example, in isolating computer network defenses from critical operational processing networks to prevent adversaries from discovering the analysis and forensics techniques of organizations.'),('SC-7','14','Protects Against Unauthorized Physical Connections','The organization protects against unauthorized physical connections at [Assignment: organization-defined managed interfaces].',' and physically separated cable trays, connection frames, and patch panels for each side of managed interfaces with physical access controls enforcing limited authorized access to these items.'),('SC-7','15','Route Privileged Network Accesses','The information system routes all networked, privileged accesses through a dedicated, managed interface for purposes of access control and auditing.',''),('SC-7','16','Prevent Discovery Of Components / Devices','The information system prevents discovery of specific system components composing a managed interface.','This control enhancement protects network addresses of information system components that are part of managed interfaces from discovery through common tools and techniques used to identify devices on networks. Network addresses are not available for discovery (e.g., network address not published or entered in domain name systems), requiring prior knowledge for access. Another obfuscation technique is to periodically change network addresses.'),('SC-7','17','Automated Enforcement Of Protocol Formats','The information system enforces adherence to protocol formats.','Information system components that enforce protocol formats include, for example, deep packet inspection firewalls and XML gateways. Such system components verify adherence to protocol formats/specifications (e.g., IEEE) at the application layer and identify significant vulnerabilities that cannot be detected by devices operating at the network or transport layers.'),('SC-7','18','Fail Secure','The information system fails securely in the event of an operational failure of a boundary protection device.','Fail secure is a condition achieved by employing information system mechanisms to ensure that in the event of operational failures of boundary protection devices at managed interfaces (e.g., routers, firewalls, guards, and application gateways residing on protected subnetworks commonly referred to as demilitarized zones), information systems do not enter into unsecure states where intended security properties no longer hold. Failures of boundary protection devices cannot lead to, or cause information external to the devices to enter the devices, nor can failures permit unauthorized information releases.'),('SC-7','19','Blocks Communication From Non-organizationally Configured Hosts','The information system blocks both inbound and outbound communications traffic between [Assignment: organization-defined communication clients] that are independently configured by end users and external service providers.','Communication clients independently configured by end users and external service providers include, for example, instant messaging clients. Traffic blocking does not apply to communication clients that are configured by organizations to perform authorized functions.'),('SC-7','2','Public Access','[Withdrawn: Incorporated into SC-7].',''),('SC-7','20','Dynamic Isolation / Segregation','The information system provides the capability to dynamically isolate/segregate [Assignment: organization-defined information system components] from other components of the system.','The capability to dynamically isolate or segregate certain internal components of organizational information systems is useful when it is necessary to partition or separate certain components of dubious origin from those components possessing greater trustworthiness. Component isolation reduces the attack surface of organizational information systems. Isolation of selected information system components is also a means of limiting the damage from successful cyber attacks when those attacks occur.'),('SC-7','21','Isolation Of Information System Components','The organization employs boundary protection mechanisms to separate [Assignment: organization-defined information system components] supporting [Assignment: organization-defined missions and/or business functions].','Organizations can isolate information system components performing different missions and/or business functions. Such isolation limits unauthorized information flows among system components and also provides the opportunity to deploy greater levels of protection for selected components. Separating system components with boundary protection mechanisms provides the capability for increased protection of individual components and to more effectively control information flows between those components. This type of enhanced protection limits the potential harm from cyber attacks and errors. The degree of separation provided varies depending upon the mechanisms chosen. Boundary protection mechanisms include, for example, routers, gateways, and firewalls separating system components into physically separate networks or subnetworks, cross-domain devices separating subnetworks, virtualization techniques, and encrypting information flows among system components using distinct encryption keys.'),('SC-7','22','Separate Subnets For Connecting To Different Security Domains','The information system implements separate network addresses (i.e., different subnets) to connect to systems in different security domains.','Decomposition of information systems into subnets helps to provide the appropriate level of protection for network connections to different security domains containing information with different security categories or classification levels.'),('SC-7','23','Disable Sender Feedback On Protocol Validation Failure','The information system disables feedback to senders on protocol format validation failure.','Disabling feedback to senders when there is a failure in protocol validation format prevents adversaries from obtaining information which would otherwise be unavailable.'),('SC-7','3','Access Points','The organization limits the number of external network connections to the information system.','Limiting the number of external network connections facilitates more comprehensive monitoring of inbound and outbound communications traffic. The Trusted Internet Connection (TIC) initiative is an example of limiting the number of external network connections.'),('SC-7','4','External Telecommunications Services','The organization:\nSC-7 (4)(a)\nImplements a managed interface for each external telecommunication service;\nSC-7 (4)(b)\nEstablishes a traffic flow policy for each managed interface;\nSC-7 (4)(c)\nProtects the confidentiality and integrity of the information being transmitted across each interface;\nSC-7 (4)(d)\nDocuments each exception to the traffic flow policy with a supporting mission/business need and duration of that need; and\nSC-7 (4)(e)\nReviews exceptions to the traffic flow policy [Assignment: organization-defined frequency] and removes exceptions that are no longer supported by an explicit mission/business need.',''),('SC-7','5','Deny By Default / Allow By Exception','The information system at managed interfaces denies network communications traffic by default and allows network communications traffic by exception (i.e., deny all, permit by exception).','This control enhancement applies to both inbound and outbound network communications traffic. A deny-all, permit-by-exception network communications traffic policy ensures that only those connections which are essential and approved are allowed.'),('SC-7','6','Response To Recognized Failures','[Withdrawn: Incorporated into SC-7 (18)].',''),('SC-7','7','Prevent Split Tunneling For Remote Devices','The information system, in conjunction with a remote device, prevents the device from simultaneously establishing non-remote connections with the system and communicating via some other connection to resources in external networks.','This control enhancement is implemented within remote devices (e.g., notebook computers) through configuration settings to disable split tunneling in those devices, and by preventing those configuration settings from being readily configurable by users. This control enhancement is implemented within the information system by the detection of split tunneling (or of configuration settings that allow split tunneling) in the remote device, and by prohibiting the connection if the remote device is using split tunneling. Split tunneling might be desirable by remote users to communicate with local information system resources such as printers/file servers. However, split tunneling would in effect allow unauthorized external connections, making the system more vulnerable to attack and to exfiltration of organizational information. The use of VPNs for remote connections, when adequately provisioned with appropriate security controls, may provide the organization with sufficient assurance that it can effectively treat such connections as non-remote connections from the confidentiality and integrity perspective. VPNs thus provide a means for allowing non-remote communications paths from remote devices. The use of an adequately provisioned VPN does not eliminate the need for preventing split tunneling.'),('SC-7','8','Route Traffic To Authenticated Proxy Servers','The information system routes [Assignment: organization-defined internal communications traffic] to [Assignment: organization-defined external networks] through authenticated proxy servers at managed interfaces.','External networks are networks outside of organizational control. A proxy server is a server (i.e., information system or application) that acts as an intermediary for clients requesting information system resources (e.g., files, connections, web pages, or services) from other organizational servers. Client requests established through an initial connection to the proxy server are evaluated to manage complexity and to provide additional protection by limiting direct connectivity. Web content filtering devices are one of the most common proxy servers providing access to the Internet. Proxy servers support logging individual Transmission Control Protocol (TCP) sessions and blocking specific Uniform Resource Locators (URLs), domain names, and Internet Protocol (IP) addresses. Web proxies can be configured with organization-defined lists of authorized and unauthorized websites.'),('SC-7','9','Restrict Threatening Outgoing Communications Traffic','The information system:\nSC-7 (9)(a)\nDetects and denies outgoing communications traffic posing a threat to external information systems; and\nSC-7 (9)(b)\nAudits the identity of internal users associated with denied communications.','Detecting outgoing communications traffic from internal actions that may pose threats to external information systems is sometimes termed extrusion detection. Extrusion detection at information system boundaries as part of managed interfaces includes the analysis of incoming and outgoing communications traffic searching for indications of internal threats to the security of external systems. Such threats include, for example, traffic indicative of denial of service attacks and traffic containing malicious code.'),('SC-8','1','Cryptographic Or Alternate Physical Protection','The information system implements cryptographic mechanisms to [Selection (one or more): prevent unauthorized disclosure of information; detect changes to information] during transmission unless otherwise protected by [Assignment: organization-defined alternative physical safeguards].','Encrypting information for transmission protects information from unauthorized disclosure and modification. Cryptographic mechanisms implemented to protect information integrity include, for example, cryptographic hash functions which have common application in digital signatures, checksums, and message authentication codes. Alternative physical security safeguards include, for example, protected distribution systems.'),('SC-8','2','Pre / Post Transmission Handling','The information system maintains the [Selection (one or more): confidentiality; integrity] of information during preparation for transmission and during reception.','Information can be either unintentionally or maliciously disclosed or modified during preparation for transmission or during reception including, for example, during aggregation, at protocol transformation points, and during packing/unpacking. These unauthorized disclosures or modifications compromise the confidentiality or integrity of the information.'),('SC-8','3','Cryptographic Protection For Message Externals','The information system implements cryptographic mechanisms to protect message externals unless otherwise protected by [Assignment: organization-defined alternative physical safeguards].','This control enhancement addresses protection against unauthorized disclosure of information. Message externals include, for example, message headers/routing information. This control enhancement prevents the exploitation of message externals and applies to both internal and external networks or links that may be visible to individuals who are not authorized users. Header/routing information is sometimes transmitted unencrypted because the information is not properly identified by organizations as having significant value or because encrypting the information can result in lower network performance and/or higher costs. Alternative physical safeguards include, for example, protected distribution systems.'),('SC-8','4','Conceal / Randomize Communications','The information system implements cryptographic mechanisms to conceal or randomize communication patterns unless otherwise protected by [Assignment: organization-defined alternative physical safeguards].','This control enhancement addresses protection against unauthorized disclosure of information. Communication patterns include, for example, frequency, periods, amount, and predictability. Changes to communications patterns can reveal information having intelligence value especially when combined with other available information related to missions/business functions supported by organizational information systems. This control enhancement prevents the derivation of intelligence based on communications patterns and applies to both internal and external networks or links that may be visible to individuals who are not authorized users. Encrypting the links and transmitting in continuous, fixed/random patterns prevents the derivation of intelligence from the system communications patterns. Alternative physical safeguards include, for example, protected distribution systems.'),('SI-10','1','Manual Override Capability','The information system:\nSI-10 (1)(a)\nProvides a manual override capability for input validation of [Assignment: organization-defined inputs];\nSI-10 (1)(b)\nRestricts the use of the manual override capability to only [Assignment: organization-defined authorized individuals]; and\nSI-10 (1)(c)\nAudits the use of the manual override capability.',''),('SI-10','2','Review / Resolution Of Errors','The organization ensures that input validation errors are reviewed and resolved within [Assignment: organization-defined time period].','Resolution of input validation errors includes, for example, correcting systemic causes of errors and resubmitting transactions with corrected input.'),('SI-10','3','Predictable Behavior','The information system behaves in a predictable and documented manner that reflects organizational and system objectives when invalid inputs are received.','A common vulnerability in organizational information systems is unpredictable behavior when invalid inputs are received. This control enhancement ensures that there is predictable behavior in the face of invalid inputs by specifying information system responses that facilitate transitioning the system to known states without adverse, unintended side effects.'),('SI-10','4','Review / Timing Interactions','The organization accounts for timing interactions among information system components in determining appropriate responses for invalid inputs.','In addressing invalid information system inputs received across protocol interfaces, timing interfaces become relevant, where one protocol needs to consider the impact of the error response on other protocols within the protocol stack. For example, 802.11 standard wireless network protocols do not interact well with Transmission Control Protocols (TCP) when packets are dropped (which could be due to invalid packet input). TCP assumes packet losses are due to congestion, while packets lost over 802.11 links are typically dropped due to collisions or noise on the link. If TCP makes a congestion response, it takes precisely the wrong action in response to a collision event. Adversaries may be able to use apparently acceptable individual behaviors of the protocols in concert to achieve adverse effects through suitable construction of invalid input.'),('SI-10','5','Restrict Inputs To Trusted Sources And Approved Formats','The organization restricts the use of information inputs to [Assignment: organization-defined trusted sources] and/or [Assignment: organization-defined formats].','This control enhancement applies the concept of whitelisting to information inputs. Specifying known trusted sources for information inputs and acceptable formats for such inputs can reduce the probability of malicious activity.'),('SI-13','1','Transferring Component Responsibilities','The organization takes information system components out of service by transferring component responsibilities to substitute components no later than [Assignment: organization-defined fraction or percentage] of mean time to failure.',''),('SI-13','2','Time Limit On Process Execution Without Supervision','[Withdrawn: Incorporated into SI-7 (16)].',''),('SI-13','3','Manual Transfer Between Components','The organization manually initiates transfers between active and standby information system components [Assignment: organization-defined frequency] if the mean time to failure exceeds [Assignment: organization-defined time period].',''),('SI-13','4','Standby Component Installation / Notification','The organization, if information system component failures are detected:\nSI-13 (4)(a)\nEnsures that the standby components are successfully and transparently installed within [Assignment: organization-defined time period]; and\nSI-13 (4)(b)\n[Selection (one or more): activates [Assignment: organization-defined alarm]; automatically shuts down the information system].','Automatic or manual transfer of components from standby to active mode can occur, for example, upon detection of component failures.'),('SI-13','5','Failover Capability','The organization provides [Selection: real-time; near real-time] [Assignment: organization-defined failover capability] for the information system.','Failover refers to the automatic switchover to an alternate information system upon the failure of the primary information system. Failover capability includes, for example, incorporating mirrored information system operations at alternate processing sites or periodic data mirroring at regular intervals defined by recovery time periods of organizations.'),('SI-14','1','Refresh From Trusted Sources','The organization ensures that software and data employed during information system component and service refreshes are obtained from [Assignment: organization-defined trusted sources].','Trusted sources include, for example, software/data from write-once, read-only media or from selected off-line secure storage facilities.'),('SI-2','1','Central Management','The organization centrally manages the flaw remediation process.','Central management is the organization-wide management and implementation of flaw remediation processes. Central management includes planning, implementing, assessing, authorizing, and monitoring the organization-defined, centrally managed flaw remediation security controls.'),('SI-2','2','Automated Flaw Remediation Status','The organization employs automated mechanisms [Assignment: organization-defined frequency] to determine the state of information system components with regard to flaw remediation.',''),('SI-2','3','Time To Remediate Flaws / Benchmarks For Corrective Actions','The organization:\nSI-2 (3)(a)\nMeasures the time between flaw identification and flaw remediation; and\nSI-2 (3)(b)\nEstablishes [Assignment: organization-defined benchmarks] for taking corrective actions.','This control enhancement requires organizations to determine the current time it takes on the average to correct information system flaws after such flaws have been identified, and subsequently establish organizational benchmarks (i.e., time frames) for taking corrective actions. Benchmarks can be established by type of flaw and/or severity of the potential vulnerability if the flaw can be exploited.'),('SI-2','4','Automated Patch Management Tools','[Withdrawn: Incorporated into SI-2].',''),('SI-2','5','Automatic Software / Firmware Updates','The organization installs [Assignment: organization-defined security-relevant software and firmware updates] automatically to [Assignment: organization-defined information system components].','Due to information system integrity and availability concerns, organizations give careful consideration to the methodology used to carry out automatic updates. Organizations must balance the need to ensure that the updates are installed as soon as possible with the need to maintain configuration management and with any mission or operational impacts that automatic updates might impose.'),('SI-2','6','Removal Of Previous Versions Of Software / Firmware','The organization removes [Assignment: organization-defined software and firmware components] after updated versions have been installed.','Previous versions of software and/or firmware components that are not removed from the information system after updates have been installed may be exploited by adversaries. Some information technology products may remove older versions of software and/or firmware automatically from the information system.'),('SI-3','1','Central Management','The organization centrally manages malicious code protection mechanisms.','Central management is the organization-wide management and implementation of malicious code protection mechanisms. Central management includes planning, implementing, assessing, authorizing, and monitoring the organization-defined, centrally managed flaw malicious code protection security controls.'),('SI-3','10','Malicious Code Analysis','The organization:\nSI-3 (10)(a)\nEmploys [Assignment: organization-defined tools and techniques] to analyze the characteristics and behavior of malicious code; and\nSI-3 (10)(b)\nIncorporates the results from malicious code analysis into organizational incident response and flaw remediation processes.','se engineering techniques or by monitoring the behavior of executing code.'),('SI-3','2','Automatic Updates','The information system automatically updates malicious code protection mechanisms.','Malicious code protection mechanisms include, for example, signature definitions. Due to information system integrity and availability concerns, organizations give careful consideration to the methodology used to carry out automatic updates.'),('SI-3','3','Non-privileged Users','[Withdrawn: Incorporated into AC-6 (10)].',''),('SI-3','4','Updates Only By Privileged Users','The information system updates malicious code protection mechanisms only when directed by a privileged user.','This control enhancement may be appropriate for situations where for reasons of security or operational continuity, updates are only applied when selected/approved by designated organizational personnel.'),('SI-3','5','Portable Storage Devices','[Withdrawn: Incorporated into MP-7].',''),('SI-3','6','Testing / Verification','The organization:\nSI-3 (6)(a)\nTests malicious code protection mechanisms [Assignment: organization-defined frequency] by introducing a known benign, non-spreading test case into the information system; and\nSI-3 (6)(b)\nVerifies that both detection of the test case and associated incident reporting occur.',''),('SI-3','7','Nonsignature-based Detection','The information system implements nonsignature-based malicious code detection mechanisms.','Nonsignature-based detection mechanisms include, for example, the use of heuristics to detect, analyze, and describe the characteristics or behavior of malicious code and to provide safeguards against malicious code for which signatures do not yet exist or for which existing signatures may not be effective. This includes polymorphic malicious code (i.e., code that changes signatures when it replicates). This control enhancement does not preclude the use of signature-based detection mechanisms.'),('SI-3','8','Detect Unauthorized Commands','The information system detects [Assignment: organization-defined unauthorized operating system commands] through the kernel application programming interface at [Assignment: organization-defined information system hardware components] and [Selection (one or more): issues a warning; audits the command execution; prevents the execution of the command].','This control enhancement can also be applied to critical interfaces other than kernel-based interfaces, including for example, interfaces with virtual machines and privileged applications. Unauthorized operating system commands include, for example, commands for kernel functions from information system processes that are not trusted to initiate such commands, or commands for kernel functions that are suspicious even though commands of that type are reasonable for processes to initiate. Organizations can define the malicious commands to be detected by a combination of command types, command classes, or specific instances of commands. Organizations can define hardware components by specific component, component type, location in the network, or combination therein. Organizations may select different actions for different types/classes/specific instances of potentially malicious commands.'),('SI-3','9','Authenticate Remote Commands','The information system implements [Assignment: organization-defined security safeguards] to authenticate [Assignment: organization-defined remote commands].','This control enhancement protects against unauthorized commands and replay of authorized commands. This capability is important for those remote information systems whose loss, malfunction, misdirection, or exploitation would have immediate and/or serious consequences (e.g., injury or death, property damage, loss of high-valued assets or sensitive information, or failure of important missions/business functions). Authentication safeguards for remote commands help to ensure that information systems accept and execute in the order intended, only authorized commands, and that unauthorized commands are rejected. Cryptographic mechanisms can be employed, for example, to authenticate remote commands.'),('SI-4','1','System-wide Intrusion Detection System','The organization connects and configures individual intrusion detection tools into an information system-wide intrusion detection system.',''),('SI-4','10','Visibility Of Encrypted Communications','The organization makes provisions so that [Assignment: organization-defined encrypted communications traffic] is visible to [Assignment: organization-defined information system monitoring tools].','Organizations balance the potentially conflicting needs for encrypting communications traffic and for having insight into such traffic from a monitoring perspective. For some organizations, the need to ensure the confidentiality of communications traffic is paramount; for others, mission-assurance is of greater concern. Organizations determine whether the visibility requirement applies to internal encrypted traffic, encrypted traffic intended for external destinations, or a subset of the traffic types.'),('SI-4','11','Analyze Communications Traffic Anomalies','The organization analyzes outbound communications traffic at the external boundary of the information system and selected [Assignment: organization-defined interior points within the system (e.g., subnetworks, subsystems)] to discover anomalies.','Anomalies within organizational information systems include, for example, large file transfers, long-time persistent connections, unusual protocols and ports in use, and attempted communications with suspected malicious external addresses.'),('SI-4','12','Automated Alerts','The organization employs automated mechanisms to alert security personnel of the following inappropriate or unusual activities with security implications: [Assignment: organization-defined activities that trigger alerts].','This control enhancement focuses on the security alerts generated by organizations and transmitted using automated means. In contrast to the alerts generated by information systems in SI-4 (5), which tend to focus on information sources internal to the systems (e.g., audit records), the sources of information for this enhancement can include other entities as well (e.g., suspicious activity reports, reports on potential insider threats).'),('SI-4','13','Analyze Traffic / Event Patterns','The organization:\nSI-4 (13)(a)\nAnalyzes communications traffic/event patterns for the information system;\nSI-4 (13)(b)\nDevelops profiles representing common traffic patterns and/or events; and\nSI-4 (13)(c)\nUses the traffic/event profiles in tuning system-monitoring devices to reduce the number of false positives and the number of false negatives.',''),('SI-4','14','Wireless Intrusion Detection','The organization employs a wireless intrusion detection system to identify rogue wireless devices and to detect attack attempts and potential compromises/breaches to the information system.','Wireless signals may radiate beyond the confines of organization-controlled facilities. Organizations proactively search for unauthorized wireless connections including the conduct of thorough scans for unauthorized wireless access points. Scans are not limited to those areas within facilities containing information systems, but also include areas outside of facilities as needed, to verify that unauthorized wireless access points are not connected to the systems.'),('SI-4','15','Wireless To Wireline Communications','The organization employs an intrusion detection system to monitor wireless communications traffic as the traffic passes from wireless to wireline networks.',''),('SI-4','16','Correlate Monitoring Information','The organization correlates information from monitoring tools employed throughout the information system.','Correlating information from different monitoring tools can provide a more comprehensive view of information system activity. The correlation of monitoring tools that usually work in isolation (e.g., host monitoring, network monitoring, anti-virus software) can provide an organization-wide view and in so doing, may reveal otherwise unseen attack patterns. Understanding the capabilities/limitations of diverse monitoring tools and how to maximize the utility of information generated by those tools can help organizations to build, operate, and maintain effective monitoring programs.'),('SI-4','17','Integrated Situational Awareness','The organization correlates information from monitoring physical, cyber, and supply chain activities to achieve integrated, organization-wide situational awareness.','This control enhancement correlates monitoring information from a more diverse set of information sources to achieve integrated situational awareness. Integrated situational awareness from a combination of physical, cyber, and supply chain monitoring activities enhances the capability of organizations to more quickly detect sophisticated cyber attacks and investigate the methods and techniques employed to carry out such attacks. In contrast to SI-4 (16) which correlates the various cyber monitoring information, this control enhancement correlates monitoring beyond just the cyber domain. Such monitoring may help reveal attacks on organizations that are operating across multiple attack vectors.'),('SI-4','18','Analyze Traffic / Covert Exfiltration','The organization analyzes outbound communications traffic at the external boundary of the information system (i.e., system perimeter) and at [Assignment: organization-defined interior points within the system (e.g., subsystems, subnetworks)] to detect covert exfiltration of information.','Covert means that can be used for the unauthorized exfiltration of organizational information include, for example, steganography.'),('SI-4','19','Individuals Posing Greater Risk','The organization implements [Assignment: organization-defined additional monitoring] of individuals who have been identified by [Assignment: organization-defined sources] as posing an increased level of risk.','Indications of increased risk from individuals can be obtained from a variety of sources including, for example, human resource records, intelligence agencies, law enforcement organizations, and/or other credible sources. The monitoring of individuals is closely coordinated with management, legal, security, and human resources officials within organizations conducting such monitoring and complies with federal legislation, Executive Orders, policies, directives, regulations, and standards.'),('SI-4','2','Automated Tools For Real-time Analysis','The organization employs automated tools to support near real-time analysis of events.','Automated tools include, for example, host-based, network-based, transport-based, or storage-based event monitoring tools or Security Information and Event Management (SIEM) technologies that provide real time analysis of alerts and/or notifications generated by organizational information systems.'),('SI-4','20','Privileged User','The organization implements [Assignment: organization-defined additional monitoring] of privileged users.',''),('SI-4','21','Probationary Periods','The organization implements [Assignment: organization-defined additional monitoring] of individuals during [Assignment: organization-defined probationary period].',''),('SI-4','22','Unauthorized Network Services','The information system detects network services that have not been authorized or approved by [Assignment: organization-defined authorization or approval processes] and [Selection (one or more): audits; alerts [Assignment: organization-defined personnel or roles]].','Unauthorized or unapproved network services include, for example, services in service-oriented architectures that lack organizational verification or validation and therefore may be unreliable or serve as malicious rogues for valid services.'),('SI-4','23','Host-based Devices','The organization implements [Assignment: organization-defined host-based monitoring mechanisms] at [Assignment: organization-defined information system components].','Information system components where host-based monitoring can be implemented include, for example, servers, workstations, and mobile devices. Organizations consider employing host-based monitoring mechanisms from multiple information technology product developers.'),('SI-4','24','Indicators Of Compromise','The information system discovers, collects, distributes, and uses indicators of compromise.','Indicators of compromise (IOC) are forensic artifacts from intrusions that are identified on organizational information systems (at the host or network level). IOCs provide organizations with valuable information on objects or information systems that have been compromised. IOCs for the discovery of compromised hosts can include for example, the creation of registry key values. IOCs for network traffic include, for example, Universal Resource Locator (URL) or protocol elements that indicate malware command and control servers. The rapid distribution and adoption of IOCs can improve information security by reducing the time that information systems and organizations are vulnerable to the same exploit or attack.'),('SI-4','3','Automated Tool Integration','The organization employs automated tools to integrate intrusion detection tools into access control and flow control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.',''),('SI-4','4','Inbound And Outbound Communications Traffic','The information system monitors inbound and outbound communications traffic [Assignment: organization-defined frequency] for unusual or unauthorized activities or conditions.','Unusual/unauthorized activities or conditions related to information system inbound and outbound communications traffic include, for example, internal traffic that indicates the presence of malicious code within organizational information systems or propagating among system components, the unauthorized exporting of information, or signaling to external information systems. Evidence of malicious code is used to identify potentially compromised information systems or information system components.'),('SI-4','5','System-generated Alerts','The information system alerts [Assignment: organization-defined personnel or roles] when the following indications of compromise or potential compromise occur: [Assignment: organization-defined compromise indicators].','Alerts may be generated from a variety of sources, including, for example, audit records or inputs from malicious code protection mechanisms, intrusion detection or prevention mechanisms, or boundary protection devices such as firewalls, gateways, and routers. Alerts can be transmitted, for example, telephonically, by electronic mail messages, or by text messaging. Organizational personnel on the notification list can include, for example, system administrators, mission/business owners, system owners, or information system security officers.'),('SI-4','6','Restrict Non-privileged Users','[Withdrawn: Incorporated into AC-6 (10)].',''),('SI-4','7','Automated Response To Suspicious Events','The information system notifies [Assignment: organization-defined incident response personnel (identified by name and/or by role)] of detected suspicious events and takes [Assignment: organization-defined least-disruptive actions to terminate suspicious events].','Least-disruptive actions may include, for example, initiating requests for human responses.'),('SI-4','8','Protection Of Monitoring Information','[Withdrawn: Incorporated into SI-4].',''),('SI-4','9','Testing Of Monitoring Tools','The organization tests intrusion-monitoring tools [Assignment: organization-defined frequency].','Testing intrusion-monitoring tools is necessary to ensure that the tools are operating correctly and continue to meet the monitoring objectives of organizations. The frequency of testing depends on the types of tools used by organizations and methods of deployment.'),('SI-5','1','Automated Alerts And Advisories','The organization employs automated mechanisms to make security alert and advisory information available throughout the organization.','The significant number of changes to organizational information systems and the environments in which those systems operate requires the dissemination of security-related information to a variety of organizational entities that have a direct interest in the success of organizational missions and business functions. Based on the information provided by the security alerts and advisories, changes may be required at one or more of the three tiers related to the management of information security risk including the governance level, mission/business process/enterprise architecture level, and the information system level.'),('SI-6','1','Notification Of Failed Security Tests','[Withdrawn: Incorporated into SI-6].',''),('SI-6','2','Automation Support For Distributed Testing','The information system implements automated mechanisms to support for the management of distributed security testing.',''),('SI-6','3','Report Verification Results','The organization reports the results of security function verification to [Assignment: organization-defined personnel or roles].','Organizational personnel with potential interest in security function verification results include, for example, senior information security officers, information system security managers, and information systems security officers.'),('SI-7','1','Integrity Checks','The information system performs an integrity check of [Assignment: organization-defined software, firmware, and information] [Selection (one or more): at startup; at [Assignment: organization-defined transitional states or security-relevant events]; [Assignment: organization-defined frequency]].','Security-relevant events include, for example, the identification of a new threat to which organizational information systems are susceptible, and the installation of new hardware, software, or firmware. Transitional states include, for example, system startup, restart, shutdown, and abort.'),('SI-7','10','Protection Of Boot Firmware','The information system implements [Assignment: organization-defined security safeguards] to protect the integrity of boot firmware in [Assignment: organization-defined devices].','Unauthorized modifications to boot firmware may be indicative of a sophisticated, targeted cyber attack. These types of cyber attacks can result in a permanent denial of service (e.g., if the firmware is corrupted) or a persistent malicious code presence (e.g., if code is embedded within the firmware). Devices can protect the integrity of the boot firmware in organizational information systems by: (i) verifying the integrity and authenticity of all updates to the boot firmware prior to applying changes to the boot devices; and (ii) preventing unauthorized processes from modifying the boot firmware.'),('SI-7','11','Confined Environments With Limited Privileges','The organization requires that [Assignment: organization-defined user-installed software] execute in a confined physical or virtual machine environment with limited privileges.','Organizations identify software that may be of greater concern with regard to origin or potential for containing malicious code. For this type of software, user installations occur in confined environments of operation to limit or contain damage from malicious code that may be executed.'),('SI-7','12','Integrity Verification','The organization requires that the integrity of [Assignment: organization-defined user-installed software] be verified prior to execution.','Organizations verify the integrity of user-installed software prior to execution to reduce the likelihood of executing malicious code or code that contains errors from unauthorized modifications. Organizations consider the practicality of approaches to verifying software integrity including, for example, availability of checksums of adequate trustworthiness from software developers or vendors.'),('SI-7','13','Code Execution In Protected Environments','The organization allows execution of binary or machine-executable code obtained from sources with limited or no warranty and without the provision of source code only in confined physical or virtual machine environments and with the explicit approval of [Assignment: organization-defined personnel or roles].','This control enhancement applies to all sources of binary or machine-executable code including, for example, commercial software/firmware and open source software.'),('SI-7','14','Binary Or Machine Executable Code','The organization:\nSI-7 (14)(a)\nProhibits the use of binary or machine-executable code from sources with limited or no warranty and without the provision of source code; and\nSI-7 (14)(b)\nProvides exceptions to the source code requirement only for compelling mission/operational requirements and with the approval of the authorizing official.','This control enhancement applies to all sources of binary or machine-executable code including, for example, commercial software/firmware and open source software. Organizations assess software products without accompanying source code from sources with limited or no warranty for potential security impacts. The assessments address the fact that these types of software products may be very difficult to review, repair, or extend, given that organizations, in most cases, do not have access to the original source code, and there may be no owners who could make such repairs on behalf of organizations.'),('SI-7','15','Code Authentication','The information system implements cryptographic mechanisms to authenticate [Assignment: organization-defined software or firmware components] prior to installation.','Cryptographic authentication includes, for example, verifying that software or firmware components have been digitally signed using certificates recognized and approved by organizations. Code signing is an effective method to protect against malicious code.'),('SI-7','16','Time Limit On Process Execution W/o Supervision','The organization does not allow processes to execute without supervision for more than [Assignment: organization-defined time period].','This control enhancement addresses processes for which normal execution periods can be determined and situations in which organizations exceed such periods. Supervision includes, for example, operating system timers, automated responses, or manual oversight and response when information system process anomalies occur.'),('SI-7','2','Automated Notifications Of Integrity Violations','The organization employs automated tools that provide notification to [Assignment: organization-defined personnel or roles] upon discovering discrepancies during integrity verification.','The use of automated tools to report integrity violations and to notify organizational personnel in a timely matter is an essential precursor to effective risk response. Personnel having an interest in integrity violations include, for example, mission/business owners, information system owners, systems administrators, software developers, systems integrators, and information security officers.'),('SI-7','3','Centrally-managed Integrity Tools','The organization employs centrally managed integrity verification tools.',''),('SI-7','4','Tamper-evident Packaging','[Withdrawn: Incorporated into SA-12].',''),('SI-7','5','Automated Response To Integrity Violations','The information system automatically [Selection (one or more): shuts the information system down; restarts the information system; implements [Assignment: organization-defined security safeguards]] when integrity violations are discovered.','Organizations may define different integrity checking and anomaly responses: (i) by type of information (e.g., firmware, software, user data); (ii) by specific information (e.g., boot firmware, boot firmware for a specific types of machines); or (iii) a combination of both. Automatic implementation of specific safeguards within organizational information systems includes, for example, reversing the changes, halting the information system, or triggering audit alerts when unauthorized modifications to critical security files occur.'),('SI-7','6','Cryptographic Protection','The information system implements cryptographic mechanisms to detect unauthorized changes to software, firmware, and information.','Cryptographic mechanisms used for the protection of integrity include, for example, digital signatures and the computation and application of signed hashes using asymmetric cryptography, protecting the confidentiality of the key used to generate the hash, and using the public key to verify the hash information.'),('SI-7','7','Integration Of Detection And Response','The organization incorporates the detection of unauthorized [Assignment: organization-defined security-relevant changes to the information system] into the organizational incident response capability.','This control enhancement helps to ensure that detected events are tracked, monitored, corrected, and available for historical purposes. Maintaining historical records is important both for being able to identify and discern adversary actions over an extended period of time and for possible legal actions. Security-relevant changes include, for example, unauthorized changes to established configuration settings or unauthorized elevation of information system privileges.'),('SI-7','8','Auditing Capability For Significant Events','The information system, upon detection of a potential integrity violation, provides the capability to audit the event and initiates the following actions: [Selection (one or more): generates an audit record; alerts current user; alerts [Assignment: organization-defined personnel or roles]; [Assignment: organization-defined other actions]].','Organizations select response actions based on types of software, specific software, or information for which there are potential integrity violations.'),('SI-7','9','Verify Boot Process','The information system verifies the integrity of the boot process of [Assignment: organization-defined devices].','Ensuring the integrity of boot processes is critical to starting devices in known/trustworthy states. Integrity verification mechanisms provide organizational personnel with assurance that only trusted code is executed during boot processes.'),('SI-8','1','Central Management','The organization centrally manages spam protection mechanisms.','Central management is the organization-wide management and implementation of spam protection mechanisms. Central management includes planning, implementing, assessing, authorizing, and monitoring the organization-defined, centrally managed spam protection security controls.'),('SI-8','2','Automatic Updates','The information system automatically updates spam protection mechanisms.',''),('SI-8','3','Continuous Learning Capability','The information system implements spam protection mechanisms with a learning capability to more effectively identify legitimate communications traffic.','Learning mechanisms include, for example, Bayesian filters that respond to user inputs identifying specific traffic as spam or legitimate by updating algorithm parameters and thereby more accurately separating types of traffic.');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed
